#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xcbcdf1e8, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x581c8118, "_gpl");
SYMBOL_CRC(ahci_ops, 0xe0e4e2c0, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x1512082d, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xae6bf4b6, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xc043014b, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xf3ac4121, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x544c78c5, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x4b6327d8, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x9366994c, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xf21f501a, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x624a69a9, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x914ad8eb, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xca8df018, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x7df0a2c2, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x77ec131e, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xa6b53fb0, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x9ee16e80, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x92702414, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x2607733b, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x90942040, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xa6ed41ec, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x2b3c18e0, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xdd29c07c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x212546fd, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x45c443c2, "ata_std_qc_defer" },
	{ 0xd6ea13a2, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x66c33af5, "ata_port_classify" },
	{ 0x1ae116a5, "ata_qc_complete_multiple" },
	{ 0x8d9468a7, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xeae1dbbf, "sata_pmp_error_handler" },
	{ 0x734879e2, "ata_host_start" },
	{ 0x61929a75, "devm_request_threaded_irq" },
	{ 0xe1f980a, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8edd039b, "ata_host_register" },
	{ 0xf12bc5e6, "ata_host_activate" },
	{ 0x28027759, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfb0b7fa2, "ata_dummy_port_ops" },
	{ 0x2b891712, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0x30e6c777, "dmam_alloc_attrs" },
	{ 0x2e1d917e, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x98e6350d, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x793e8299, "sata_link_hardreset" },
	{ 0x71870d28, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf45443c5, "sata_lpm_ignore_phy_events" },
	{ 0x5e3c8d8a, "ata_ehi_clear_desc" },
	{ 0x322444e9, "ata_ehi_push_desc" },
	{ 0x11a9df87, "sata_async_notification" },
	{ 0xbf7c1604, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xebba4174, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0xe7e45077, "sata_pmp_port_ops" },
	{ 0xd045155a, "dev_attr_sw_activity" },
	{ 0x19dce27c, "dev_attr_unload_heads" },
	{ 0xebf15079, "dev_attr_ncq_prio_supported" },
	{ 0xd7ca4f20, "dev_attr_ncq_prio_enable" },
	{ 0x8d6bb1af, "dev_attr_link_power_management_policy" },
	{ 0xfe988f3, "dev_attr_em_message_type" },
	{ 0xd9b2d5c8, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x5bde370, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x766fa293, "ata_link_next" },
	{ 0x2650b978, "ata_wait_register" },
	{ 0x9e908ace, "ata_dev_set_feature" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0x4371dfbd, "ata_msleep" },
	{ 0x1d3da5bc, "sata_link_scr_lpm" },
	{ 0x338977a9, "_dev_err" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "0673F02CDCC2B61FD50E0F4");
