#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0x13491017, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0xe7dec5ea, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0x35be95a6, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0x96ceb45a, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0x8bb6c3cc, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0x127d12de, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0x10eb0e91, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0x0e7ec005, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0x515899ae, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0x7f076943, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0x46b86803, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0xa4b14cfe, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0x88c1d909, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0x740dd285, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0xdd62a003, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0x17a71763, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0xb18150c7, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0xe0c3c208, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0x29d28d63, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0x6ab5ffd3, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0xa06e26b7, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0xd17e8d79, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0x3eeef808, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e4c31ec, "drm_gem_fb_get_obj" },
	{ 0xc663c6bf, "drm_gem_fb_begin_cpu_access" },
	{ 0x5f52b45d, "drm_fb_memcpy" },
	{ 0xba280dd9, "drm_gem_fb_end_cpu_access" },
	{ 0xa14bff06, "drm_fb_xrgb8888_to_rgb565" },
	{ 0x9c6a650b, "drm_fb_swab" },
	{ 0xb0d67b9d, "drm_fb_xrgb8888_to_rgb888" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x338977a9, "_dev_err" },
	{ 0x20842df3, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9f10d604, "__drm_dev_dbg" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x468f859f, "drm_dev_enter" },
	{ 0xd1260f2a, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xc63c2f48, "drm_gem_begin_shadow_fb_access" },
	{ 0xc15a65b3, "drm_gem_end_shadow_fb_access" },
	{ 0x926b0506, "drm_gem_reset_shadow_plane" },
	{ 0x2535ed27, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x40ec0d0f, "drm_gem_destroy_shadow_plane_state" },
	{ 0x6c30fd62, "drmm_mode_config_init" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xfb2ae169, "drm_connector_init" },
	{ 0x2a27f8ec, "drm_simple_display_pipe_init" },
	{ 0xbde08f81, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x6590722d, "drm_connector_helper_get_modes_fixed" },
	{ 0x1778279c, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8ecd1fbf, "debugfs_create_file" },
	{ 0x10efe863, "single_open" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0x28027759, "_dev_warn" },
	{ 0xd9cde282, "regulator_disable" },
	{ 0xfb578fc5, "memset" },
	{ 0x6f05f275, "seq_printf" },
	{ 0xb44fdfd2, "seq_write" },
	{ 0x4f0d3cc8, "spi_sync_locked" },
	{ 0x28a60557, "spi_sync" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x14c88cbe, "spi_bus_lock" },
	{ 0x456b9fe7, "spi_bus_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaf5a79b1, "regulator_enable" },
	{ 0xc4c708f5, "drm_dev_printk" },
	{ 0x4ecb54c3, "seq_lseek" },
	{ 0xda0c4e39, "seq_read" },
	{ 0x484e16f1, "single_release" },
	{ 0xf524a6f3, "drm_gem_fb_create_with_dirty" },
	{ 0xd8621d4a, "drm_atomic_helper_check" },
	{ 0x54a47af, "drm_atomic_helper_commit" },
	{ 0x7bc734e1, "drm_atomic_helper_connector_reset" },
	{ 0xfd98a2a8, "drm_helper_probe_single_connector_modes" },
	{ 0x8ce6f07e, "drm_connector_cleanup" },
	{ 0x3af7f656, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x655af70b, "drm_atomic_helper_connector_destroy_state" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5821F639F192DAC1FD47560");
