#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9811626, "i2c_del_driver" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0xa41c47e5, "devm_cci_regmap_init_i2c" },
	{ 0xbc7fdc80, "__dev_fwnode" },
	{ 0xa2c87711, "fwnode_graph_get_next_endpoint" },
	{ 0xab2cebd, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e760f69, "v4l2_fwnode_endpoint_free" },
	{ 0x4a0d2203, "devm_clk_get" },
	{ 0x886f6c90, "devm_regulator_bulk_get" },
	{ 0x59308eec, "devm_gpiod_get_optional" },
	{ 0xd0959f7d, "device_property_read_u32_array" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xdf37525d, "__pm_runtime_set_status" },
	{ 0xf1dda6d7, "pm_runtime_enable" },
	{ 0xad9023c5, "pm_runtime_set_autosuspend_delay" },
	{ 0xa20d8f1a, "__pm_runtime_use_autosuspend" },
	{ 0x262a7cff, "v4l2_i2c_subdev_init" },
	{ 0x61844714, "media_entity_pads_init" },
	{ 0xad78d32f, "v4l2_fwnode_device_parse" },
	{ 0x58461356, "v4l2_ctrl_handler_init_class" },
	{ 0xaaabb53c, "v4l2_ctrl_new_std" },
	{ 0xfce54935, "v4l2_ctrl_new_int_menu" },
	{ 0xb85f2736, "v4l2_ctrl_new_std_menu_items" },
	{ 0x22d1a0f, "v4l2_ctrl_cluster" },
	{ 0x850a5cda, "v4l2_ctrl_new_fwnode_properties" },
	{ 0x3a5feb0b, "__v4l2_subdev_init_finalize" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb9b94ce5, "v4l2_i2c_subdev_set_name" },
	{ 0x7a493308, "__v4l2_async_register_subdev" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf8f78568, "__pm_runtime_suspend" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xd61b8e34, "dev_err_probe" },
	{ 0xb104d186, "v4l2_ctrl_handler_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2cc0101, "v4l2_subdev_cleanup" },
	{ 0xca7991da, "__pm_runtime_disable" },
	{ 0x39c04a06, "regulator_bulk_disable" },
	{ 0xbed9e63e, "cci_write" },
	{ 0xf20e19ad, "pm_runtime_get_if_in_use" },
	{ 0xe2822320, "__v4l2_find_nearest_size" },
	{ 0x745891e8, "v4l2_async_unregister_subdev" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x9bf4bfe3, "cci_multi_reg_write" },
	{ 0x23910e6c, "__v4l2_ctrl_handler_setup" },
	{ 0xf9a482f9, "msleep" },
	{ 0x84b0a0fd, "__v4l2_ctrl_grab" },
	{ 0x5bde370, "__pm_runtime_idle" },
	{ 0xe46da46c, "v4l2_subdev_link_validate" },
	{ 0x17b9da4, "v4l2_subdev_get_fmt" },
	{ 0x1a3f4fdb, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0xc320932d, "v4l2_event_subdev_unsubscribe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77dc04b4, "i2c_register_driver" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x338977a9, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0xcdf89397, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1778279c, "gpiod_set_value_cansleep" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x4333d96e, "__v4l2_subdev_state_get_format" },
	{ 0x1d0619a7, "__v4l2_ctrl_s_ctrl" },
	{ 0xcb0ac389, "__v4l2_ctrl_modify_range" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "v4l2-cci,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Csony,imx290");
MODULE_ALIAS("of:N*T*Csony,imx290C*");
MODULE_ALIAS("of:N*T*Csony,imx290lqr");
MODULE_ALIAS("of:N*T*Csony,imx290lqrC*");
MODULE_ALIAS("of:N*T*Csony,imx290llr");
MODULE_ALIAS("of:N*T*Csony,imx290llrC*");
MODULE_ALIAS("of:N*T*Csony,imx327lqr");
MODULE_ALIAS("of:N*T*Csony,imx327lqrC*");

MODULE_INFO(srcversion, "9C98F631AB83923202F47BB");
