#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x5fb10aea, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0x1d5786f1, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x8e95d394, "");
SYMBOL_CRC(cx18_claim_stream, 0x23e2915a, "");
SYMBOL_CRC(cx18_release_stream, 0x901b32bc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1e037330, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1c415a17, "i2c_new_scanned_device" },
	{ 0xd4bb74fb, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4497470c, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1d0619a7, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xa395cea7, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4776a9ef, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xc5433552, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x150c6876, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbe5c2cc8, "vb2_ioctl_prepare_buf" },
	{ 0xe79306c5, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x73c9b276, "pci_read_config_word" },
	{ 0xa12b953c, "vb2_buffer_done" },
	{ 0xcaa66298, "vb2_plane_vaddr" },
	{ 0x5d42630a, "v4l2_ctrl_subscribe_event" },
	{ 0x65c7b2b1, "v4l2_fh_init" },
	{ 0x668b85d, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xff1b5266, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xd34cb4df, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x12952e24, "dvb_dmxdev_release" },
	{ 0x54adb41f, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc2fffbeb, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1b7fa8ce, "param_ops_short" },
	{ 0xa612928a, "vb2_vmalloc_memops" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x105f6696, "vb2_fop_read" },
	{ 0xdb65e082, "__v4l2_device_register_subdev" },
	{ 0x73e164d9, "v4l2_device_register" },
	{ 0x6d80742, "dvb_frontend_detach" },
	{ 0x505ee173, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b60618c, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb97c76f5, "__video_register_device" },
	{ 0xb0df2d33, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2f79466, "dvb_unregister_frontend" },
	{ 0xde578a8e, "pci_write_config_byte" },
	{ 0x609a7ea5, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x365acacc, "vb2_ioctl_streamon" },
	{ 0xeecd709d, "vb2_fop_poll" },
	{ 0xaaabb53c, "v4l2_ctrl_new_std" },
	{ 0x6b6cf0dd, "v4l2_ctrl_g_ctrl" },
	{ 0xaa713fae, "cx2341x_handler_init" },
	{ 0x53fc5d19, "cx2341x_handler_set_50hz" },
	{ 0xb104d186, "v4l2_ctrl_handler_free" },
	{ 0xaeaccc20, "v4l2_device_unregister" },
	{ 0x829f421c, "pci_disable_device" },
	{ 0x9c25859, "dvb_register_frontend" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3ae23fb5, "v4l2_subdev_call_wrappers" },
	{ 0x5fc1cb53, "v4l2_i2c_new_subdev" },
	{ 0xeffa34c0, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4904959f, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x88707588, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf32058a8, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xedea8be9, "v4l2_event_unsubscribe" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcf2a8e6b, "vb2_ioctl_reqbufs" },
	{ 0x29e4625f, "vb2_queue_init" },
	{ 0xc536a553, "v4l2_fh_exit" },
	{ 0xe8819db6, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7f8ff8e1, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x93715f28, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf4cce806, "vb2_queue_release" },
	{ 0x4a475015, "pci_enable_device" },
	{ 0x9498d59e, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xb0f6d690, "i2c_bit_add_bus" },
	{ 0xc0fcb37, "v4l2_fh_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x3db7bc3, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x572762fa, "dma_unmap_page_attrs" },
	{ 0x571a7b8e, "vb2_ops_wait_finish" },
	{ 0xb9d788c1, "request_firmware" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0x58461356, "v4l2_ctrl_handler_init_class" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xe1e96b33, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{  0xec05b, "vb2_ioctl_querybuf" },
	{ 0xb841b146, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x347956d, "vb2_video_unregister_device" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0x899be1a3, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e1d917e, "dev_driver_string" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd2429bd, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e6b3d44, "v4l2_ctrl_handler_log_status" },
	{ 0x3b3af215, "v4l2_ctrl_handler_setup" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "569B9AFE1F87819F6323A64");
