#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x1d12faf2, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x4efea9bf, "");
SYMBOL_CRC(ivtv_api, 0x78c548ad, "");
SYMBOL_CRC(ivtv_vapi, 0xd0021c2f, "");
SYMBOL_CRC(ivtv_vapi_result, 0x12994d23, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x85c71bfb, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x2d273bd6, "");
SYMBOL_CRC(ivtv_udma_setup, 0x48d37eb2, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xa8012ae7, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x4d31923f, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xddbd5f3e, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xdf0a51e5, "");
SYMBOL_CRC(ivtv_firmware_check, 0x50ead652, "");
SYMBOL_CRC(ivtv_claim_stream, 0x802e8406, "");
SYMBOL_CRC(ivtv_release_stream, 0x53766a67, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xf1bfb914, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xea7c67f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa395cea7, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x150c6876, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9e3ea193, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe79306c5, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x73c9b276, "pci_read_config_word" },
	{ 0x5d42630a, "v4l2_ctrl_subscribe_event" },
	{ 0x65c7b2b1, "v4l2_fh_init" },
	{ 0x668b85d, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x61c0fb68, "__kthread_init_worker" },
	{ 0xd34cb4df, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb8dff636, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1922b41c, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x17c57436, "pci_set_master" },
	{ 0x1a8eebd4, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdb65e082, "__v4l2_device_register_subdev" },
	{ 0x73e164d9, "v4l2_device_register" },
	{ 0x505ee173, "param_ops_string" },
	{ 0x25b67548, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d876c47, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb97c76f5, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0df2d33, "__dma_sync_single_for_device" },
	{ 0xde578a8e, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xefeaae71, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaaabb53c, "v4l2_ctrl_new_std" },
	{ 0x6b6cf0dd, "v4l2_ctrl_g_ctrl" },
	{ 0xaa713fae, "cx2341x_handler_init" },
	{ 0x53fc5d19, "cx2341x_handler_set_50hz" },
	{ 0xb104d186, "v4l2_ctrl_handler_free" },
	{ 0xaeaccc20, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0x52b52334, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3ae23fb5, "v4l2_subdev_call_wrappers" },
	{ 0x7c247527, "dma_unmap_sg_attrs" },
	{ 0xb770678, "v4l2_event_queue" },
	{ 0x5fc1cb53, "v4l2_i2c_new_subdev" },
	{ 0xeffa34c0, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0x479a23bf, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf32058a8, "video_device_release_empty" },
	{ 0x22d1a0f, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xbc94f5b9, "pci_write_config_dword" },
	{ 0xedea8be9, "v4l2_event_unsubscribe" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfcfc375f, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc536a553, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7f8ff8e1, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x93715f28, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb0f6d690, "i2c_bit_add_bus" },
	{ 0xc0fcb37, "v4l2_fh_del" },
	{ 0xabd5f105, "v4l2_i2c_new_subdev_board" },
	{ 0xf9c0bc40, "kthread_flush_worker" },
	{ 0x3db7bc3, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x572762fa, "dma_unmap_page_attrs" },
	{ 0xb9d788c1, "request_firmware" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0x58461356, "v4l2_ctrl_handler_init_class" },
	{ 0xc19a4d6d, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x698fe8fc, "unpin_user_pages" },
	{ 0xe1e96b33, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x690713f8, "i2c_transfer_buffer_flags" },
	{ 0xb841b146, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc87a7fd4, "wake_up_process" },
	{ 0x2e1d917e, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd2429bd, "dma_map_page_attrs" },
	{ 0x8b8c4c78, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e6b3d44, "v4l2_ctrl_handler_log_status" },
	{ 0x3b3af215, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1e037330, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1c415a17, "i2c_new_scanned_device" },
	{ 0xd4bb74fb, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x17ce065a, "kthread_queue_work" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf743e569, "__free_pages" },
	{ 0x4497470c, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1d0619a7, "__v4l2_ctrl_s_ctrl" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");
