#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa7d3b5a, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ab243e7, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdb16465e, "mpt_HardResetHandler" },
	{ 0xdf74150, "mpt_free_msg_frame" },
	{ 0x61692be2, "scsi_is_host_device" },
	{ 0x5bcabf9a, "dma_alloc_attrs" },
	{ 0x6c5dbd4d, "mpt_config" },
	{ 0x4bb29f1e, "dma_free_attrs" },
	{ 0x1e694e46, "scsi_device_lookup_by_target" },
	{ 0x73f4b15f, "sdev_prefix_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe5b49d63, "_dev_printk" },
	{ 0x65e715da, "mptscsih_slave_destroy" },
	{ 0xdbf888d5, "mptscsih_event_process" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9dca1ab5, "mptscsih_resume" },
	{ 0xe92ea1a0, "mptscsih_ioc_reset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x80584edb, "spi_dv_device" },
	{ 0xa312c784, "spi_display_xfer_agreement" },
	{ 0xbb4301a2, "__scsi_iterate_devices" },
	{ 0x1c0786ea, "mptscsih_slave_configure" },
	{ 0xa457843d, "mpt_findImVolumes" },
	{ 0x8a49bab9, "scsi_scan_target" },
	{ 0x581e6389, "mptscsih_raid_id_to_num" },
	{ 0x803bebb7, "mptscsih_suspend" },
	{ 0xd07fceec, "mptscsih_shutdown" },
	{ 0xa5423837, "mptscsih_info" },
	{ 0x881c47d8, "mptscsih_abort" },
	{ 0xb7bfe7f5, "mptscsih_dev_reset" },
	{ 0x634fdd8e, "mptscsih_bus_reset" },
	{ 0xaca68513, "mptscsih_host_reset" },
	{ 0xe5bdc205, "mptscsih_change_queue_depth" },
	{ 0x8c7bf675, "mptscsih_bios_param" },
	{ 0xe65cf6c4, "mptscsih_show_info" },
	{ 0x753aa48f, "mptscsih_host_attr_groups" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xd30764b7, "spi_attach_transport" },
	{ 0x593d1f, "mptscsih_io_done" },
	{ 0xf85a0ddc, "mpt_register" },
	{ 0xe5810fd9, "mptscsih_taskmgmt_complete" },
	{ 0x73eaf760, "mptscsih_scandv_complete" },
	{ 0x83ccb7f6, "mpt_event_register" },
	{ 0x5d8c623e, "mpt_reset_register" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0x559a2ce6, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d5ee9b9, "scsi_remove_host" },
	{ 0x22b8991b, "mptscsih_remove" },
	{ 0x99559f52, "mptscsih_qcmd" },
	{ 0x267f0a64, "mptscsih_is_phys_disk" },
	{ 0xc34bf72d, "scsi_done" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x865939f2, "mpt_attach" },
	{ 0x38ea1506, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xef6848af, "scsi_add_host_with_dma" },
	{ 0xa687c41, "scsi_scan_host" },
	{ 0x9d5f590, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A3A275A6992ADA1E98A2DC3");
