#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0xad909ab0, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xddead3f8, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x9952f804, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xb4489dd3, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x92602581, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x59ac919b, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xf042d90d, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xb99999b8, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x3608eef3, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xf4a52905, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xb8875982, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x2ac125cc, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xd0270342, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xd6bb6f6b, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x5ca76877, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xc2fb2334, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xdad80bb7, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x0aa25055, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x72a12fbc, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xea0d768f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xd7ed4e7b, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0xcb9a1ef9, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x001ec151, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x512b161a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x21c6d934, "pci_disable_msi" },
	{ 0x9c8c45f, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x481113c2, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x603168ea, "pm_schedule_suspend" },
	{ 0xc79eb6d2, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa6bb322d, "pci_enable_msi" },
	{ 0x338977a9, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0x2023776c, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5bcabf9a, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x25e20d81, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x17c57436, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7706dba, "pm_runtime_forbid" },
	{ 0x4bb29f1e, "dma_free_attrs" },
	{ 0xcf7400b1, "pm_runtime_allow" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0x6d071138, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xde578a8e, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x829f421c, "pci_disable_device" },
	{ 0xe3a35db2, "mfd_remove_devices" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0x7c247527, "dma_unmap_sg_attrs" },
	{ 0xeffa34c0, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5bde370, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbc94f5b9, "pci_write_config_dword" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xfcfc375f, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf92691cd, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x738dd29f, "pci_find_ext_capability" },
	{ 0x4a475015, "pci_enable_device" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "050048C027DA0CDA8F3F936");
