#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_me_irq_quick_handler, "_gpl", "");
KSYMTAB_FUNC(mei_me_irq_thread_handler, "_gpl", "");
KSYMTAB_FUNC(mei_me_polling_thread, "_gpl", "");
KSYMTAB_FUNC(mei_me_get_cfg, "_gpl", "");
KSYMTAB_FUNC(mei_me_dev_init, "_gpl", "");

SYMBOL_CRC(mei_me_irq_quick_handler, 0x922c6ae5, "_gpl");
SYMBOL_CRC(mei_me_irq_thread_handler, 0xd0eef98f, "_gpl");
SYMBOL_CRC(mei_me_polling_thread, 0x051f202c, "_gpl");
SYMBOL_CRC(mei_me_get_cfg, 0x6cd1db11, "_gpl");
SYMBOL_CRC(mei_me_dev_init, 0x1e431a7d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19756019, "mei_deregister" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0x364d9e29, "mei_cancel_work" },
	{ 0x542835f2, "mei_irq_read_handler" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x71aace97, "pcim_iomap_regions" },
	{ 0x2ca3d9db, "mei_stop" },
	{ 0x591f5405, "mei_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa6bb322d, "pci_enable_msi" },
	{ 0x338977a9, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbe785b07, "__tracepoint_mei_reg_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb25295, "__SCT__tp_func_mei_reg_write" },
	{ 0x28027759, "_dev_warn" },
	{ 0x17c57436, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0x59b6880c, "__SCK__tp_func_mei_pci_cfg_read" },
	{ 0xcf7400b1, "pm_runtime_allow" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x463f5f2b, "mei_irq_compl_handler" },
	{ 0xe7830916, "mei_hbm_pg_resume" },
	{ 0xa127c843, "__tracepoint_mei_reg_write" },
	{ 0x9f176f64, "mei_restart" },
	{ 0x78e16e53, "__SCK__tp_func_mei_reg_write" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0xcfca574f, "__tracepoint_mei_pci_cfg_read" },
	{ 0xc35390f4, "pcim_iomap_table" },
	{ 0xf8f78568, "__pm_runtime_suspend" },
	{ 0xa20d8f1a, "__pm_runtime_use_autosuspend" },
	{ 0x966dde26, "mei_device_init" },
	{ 0xc85d8179, "mei_write_is_idle" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x479a23bf, "pcim_enable_device" },
	{ 0x763b6e3, "mei_irq_write_handler" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x14dc7949, "__SCT__tp_func_mei_pci_cfg_read" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3acb65a6, "dev_pm_domain_set" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b0a488d, "__SCT__tp_func_mei_reg_read" },
	{ 0xae8497ee, "__SCK__tp_func_mei_reg_read" },
	{ 0xad9023c5, "pm_runtime_set_autosuspend_delay" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x90a24af4, "mei_fw_status2str" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0x21c6d934, "pci_disable_msi" },
	{ 0x1391a9b8, "mei_start" },
	{ 0x6653c97, "mei_cl_all_disconnect" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdfa0ee54, "mei_hbm_pg" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x481113c2, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf37525d, "__pm_runtime_set_status" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x65f4f777, "pci_bus_read_config_dword" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "mei");

MODULE_ALIAS("pci:v00008086d00002974sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002984sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002994sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A04sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A54sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A64sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A74sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E04sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E24sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E34sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B64sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B65sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001E3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001DBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009CBBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A13Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A13Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A1BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001A9Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A9Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000019E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000319Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DE4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A364sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000038E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B75sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000018D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001BE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AE8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A60sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A68sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F68sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007770sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A870sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2A06E7FFA51EEDBE6C25D8D");
