#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa2a9cdac, "sdhci_runtime_resume_host" },
	{ 0x338977a9, "_dev_err" },
	{ 0x8c35ae05, "sdhci_runtime_suspend_host" },
	{ 0x2f6e8cba, "sdhci_set_ios" },
	{ 0xc63d4ccc, "device_property_read_string" },
	{ 0xaf4648ce, "sdhci_get_property" },
	{ 0x79366a6b, "sdhci_set_clock" },
	{ 0x28027759, "_dev_warn" },
	{ 0x1ba9bc0c, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae680ef3, "sdhci_execute_tuning" },
	{ 0x3bc762c6, "__platform_driver_register" },
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0x6f67bf97, "sdhci_add_host" },
	{ 0xd963f30e, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x2c510242, "mmc_of_parse" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x97762554, "sdhci_enable_sdio_irq" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf14f514, "pm_runtime_force_resume" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x424bb012, "sdhci_set_power_noreg" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0x78475e55, "sdhci_pltfm_init" },
	{ 0xf8f78568, "__pm_runtime_suspend" },
	{ 0x81188c30, "match_string" },
	{ 0xa20d8f1a, "__pm_runtime_use_autosuspend" },
	{ 0xca7991da, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x40c5ae3e, "pm_runtime_force_suspend" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd84d87d2, "sdhci_remove_host" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb03bf413, "device_property_present" },
	{ 0xfa688a0, "sdhci_set_bus_width" },
	{ 0xbe99f3f8, "sdhci_start_signal_voltage_switch" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0xc3073366, "platform_driver_unregister" },
	{ 0xad9023c5, "pm_runtime_set_autosuspend_delay" },
	{ 0xe3682272, "sdhci_reset" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x4a0d2203, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf37525d, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x9479f11f, "sdhci_pltfm_free" },
	{ 0x13b4f02, "mmc_regulator_set_ocr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1dda6d7, "pm_runtime_enable" },
	{ 0xd0959f7d, "device_property_read_u32_array" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "sdhci,sdhci-pltfm,mmc_core");

MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,ac5-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,ac5-sdhciC*");
MODULE_ALIAS("acpi*:MRVL0002:*");
MODULE_ALIAS("acpi*:MRVL0003:*");
MODULE_ALIAS("acpi*:MRVL0004:*");

MODULE_INFO(srcversion, "7C6231FD50E4BCECBFA9AC1");
