#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x0de07179, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x02dbe9a4, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xa3f36450, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x222a717a, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4060f533, "ocelot_port_pre_bridge_flags" },
	{ 0x39c95160, "ocelot_port_del_dscp_prio" },
	{ 0xdc68a3b9, "ocelot_mrp_del_ring_role" },
	{ 0x726f1059, "ocelot_sb_tc_pool_bind_set" },
	{ 0x95d81d7a, "dsa_fdb_present_in_other_db" },
	{ 0xa791e42a, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xee386c8c, "dsa_mdb_present_in_other_db" },
	{ 0x2e7c83c9, "ocelot_vcap_filter_add" },
	{ 0x51c1b560, "ocelot_sb_port_pool_get" },
	{ 0x6ee3fbb2, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xf07fc38c, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x2d547f70, "ocelot_port_inject_frame" },
	{ 0xd61b8e34, "dev_err_probe" },
	{ 0x405a200b, "ocelot_mrp_add" },
	{ 0x69d3ee49, "ocelot_sb_occ_port_pool_get" },
	{ 0xd52ab67a, "ocelot_sb_pool_set" },
	{ 0x385f320f, "ocelot_lag_fdb_del" },
	{ 0x6f2876b9, "ocelot_vcap_filter_del" },
	{ 0xc03ea8ec, "ocelot_cls_flower_stats" },
	{ 0x4289e167, "ocelot_lock_inj_grp" },
	{ 0x6a5aa674, "ocelot_lock_xtr_grp_bh" },
	{ 0x46effdaf, "ocelot_sb_pool_get" },
	{ 0xbe4fe7e, "ocelot_lock_xtr_grp" },
	{ 0x915dc80b, "ocelot_phylink_mac_link_up" },
	{ 0xdc97cb98, "ocelot_deinit_port" },
	{ 0x157f4c27, "ocelot_can_inject" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x90bafb09, "ocelot_port_mirror_add" },
	{ 0xf2038fa7, "ocelot_fdb_dump" },
	{ 0xe3f7a50c, "ocelot_vlan_prepare" },
	{ 0x415155db, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x33a43d69, "ocelot_set_ageing_time" },
	{ 0xeb469fcf, "__ocelot_rmw_ix" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0xc0dfa8ac, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x897aa374, "ocelot_port_policer_del" },
	{ 0xd76f2d7e, "ocelot_port_lag_change" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0x60c98721, "ocelot_port_policer_add" },
	{ 0x18368cdb, "ocelot_port_mdb_add" },
	{ 0xc7d978b5, "ocelot_vlan_add" },
	{ 0x4e70b205, "ocelot_sb_tc_pool_bind_get" },
	{ 0x160278e7, "ocelot_port_bridge_flags" },
	{ 0x9583d9ce, "ocelot_devlink_sb_unregister" },
	{ 0x8af6f58b, "ocelot_port_bridge_leave" },
	{ 0x4df4268b, "ocelot_port_set_maxlen" },
	{ 0xc43609f8, "ocelot_vcap_filter_replace" },
	{ 0xb9e41dfc, "ocelot_get_max_mtu" },
	{ 0x8712fba5, "regmap_fields_update_bits_base" },
	{ 0x1f3b3395, "ocelot_sb_occ_snapshot" },
	{ 0x7a13af28, "ocelot_get_ts_info" },
	{ 0x7724e920, "ocelot_sb_occ_max_clear" },
	{ 0x4377d7a3, "ocelot_port_get_mm" },
	{ 0x103eb3c5, "ocelot_ptp_gettime64" },
	{ 0xeefcfb33, "ocelot_unlock_inj_grp" },
	{ 0x42826ca2, "ocelot_get_strings" },
	{ 0xdd4535dd, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a7d6457, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x91ad5fdc, "ocelot_unlock_xtr_grp_bh" },
	{ 0xce7ad0d7, "ocelot_port_add_dscp_prio" },
	{ 0x708f248c, "ocelot_drain_cpu_queue" },
	{ 0x75597fab, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe3e571d, "__ocelot_read_ix" },
	{ 0x3e55ee3a, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x644f5b6c, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe49dce8, "ocelot_get_sset_count" },
	{ 0x2489c12d, "ocelot_migrate_mdbs" },
	{ 0xd385f560, "ocelot_hwstamp_get" },
	{ 0x35178963, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3daa852d, "ocelot_port_bridge_join" },
	{ 0xdc0bc041, "ocelot_fdb_add" },
	{ 0xfb21cdb8, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x1cc821eb, "ocelot_xtr_poll_frame" },
	{ 0xe37b83f7, "ocelot_port_get_default_prio" },
	{ 0xed52b450, "ptp_classify_raw" },
	{ 0x7a7460c5, "ocelot_port_set_default_prio" },
	{ 0x88529bd5, "dsa_tag_8021q_register" },
	{ 0x87c26ac4, "ocelot_port_get_mm_stats" },
	{ 0xd60e6a5b, "ocelot_deinit" },
	{ 0x338977a9, "_dev_err" },
	{ 0x320b5b0c, "ocelot_vlan_del" },
	{ 0xe53d8249, "sk_skb_reason_drop" },
	{ 0x9e3eae1c, "ocelot_bond_get_id" },
	{ 0x928e6bdd, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd16f73ea, "ocelot_cls_flower_destroy" },
	{ 0xc5f99ba6, "ocelot_port_vlan_filtering" },
	{ 0x25b4dedf, "ocelot_port_get_rmon_stats" },
	{ 0x53e366e8, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xf6a01188, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4bf2f86a, "ocelot_bridge_stp_state_set" },
	{ 0x6f8671eb, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98048bfc, "netif_rx" },
	{ 0xea50550b, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x9bc6166e, "ocelot_fdb_del" },
	{ 0x2ad1c92a, "ocelot_phylink_mac_link_down" },
	{ 0xf451c251, "ocelot_port_lag_join" },
	{ 0x4ad6c25d, "ocelot_port_get_eth_phy_stats" },
	{ 0x3c00c61a, "ocelot_port_lag_leave" },
	{ 0x48e4894c, "ocelot_mrp_add_ring_role" },
	{ 0x37de10c6, "ocelot_port_set_mm" },
	{ 0x9b4d715a, "ocelot_deinit_timestamp" },
	{ 0xa618e84f, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2e17eb9, "ocelot_port_get_stats64" },
	{ 0xfb1e4af4, "ocelot_port_get_dscp_prio" },
	{ 0xa172f524, "ocelot_port_mdb_del" },
	{ 0x302e6d36, "ocelot_port_get_eth_mac_stats" },
	{ 0xbe1087f4, "ocelot_mact_flush" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "53A8B6232DCCCDFFB66631E");
