#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4bb29f1e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6d071138, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa635fe20, "netif_carrier_on" },
	{ 0xc4cf0dbf, "pci_disable_msix" },
	{ 0xb9180669, "alloc_pages_noprof" },
	{ 0x829f421c, "pci_disable_device" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe3fd221b, "napi_schedule_prep" },
	{ 0x496c3a6e, "napi_disable" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3d08e237, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3f4f64e8, "skb_copy_bits" },
	{ 0x713f37aa, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd773401b, "pci_enable_device_mem" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xfd2a64a6, "netif_napi_add_weight" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9223d6b3, "unregister_netdev" },
	{ 0x572762fa, "dma_unmap_page_attrs" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x9c8c45f, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa986a1c0, "dev_kfree_skb_irq_reason" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbf78deee, "__netif_napi_del" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14430dfa, "pskb_expand_head" },
	{ 0x2e1d917e, "dev_driver_string" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd2429bd, "dma_map_page_attrs" },
	{ 0x2cf53e21, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf200b2dd, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x86b4b7be, "__napi_schedule" },
	{ 0xa5e5ea2a, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x844b3536, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf743e569, "__free_pages" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0xf38ceef7, "napi_gro_receive" },
	{ 0xf386bbf5, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x338977a9, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x5bcabf9a, "dma_alloc_attrs" },
	{ 0xb98ad43a, "napi_enable" },
	{ 0xc2ff4eb7, "register_netdev" },
	{ 0x33222369, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x25603e90, "__put_devmap_managed_folio_refs" },
	{ 0xa3df1203, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x28027759, "_dev_warn" },
	{ 0x17c57436, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0xc73dfc70, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d000010CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001520sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "391F0DA3926F9B377C7271B");
