#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0x3c8d43bf, "_gpl");
SYMBOL_CRC(ks8851_resume, 0xcaab6348, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x342cec2b, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0x85f18ca0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x98048bfc, "netif_rx" },
	{ 0xfb24b98b, "mii_check_link" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0x713f37aa, "skb_put" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0x7f87b164, "netdev_err" },
	{ 0x59308eec, "devm_gpiod_get_optional" },
	{ 0xad19a6b7, "gpiod_set_consumer_name" },
	{ 0xe30cd3fb, "devm_regulator_get" },
	{ 0xaf5a79b1, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1778279c, "gpiod_set_value_cansleep" },
	{ 0xd9cde282, "regulator_disable" },
	{ 0x338977a9, "_dev_err" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0xcf545f21, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaa72ff8, "__mdiobus_register" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbdbacd4a, "mdiobus_unregister" },
	{ 0x80c37e43, "mdiobus_free" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0xc2ff4eb7, "register_netdev" },
	{ 0xcdbfe8cf, "netdev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x9223d6b3, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf386bbf5, "netif_device_attach" },
	{ 0xde55e9da, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc73dfc70, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xaccfc104, "skb_dequeue" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa824300e, "netdev_info" },
	{ 0x844b3536, "netif_device_detach" },
	{ 0x42f21f9, "generic_mii_ioctl" },
	{ 0x5d9d82a2, "mii_ethtool_set_link_ksettings" },
	{ 0x2a4569eb, "mii_ethtool_get_link_ksettings" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0xb0827be4, "mii_link_ok" },
	{ 0xbcf6745f, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "mii,libphy,eeprom_93cx6");


MODULE_INFO(srcversion, "A4AB64D5ADB8E139380B616");
