#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x8d9cd061, "");
SYMBOL_CRC(phy_get_rate_matching, 0xe534b0c9, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0xb4e51f35, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x1af67dc6, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x95719a8a, "");
SYMBOL_CRC(phy_mii_ioctl, 0x57cded9d, "");
SYMBOL_CRC(phy_do_ioctl, 0x1170792a, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x5f60e4b4, "");
SYMBOL_CRC(phy_queue_state_machine, 0x28542be2, "");
SYMBOL_CRC(phy_trigger_machine, 0x38c780e6, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x3e6da36a, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x933dec42, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xf2d62c48, "");
SYMBOL_CRC(phy_start_cable_test, 0xe9380b44, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xbdcd3f71, "");
SYMBOL_CRC(phy_config_aneg, 0xa87ce12f, "");
SYMBOL_CRC(_phy_start_aneg, 0x08b377c3, "");
SYMBOL_CRC(phy_start_aneg, 0x3682461e, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x19a27ab2, "");
SYMBOL_CRC(phy_speed_down, 0x24db40ca, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x4db06028, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x9c87959e, "_gpl");
SYMBOL_CRC(phy_error, 0xf0aee5b6, "");
SYMBOL_CRC(phy_request_interrupt, 0x299193ec, "");
SYMBOL_CRC(phy_free_interrupt, 0x4e0844a7, "");
SYMBOL_CRC(phy_stop, 0x9e611a44, "");
SYMBOL_CRC(phy_start, 0x61821165, "");
SYMBOL_CRC(phy_mac_interrupt, 0xe40742f8, "");
SYMBOL_CRC(phy_init_eee, 0xf6c6424d, "");
SYMBOL_CRC(phy_get_eee_err, 0x2ac82325, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x0060fdab, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x344859d4, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x0c28698e, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x28a18a9e, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x5364faca, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xe5948c72, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0xe254b10f, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x35bf2adf, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x3c18aebc, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x3d767984, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x619ce328, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x2a3f6edf, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x041feb20, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0xb89f8bf0, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x9affe418, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0xc4497753, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x7076073c, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x9a006454, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0xa2e9b7f4, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x92506e46, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x1539c2d9, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xd5f36abb, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x32359f34, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x68deb9e6, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x22d53b66, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0xed7a1702, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x868a5c9e, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x6e056143, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x996bc569, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x6e683b8a, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x9e732430, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0xd9d6b90c, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x96c1a0bc, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x7251217e, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xc7a3d646, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x4751f25b, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x4a5d31f7, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x0f6ad267, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0xb00ead5c, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x1bcc64aa, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xe644416c, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xaddcebe9, "");
SYMBOL_CRC(phy_read_mmd, 0x4b96674d, "");
SYMBOL_CRC(__phy_write_mmd, 0x42cd1f81, "");
SYMBOL_CRC(phy_write_mmd, 0x790c6253, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x4b71640a, "");
SYMBOL_CRC(phy_package_read_mmd, 0x1d5267b0, "");
SYMBOL_CRC(__phy_package_write_mmd, 0x01a00c54, "");
SYMBOL_CRC(phy_package_write_mmd, 0x6b366bbe, "");
SYMBOL_CRC(phy_modify_changed, 0x8b327ed6, "_gpl");
SYMBOL_CRC(__phy_modify, 0xe9c6bba7, "_gpl");
SYMBOL_CRC(phy_modify, 0x801f37d3, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x2b744b78, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xbbb3d24d, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xea18ce51, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x92a77ce9, "_gpl");
SYMBOL_CRC(phy_save_page, 0x2e58ae46, "_gpl");
SYMBOL_CRC(phy_select_page, 0x4da841ff, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x4ffea883, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x8f6cc8a1, "");
SYMBOL_CRC(phy_write_paged, 0xc8499df4, "");
SYMBOL_CRC(phy_modify_paged_changed, 0xc17cdb71, "");
SYMBOL_CRC(phy_modify_paged, 0x3ef0c2c5, "");
SYMBOL_CRC(phy_basic_features, 0x07ab1f47, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xfe7849dd, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x272f90bb, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0xa2fe28b3, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0xbf7e4cd1, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xfd8eb1bf, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x112a4b78, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x1f8aa8f1, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x004bfa1c, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x1479a216, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x0d15dc4b, "_gpl");
SYMBOL_CRC(phy_device_free, 0x9b4ad0a3, "");
SYMBOL_CRC(phy_register_fixup, 0x413564c3, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xff95ea6a, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xe83a3518, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x03d25c3e, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x2ee5479b, "");
SYMBOL_CRC(get_phy_device, 0x53c69d1e, "");
SYMBOL_CRC(phy_device_register, 0x075586f9, "");
SYMBOL_CRC(phy_device_remove, 0x435efef3, "");
SYMBOL_CRC(phy_get_c45_ids, 0x83d5dc20, "");
SYMBOL_CRC(phy_find_first, 0xeb877ff3, "");
SYMBOL_CRC(phy_connect_direct, 0x96eb427a, "");
SYMBOL_CRC(phy_connect, 0xc0af270f, "");
SYMBOL_CRC(phy_disconnect, 0x2e2e6258, "");
SYMBOL_CRC(phy_init_hw, 0x63a3f108, "");
SYMBOL_CRC(phy_attached_info, 0x63b255c7, "");
SYMBOL_CRC(phy_attached_info_irq, 0x74d18ab5, "");
SYMBOL_CRC(phy_attached_print, 0xad211286, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0xa5863662, "");
SYMBOL_CRC(phy_attach_direct, 0x3a52fc13, "");
SYMBOL_CRC(phy_attach, 0x8471d92e, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x4ca2af03, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x720e9a75, "_gpl");
SYMBOL_CRC(phy_package_join, 0x2a1b1afc, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x078cfc69, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x208ae4e1, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0xf503147f, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0xf212c96f, "_gpl");
SYMBOL_CRC(phy_detach, 0xf9ee777d, "");
SYMBOL_CRC(phy_suspend, 0x4c08a70c, "");
SYMBOL_CRC(__phy_resume, 0x51456c27, "");
SYMBOL_CRC(phy_resume, 0xc6c3471f, "");
SYMBOL_CRC(phy_loopback, 0xc001025d, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xb64a07da, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x79dd6a33, "");
SYMBOL_CRC(genphy_setup_forced, 0x6d46250a, "");
SYMBOL_CRC(genphy_read_master_slave, 0x74a83d78, "");
SYMBOL_CRC(genphy_restart_aneg, 0x26473d0c, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x519d0a5a, "");
SYMBOL_CRC(__genphy_config_aneg, 0x154c24ff, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xf4a07845, "");
SYMBOL_CRC(genphy_aneg_done, 0x6de2e2e0, "");
SYMBOL_CRC(genphy_update_link, 0xe0b6614b, "");
SYMBOL_CRC(genphy_read_lpa, 0x5c361182, "");
SYMBOL_CRC(genphy_read_status_fixed, 0xa1163abe, "");
SYMBOL_CRC(genphy_read_status, 0xe2ef8acf, "");
SYMBOL_CRC(genphy_c37_read_status, 0xd4ed9af3, "");
SYMBOL_CRC(genphy_soft_reset, 0x8676003a, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xcf4a6928, "");
SYMBOL_CRC(genphy_read_abilities, 0x39998f1a, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x093baf35, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x3ee03e44, "");
SYMBOL_CRC(genphy_suspend, 0xf96d479c, "");
SYMBOL_CRC(genphy_resume, 0x73ece6a2, "");
SYMBOL_CRC(genphy_loopback, 0x6c3f0936, "");
SYMBOL_CRC(phy_remove_link_mode, 0x6c8ac5cd, "");
SYMBOL_CRC(phy_advertise_supported, 0xc40ebd41, "");
SYMBOL_CRC(phy_advertise_eee_all, 0x4e102c6f, "_gpl");
SYMBOL_CRC(phy_support_eee, 0xbde13b67, "");
SYMBOL_CRC(phy_support_sym_pause, 0x19a7da7b, "");
SYMBOL_CRC(phy_support_asym_pause, 0xd77cf94d, "");
SYMBOL_CRC(phy_set_sym_pause, 0x61e3f6ed, "");
SYMBOL_CRC(phy_set_asym_pause, 0x9f3539ae, "");
SYMBOL_CRC(phy_validate_pause, 0x6f9f12f5, "");
SYMBOL_CRC(phy_get_pause, 0xc2a9cd97, "");
SYMBOL_CRC(phy_get_internal_delay, 0x00933868, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x3e2c2149, "");
SYMBOL_CRC(fwnode_phy_find_device, 0xd3885b1c, "");
SYMBOL_CRC(device_phy_find_device, 0x97aaa860, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x6a215b04, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x872ccf1f, "");
SYMBOL_CRC(phy_drivers_register, 0x1ff0ce45, "");
SYMBOL_CRC(phy_driver_unregister, 0x5a71c2e5, "");
SYMBOL_CRC(phy_drivers_unregister, 0x3dcfb05c, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x435982db, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x46e05720, "");
SYMBOL_CRC(mdiobus_get_phy, 0x6d8a3d35, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xddc213cb, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xcf545f21, "");
SYMBOL_CRC(mdio_find_bus, 0x19001737, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x95eab8e5, "");
SYMBOL_CRC(__mdiobus_register, 0x0aa72ff8, "");
SYMBOL_CRC(mdiobus_unregister, 0xbdbacd4a, "");
SYMBOL_CRC(mdiobus_free, 0x80c37e43, "");
SYMBOL_CRC(__mdiobus_read, 0x82685bcf, "");
SYMBOL_CRC(__mdiobus_write, 0x32e68659, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xf62c4297, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x85838844, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xd9e1f8ed, "");
SYMBOL_CRC(mdiobus_read_nested, 0x109228bb, "");
SYMBOL_CRC(mdiobus_read, 0xf05f1692, "");
SYMBOL_CRC(mdiobus_c45_read, 0x124bfa8a, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x38f66144, "");
SYMBOL_CRC(mdiobus_write_nested, 0xb4b74b04, "");
SYMBOL_CRC(mdiobus_write, 0x11151b1d, "");
SYMBOL_CRC(mdiobus_c45_write, 0xfadbcaf6, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x86b751c3, "");
SYMBOL_CRC(__mdiobus_modify, 0x41c03c98, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xed6f4232, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x7c6e40a1, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x2c6bc309, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x64768f82, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x71a6d722, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x584f2b23, "");
SYMBOL_CRC(mdio_device_create, 0xe8c0e50e, "");
SYMBOL_CRC(mdio_device_register, 0x7cad23e3, "");
SYMBOL_CRC(mdio_device_remove, 0x3cab8f8d, "");
SYMBOL_CRC(mdio_device_reset, 0x2c196d0e, "");
SYMBOL_CRC(mdio_driver_register, 0xea2b840c, "");
SYMBOL_CRC(mdio_driver_unregister, 0xd3eb2412, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x50707061, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x3c9da9f7, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x32f92ee9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x321de849, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc82099f3, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x478d1162, "__trace_trigger_soft_disabled" },
	{ 0x1778279c, "gpiod_set_value_cansleep" },
	{ 0xa419fff0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x31b98428, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x2bc9f4f7, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59308eec, "devm_gpiod_get_optional" },
	{ 0xb7cd6aae, "get_device" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xdb2f1dea, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x721411cb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24ae3da1, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc67bce3, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc19bd3fe, "put_device" },
	{ 0xf5965702, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0xd9ce2ec7, "module_put" },
	{ 0x1b752314, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x53b87410, "perf_trace_run_bpf_submit" },
	{ 0x56075a9e, "bus_unregister" },
	{ 0x98e6350d, "devm_kfree" },
	{ 0x338977a9, "_dev_err" },
	{ 0x1cda1129, "bus_find_device" },
	{ 0xfaa3de96, "device_add" },
	{ 0x9faf72f8, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x4b763801, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xc5955441, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x60f8bc3a, "is_acpi_data_node" },
	{ 0x392eda73, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x934264f7, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xda85b29c, "class_unregister" },
	{ 0x539976ff, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x370954cc, "device_register" },
	{ 0x3e4a7230, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x5a8caf25, "device_bind_driver" },
	{ 0x28027759, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x7a85f257, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15dc9c2f, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x66022bdb, "netdev_alert" },
	{ 0x49ee921d, "ethnl_cable_test_alloc" },
	{ 0xa2d0204e, "fwnode_find_reference" },
	{ 0x14e12c09, "fwnode_property_read_string" },
	{ 0x11e60f56, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x483527a6, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x713a13d5, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0x9ad4e190, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe2b306eb, "led_trigger_register" },
	{ 0xa635fe20, "netif_carrier_on" },
	{ 0xa97f5f0c, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfef562b, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xba043ad1, "sysfs_create_link_nowarn" },
	{ 0xd61b8e34, "dev_err_probe" },
	{ 0xe649d4b6, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x444b0f61, "led_trigger_event" },
	{ 0xf0c40379, "device_release_driver" },
	{ 0xa3ecb997, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xad19a6b7, "gpiod_set_consumer_name" },
	{ 0xab2d4078, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb0d3278a, "driver_register" },
	{ 0x448fb5b2, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbc7fdc80, "__dev_fwnode" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xa824300e, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2480114a, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x5217aec6, "class_find_device" },
	{ 0x7b6c98fa, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x587425f3, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf3eb8668, "is_acpi_device_node" },
	{ 0x846083eb, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0x90decfa, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2f4dd4f9, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2276ab8a, "trace_raw_output_prep" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EBA52274E8F5AB098CA6C17");
