#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x4326296c, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0xfb995f83, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x440760be, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x88f9145f, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x39185fe8, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x9af7c8d8, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x364d11db, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xed3f899d, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x6dc4aa6e, "cfg80211_put_bss" },
	{ 0x1095c7c4, "cfg80211_ch_switch_notify" },
	{ 0x4853d102, "skb_queue_tail" },
	{ 0xb120f9a7, "ieee80211_get_channel_khz" },
	{ 0x6f72b14, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc556c3a9, "__cfg80211_radar_event" },
	{ 0x4f4b2ef4, "cfg80211_get_drvinfo" },
	{ 0xeea5c8dc, "init_net" },
	{ 0x94a4669a, "platform_device_unregister" },
	{ 0xd55c4ef6, "cfg80211_michael_mic_failure" },
	{ 0x5d58e4a1, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x63488d34, "debugfs_remove" },
	{ 0xef71a0b, "cfg80211_del_sta_sinfo" },
	{ 0x32817f6c, "cfg80211_update_owe_info_event" },
	{ 0x338b64d7, "wiphy_unregister" },
	{ 0x33222369, "free_netdev" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65f7e985, "netif_tx_stop_all_queues" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x960ad04e, "wdev_chandef" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a8dd094, "cfg80211_unregister_wdev" },
	{ 0x5af2a65c, "platform_device_register_full" },
	{ 0x115fd52e, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa635fe20, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3bb30eb, "netdev_walk_all_lower_dev" },
	{ 0x5f54343e, "cfg80211_inform_bss_data" },
	{ 0xd28e9057, "cfg80211_shutdown_all_interfaces" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0xa16670e2, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0xb8187db9, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc130f99c, "cfg80211_connect_done" },
	{ 0x6ebc1386, "__cfg80211_get_bss" },
	{ 0x9f807772, "wiphy_free" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xaee807e5, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe5624892, "eth_mac_addr" },
	{ 0x713f37aa, "skb_put" },
	{ 0x952d3b7e, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16f9c06f, "cfg80211_cac_event" },
	{ 0xaccfc104, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x75737981, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb9722456, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xed168e80, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xf8d91876, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf02c4a55, "cfg80211_disconnected" },
	{ 0xa68e83b5, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa898894c, "netdev_port_same_parent_id" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x39965251, "alloc_netdev_mqs" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "95C50ED0AF0F008EB2C23B4");
