#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x63eaa3ba, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xa824300e, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x730ca872, "sdio_readb" },
	{ 0x2d96ad6b, "sdio_writeb" },
	{ 0x3d08e237, "alloc_etherdev_mqs" },
	{ 0xf5e220bb, "sdio_release_host" },
	{ 0x30c49fb9, "sdio_disable_func" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc71f6f7d, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x713f37aa, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x14d9aeaa, "sdio_claim_host" },
	{ 0xec32fab3, "sdio_memcpy_fromio" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9223d6b3, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb9d788c1, "request_firmware" },
	{ 0x278ce64e, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x48a068d8, "sdio_memcpy_toio" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7f87b164, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0x8103f516, "crypto_destroy_tfm" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5b672b36, "sdio_release_irq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xad3ed120, "sdio_unregister_driver" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x338977a9, "_dev_err" },
	{ 0x79223e83, "crypto_shash_setkey" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf4e6096d, "wireless_send_event" },
	{ 0xc2ff4eb7, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x33222369, "free_netdev" },
	{ 0xfe6a6c4f, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xdca8d98a, "__sdio_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x98048bfc, "netif_rx" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0xc73dfc70, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb6f38cd8, "crypto_shash_finup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa635fe20, "netif_carrier_on" },
	{ 0xe13306c0, "sdio_claim_irq" },
	{ 0xb33a4122, "sdio_enable_func" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("sdio:c*v005Bd7910*");
MODULE_ALIAS("sdio:c*v0023d7910*");

MODULE_INFO(srcversion, "FEC3D83C3C31D600792C8F7");
