#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0x16795ede, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0x281919d7, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0xee6c3c1d, "_gpl");
SYMBOL_CRC(rndis_uninit, 0xd5f4dad9, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0xe0b68a0f, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0x7a9be2d7, "_gpl");
SYMBOL_CRC(rndis_register, 0xbbce9e91, "_gpl");
SYMBOL_CRC(rndis_deregister, 0x42814641, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0x533ff336, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0x1b888749, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0x78be0d53, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x3aa9da64, "_gpl");
SYMBOL_CRC(rndis_free_response, 0xaee4abad, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0xd5d05dc0, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0x6b4c2cfc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74f93da7, "gether_get_host_addr_u8" },
	{ 0x7fd89a8e, "gether_set_qmult" },
	{ 0x22fe334a, "config_group_init_type_name" },
	{ 0xa82e8adb, "gether_get_host_addr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc6440eb1, "skb_push" },
	{ 0xd3d69751, "gether_set_gadget" },
	{ 0xffb7c514, "ida_free" },
	{ 0x33222369, "free_netdev" },
	{ 0xab2cbc71, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x1452b8b, "usb_put_function_instance" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0xc028af53, "gether_connect" },
	{ 0x7bedb459, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1cc87444, "gether_set_host_addr" },
	{ 0xa03bc450, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2ab18789, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0x8dbd7b48, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x76a8f2a8, "gether_get_ifname" },
	{ 0x66212365, "gether_set_ifname" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0xa635fe20, "netif_carrier_on" },
	{ 0x71a4f100, "gether_setup_name_default" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xc8e74661, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe185cc46, "usb_free_all_descriptors" },
	{ 0x7db431d7, "usb_gstrings_attach" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x14616480, "dev_get_stats" },
	{ 0xe66e05a6, "usb_os_desc_prepare_interf_dir" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0xca6e704e, "usb_interface_id" },
	{ 0x5569286e, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2ca8ef2, "gether_disconnect" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xefea9753, "config_ep_by_speed" },
	{ 0xaf77dd66, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccef8d3, "gether_register_netdev" },
	{ 0x4853d102, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x54eed200, "usb_function_register" },
	{ 0x338977a9, "_dev_err" },
	{ 0xc2da5cb2, "skb_pull" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "C42FBC2FF91D69C514B903A");
