#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19938205, "bio_add_page" },
	{ 0xfe6a6c4f, "crypto_shash_update" },
	{ 0xc92a89b3, "from_vfsgid" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0f82699, "alloc_pages_bulk_noprof" },
	{ 0x58a8daa5, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8a6413f0, "__audit_inode_child" },
	{ 0x1ba4e875, "d_obtain_alias" },
	{ 0xae7519c6, "file_modified" },
	{ 0xca37c33c, "radix_tree_iter_resume" },
	{ 0x491a44da, "sysfs_create_group" },
	{ 0x4bee7ba4, "posix_acl_chmod" },
	{ 0xbc38e025, "copy_page_to_iter" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0x25603e90, "__put_devmap_managed_folio_refs" },
	{ 0xb8dff636, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xed0993ce, "kthread_associate_blkcg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x29986cbd, "freezing_slow_path" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xc5d05cfc, "read_cache_page_gfp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xac20b207, "inode_add_bytes" },
	{ 0x66ec34b8, "__folio_start_writeback" },
	{ 0x633835a1, "bpf_trace_run1" },
	{ 0xedb6a798, "folio_end_writeback" },
	{ 0x8ad3c0ad, "folio_alloc_noprof" },
	{ 0x79cff90a, "from_kuid" },
	{ 0x3ed19599, "bio_init" },
	{ 0xf2e89143, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xf7e73674, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x51e3a006, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x14a24200, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfd9977e6, "generic_remap_file_range_prep" },
	{ 0x995ccc86, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x60e709ee, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6bfa5097, "__insert_inode_hash" },
	{ 0x671dd325, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4b5e3f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x58a411db, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfa43bb7c, "filemap_get_folios" },
	{ 0xfb170c7d, "blkcg_root_css" },
	{ 0x43e89db7, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0xda72b542, "make_kgid" },
	{ 0x132e9645, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc339ba3a, "d_delete" },
	{ 0x4c339dd2, "wbc_account_cgroup_owner" },
	{ 0x358ef674, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xc3f9a4a6, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x14f4bf49, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x86e268e5, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d876c47, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xf4127750, "sysfs_remove_group" },
	{ 0xb7d5c86e, "bpf_trace_run3" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcd5cfaf3, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd71f41c5, "bio_split_rw_at" },
	{ 0x2d5b407a, "super_setup_bdi" },
	{ 0x3cf3d2c0, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0xae13f86a, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x50ea75d3, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9df512a4, "kobject_del" },
	{ 0xd8328c48, "d_instantiate_new" },
	{ 0x11e60f56, "trace_event_buffer_reserve" },
	{ 0x3408c16b, "bio_uninit" },
	{ 0x8eb7f09, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x145ae288, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6c43186a, "filemap_fdatawait_range" },
	{ 0xef34d614, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7860429a, "bioset_init" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x75de72c8, "init_user_ns" },
	{ 0xb4669fd0, "simple_rename_timestamp" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x9867481b, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0x5360bcbc, "inode_set_ctime_current" },
	{ 0xbeecbba3, "inc_nlink" },
	{ 0xb44fdfd2, "seq_write" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x942e6030, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfd68fe92, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f05f275, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0x7b898c4, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x42607aa0, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c5714cd, "deactivate_locked_super" },
	{ 0xb6342011, "touch_atime" },
	{ 0x6ba327c4, "filemap_read" },
	{ 0xae3e86c2, "__percpu_down_read" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe84d5199, "tag_pages_for_writeback" },
	{ 0xee13c6a, "balance_dirty_pages_ratelimited_flags" },
	{ 0xdf06d68d, "kobject_uevent" },
	{ 0xf8f39577, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5200bb23, "posix_acl_update_mode" },
	{ 0xaaf0aa6a, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x1a8a8d37, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xb9180669, "alloc_pages_noprof" },
	{ 0x90c3513a, "__folio_lock" },
	{ 0xc7d12a25, "folio_wait_bit" },
	{ 0x1ff09091, "filemap_dirty_folio" },
	{ 0x66996b4c, "pagecache_get_page" },
	{ 0x96897565, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x6fe397e2, "rcuwait_wake_up" },
	{ 0x9882d42a, "file_bdev" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb94d3c2f, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0x7e9d69c8, "file_ra_state_init" },
	{ 0x6bba3f56, "__fs_parse" },
	{ 0xa57fbfc2, "filemap_splice_read" },
	{ 0x9f2ab924, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x411cd5c2, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x3d21b950, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x4dd8225a, "d_parent_ino" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x196f5518, "filemap_write_and_wait_range" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x13c3e426, "fsverity_ioctl_measure" },
	{ 0xdc3739a8, "generic_write_checks" },
	{ 0x255757d7, "iov_iter_revert" },
	{ 0x763e8e3f, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeee6341a, "generic_write_checks_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x80de7592, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0x63eaa3ba, "crypto_alloc_shash" },
	{ 0xbef0807b, "d_invalidate" },
	{ 0xcd852410, "__mark_inode_dirty" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x44ba49eb, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xebd1f686, "mtree_insert" },
	{ 0x6c990eae, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x4dbae846, "iomap_dio_bio_end_io" },
	{ 0xf94fc5b9, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc3499325, "drop_nlink" },
	{ 0xff0c9e2a, "fault_in_iov_iter_readable" },
	{ 0xb11adff3, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x672f02b6, "fs_param_is_u64" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xcc3f1c29, "iget_failed" },
	{ 0xcfceb65c, "kernel_write" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x1f7a635f, "fs_bio_set" },
	{ 0x94a26ca2, "kmem_cache_destroy" },
	{ 0xb5e9fd8a, "bio_split" },
	{ 0x4e8f828, "mtree_load" },
	{ 0xb74c1e77, "kset_create_and_add" },
	{ 0x9acd1c7c, "blkdev_issue_discard" },
	{ 0xd30b72fa, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x291c0971, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x5a71b56c, "truncate_inode_pages" },
	{ 0x6a76cb8b, "folio_invalidate" },
	{ 0x374d70cd, "inode_update_timestamps" },
	{ 0x703c42f7, "inode_init_owner" },
	{ 0x7607bd76, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd538c4a8, "vfs_fsync_range" },
	{ 0x8cb9b6c0, "setattr_prepare" },
	{ 0xb1c495b2, "filemap_migrate_folio" },
	{ 0x81d78938, "bdev_file_open_by_path" },
	{ 0x94b88d64, "shrinker_alloc" },
	{ 0xd6f2be6f, "clear_nlink" },
	{ 0xdf701447, "sync_blockdev_range" },
	{ 0xb22e50a4, "file_check_and_advance_wb_err" },
	{ 0xf3736982, "filemap_flush" },
	{ 0xdc1d3445, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2520e162, "filemap_get_folios_tag" },
	{ 0x11131576, "wbc_detach_inode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1e1ec3ab, "d_instantiate" },
	{ 0x6523805e, "_copy_to_iter" },
	{ 0xed1a76cf, "fsverity_ioctl_enable" },
	{ 0x90ea62d3, "pagecache_isize_extended" },
	{ 0x52746f3b, "misc_deregister" },
	{ 0x7fc3eec3, "__bio_add_page" },
	{ 0x290ca333, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd5fb465, "clear_inode" },
	{ 0x33fe9264, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x649f8bfd, "filemap_range_has_page" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe260d230, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x891510a6, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cdc43e9, "__fsverity_cleanup_inode" },
	{ 0x80a717a8, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe4011b8d, "fs_param_is_string" },
	{ 0x8f896c6a, "__folio_batch_release" },
	{ 0x57545a5c, "folio_unlock" },
	{ 0x866114b1, "set_blocksize" },
	{ 0x7db348e4, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd6d6dc54, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6cdf379, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x95f9bc73, "try_to_writeback_inodes_sb" },
	{ 0xe4acd6e4, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2276ab8a, "trace_raw_output_prep" },
	{ 0x2b7c1ec5, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x65257d3c, "init_special_inode" },
	{ 0xd6d7d4f9, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3e9d44f0, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc82099f3, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe82e5989, "generic_error_remove_folio" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9735a6d5, "filemap_fdatawrite_range" },
	{ 0x478d1162, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x574ce758, "bio_add_folio_nofail" },
	{ 0x80b47a6d, "d_make_root" },
	{ 0xa419fff0, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2365aceb, "__fsverity_file_open" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x1057a279, "bsearch" },
	{ 0x2e1c7b57, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x23967b1, "xas_find" },
	{ 0xbbbce9a3, "invalidate_mapping_pages" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xb42b0804, "sync_filesystem" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x63a5d431, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x91484a2f, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xfc04b9a7, "sget_fc" },
	{ 0x338abba4, "d_splice_alias" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa03e5243, "current_time" },
	{ 0x2bc9f4f7, "trace_event_raw_init" },
	{ 0xf1e28a00, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x16083566, "from_vfsuid" },
	{ 0x125a7ef5, "ihold" },
	{ 0x5a881172, "fsverity_verify_blocks" },
	{ 0x8364115, "page_get_link" },
	{ 0xa8bcd63d, "inode_dio_wait" },
	{ 0x58603bcd, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x1fd10ec5, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x68e00935, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x808c87ff, "finish_open" },
	{ 0x7ed35a71, "iput" },
	{ 0x983a1a43, "filemap_range_has_writeback" },
	{ 0xa45a4027, "kset_unregister" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x91df908e, "fs_param_is_enum" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xad17aeb, "wbc_attach_and_unlock_inode" },
	{ 0x41a79ff9, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xaa5c00d, "filemap_release_folio" },
	{ 0xa7c87c6c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8092cf72, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x879d1853, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x833fe77, "register_filesystem" },
	{ 0x249de62, "d_tmpfile" },
	{ 0xe9299929, "kmem_cache_create" },
	{ 0x107d24e2, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x34dab96c, "kthread_park" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb0b86944, "filemap_add_folio" },
	{ 0x879fb7bd, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xb82c5dab, "clear_page_dirty_for_io" },
	{ 0x867480b8, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b75ddfc, "iget5_locked_rcu" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4efb79c1, "d_prune_aliases" },
	{ 0xc87a7fd4, "wake_up_process" },
	{ 0xe02771e, "shrinker_free" },
	{ 0x721411cb, "trace_event_buffer_commit" },
	{ 0x5260081a, "fscrypt_setup_filename" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0x70dcd896, "filemap_get_folios_contig" },
	{ 0x8103f516, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x3e3b2c1e, "simple_inode_init_ts" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x4c0cb2c7, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x3fd74e7, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x73e11267, "inode_set_bytes" },
	{ 0xccf89d34, "migrate_folio" },
	{ 0xcbd6a6ff, "lookup_one" },
	{ 0xe714eb21, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc930140f, "add_swap_extent" },
	{ 0x37be67db, "fs_param_is_u32" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x4fc68b88, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x66518a70, "lock_two_nondirectories" },
	{ 0x7d6abd1d, "mnt_want_write_file" },
	{ 0x6d30017f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x8f76c0b8, "posix_acl_from_xattr" },
	{ 0x371d5f1b, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xda3dab68, "make_kuid" },
	{ 0x73730128, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xf18c6938, "inode_sub_bytes" },
	{ 0x6be0e8f7, "sync_blockdev" },
	{ 0x2a85b72c, "fs_kobj" },
	{ 0x970a7748, "bio_add_folio" },
	{ 0x3300c0fa, "__filemap_set_wb_err" },
	{ 0x560edce, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0x315963a2, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x625d72a1, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x618911fc, "numa_node" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0xe13a1e8d, "mtree_erase" },
	{ 0xa54aaefb, "__check_sticky" },
	{ 0xf743e569, "__free_pages" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0xb4cea7af, "xattr_full_name" },
	{ 0x76d2e45d, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb3926b2a, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x14cadbec, "submit_bio" },
	{ 0xe2b78b63, "mnt_drop_write_file" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1b752314, "sysfs_create_link" },
	{ 0x3a3eb97e, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x5feed460, "mntput" },
	{ 0x228aab24, "__folio_swap_cache_index" },
	{ 0xc2c5802, "work_busy" },
	{ 0x62186bd6, "inode_init_once" },
	{ 0x7bd66878, "bioset_exit" },
	{ 0x73d12ff8, "compat_ptr_ioctl" },
	{ 0x7c9f243a, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xe2de1f06, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xf7f11d2f, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xa6784d44, "bio_endio" },
	{ 0x4690529d, "mount_subtree" },
	{ 0x82cedae9, "__inode_attach_wb" },
	{ 0x897cb30b, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb1b3d4cb, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0xe8318f72, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x53b87410, "perf_trace_run_bpf_submit" },
	{ 0x36b0e0b5, "__bio_advance" },
	{ 0x89ac68e5, "sysfs_update_group" },
	{ 0xd289a16d, "sysfs_unmerge_group" },
	{ 0xe4a6ebce, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc3a7edea, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x8bb4c8e0, "vfs_dup_fs_context" },
	{ 0xb7c0f443, "sort" },
	{ 0xaac90784, "inode_maybe_inc_iversion" },
	{ 0xe3974846, "unlock_page" },
	{ 0x27a6ee95, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3befcef0, "thp_get_unmapped_area" },
	{ 0x9faf72f8, "sysfs_remove_link" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0x5cba9038, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0xbd3df4eb, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x44f7166e, "put_fs_context" },
	{ 0xdecaa5cf, "unlock_two_nondirectories" },
	{ 0xe8b8ec11, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xa086f812, "wait_on_page_writeback" },
	{ 0xbeb7eca, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0xf72a4990, "folio_mark_accessed" },
	{ 0x95361126, "sysfs_merge_group" },
	{ 0x6626afca, "down" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0x2c7ee931, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x733da6ca, "setattr_copy" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xe8695f37, "file_update_time" },
	{ 0x52bc9517, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x19d3cb77, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x1c8541b0, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xdc78cf80, "security_inode_init_security" },
	{ 0xf9f8aab2, "from_kgid" },
	{ 0xc5955441, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x672df4e6, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x38b4d0ca, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0x3961a3ba, "rw_verify_area" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x398df3a6, "blkdev_issue_zeroout" },
	{ 0xd0e4249d, "fault_in_iov_iter_writeable" },
	{ 0xf80ce732, "file_remove_privs" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xab708f66, "kobject_init_and_add" },
	{ 0xdb2de0a5, "zero_fill_bio_iter" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "D6CEEAE2CEE4CA23C1F8C4B");
