#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf80ce732, "file_remove_privs" },
	{ 0xd0e4249d, "fault_in_iov_iter_writeable" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xf1e046cc, "panic" },
	{ 0x917d953b, "__SCT__tp_func_wbc_writepage" },
	{ 0xab708f66, "kobject_init_and_add" },
	{ 0x4e96322e, "thaw_super" },
	{ 0x19938205, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4048151b, "write_inode_now" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x46a63e40, "folio_wait_stable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ba4e875, "d_obtain_alias" },
	{ 0x491a44da, "sysfs_create_group" },
	{ 0x4bee7ba4, "posix_acl_chmod" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfd98f56a, "list_lru_count_one" },
	{ 0x35de57b7, "__seq_open_private" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeae6681c, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x52c8b9fa, "block_dirty_folio" },
	{ 0x523c9aab, "finish_no_open" },
	{ 0x431cceec, "iomap_bmap" },
	{ 0x2b9257d9, "mpage_read_folio" },
	{ 0x66ec34b8, "__folio_start_writeback" },
	{ 0x633835a1, "bpf_trace_run1" },
	{ 0x2872cdf8, "default_llseek" },
	{ 0xedb6a798, "folio_end_writeback" },
	{ 0x79cff90a, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3ed19599, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xf7e73674, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x92b7625e, "security_inode_invalidate_secctx" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x8de14e6a, "iomap_fiemap" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x26ade8d6, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb37229d4, "__list_lru_init" },
	{ 0xae4b5e3f, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x993ad0c6, "__block_write_full_folio" },
	{ 0xda72b542, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x5ff9eb0e, "lockref_mark_dead" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x14f4bf49, "truncate_setsize" },
	{ 0x86e268e5, "insert_inode_locked4" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d876c47, "kthread_create_on_node" },
	{ 0x76431c3e, "dlm_posix_get" },
	{ 0x903b627c, "list_lru_isolate_move" },
	{ 0x848a6763, "pv_ops" },
	{ 0xf4127750, "sysfs_remove_group" },
	{ 0xb7d5c86e, "bpf_trace_run3" },
	{ 0x632202e8, "iomap_read_folio" },
	{ 0xda0c4e39, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8a6c5f1b, "dlm_lock" },
	{ 0xa5a506f2, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8ecd1fbf, "debugfs_create_file" },
	{ 0x3cf3d2c0, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x11e60f56, "trace_event_buffer_reserve" },
	{ 0xfa9f2308, "d_add" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9bcbaaf8, "mpage_readahead" },
	{ 0x6c43186a, "filemap_fdatawait_range" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x58bc72b7, "dlm_posix_cancel" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75de72c8, "init_user_ns" },
	{ 0x25ffefed, "iomap_writepages" },
	{ 0xe091c977, "list_sort" },
	{ 0x5360bcbc, "inode_set_ctime_current" },
	{ 0xbeecbba3, "inc_nlink" },
	{ 0xb44fdfd2, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0x3187da76, "get_tree_bdev" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd5b935b7, "list_lru_walk_one" },
	{ 0x6f05f275, "seq_printf" },
	{ 0x7b898c4, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c5714cd, "deactivate_locked_super" },
	{ 0x7f2c26db, "dlm_posix_lock" },
	{ 0xb6342011, "touch_atime" },
	{ 0xae3e86c2, "__percpu_down_read" },
	{ 0x5520a84f, "__lock_buffer" },
	{ 0xe84d5199, "tag_pages_for_writeback" },
	{ 0xdf06d68d, "kobject_uevent" },
	{ 0xe2bd2b25, "pid_nr_ns" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5200bb23, "posix_acl_update_mode" },
	{ 0xaaf0aa6a, "generic_file_open" },
	{ 0x1a8a8d37, "truncate_inode_pages_range" },
	{ 0xb9180669, "alloc_pages_noprof" },
	{ 0x90c3513a, "__folio_lock" },
	{ 0xc7d12a25, "folio_wait_bit" },
	{ 0x66996b4c, "pagecache_get_page" },
	{ 0x96897565, "is_bad_inode" },
	{ 0x6fe397e2, "rcuwait_wake_up" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x22193baa, "block_is_partially_uptodate" },
	{ 0xeb953d64, "iomap_zero_range" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x6bba3f56, "__fs_parse" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9f2ab924, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xfd8240a5, "seq_release_private" },
	{ 0xfec13b9c, "seq_open" },
	{ 0x411cd5c2, "dget_parent" },
	{ 0xd22716ee, "__SCK__tp_func_wbc_writepage" },
	{ 0x4e5841df, "iget5_locked" },
	{ 0x196f5518, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xf929fa1b, "generic_update_time" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xdc3739a8, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x80de7592, "filemap_fault" },
	{ 0xb8187db9, "debugfs_create_dir" },
	{ 0xcd852410, "__mark_inode_dirty" },
	{ 0x44ba49eb, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xff8b5db7, "iomap_release_folio" },
	{ 0x7190a026, "iomap_is_partially_uptodate" },
	{ 0xa6364bf1, "seq_open_private" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x6c990eae, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x299aa3a2, "put_pid" },
	{ 0xf94fc5b9, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x83250099, "sb_min_blocksize" },
	{ 0xc3499325, "drop_nlink" },
	{ 0xff0c9e2a, "fault_in_iov_iter_readable" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3a6dec51, "iomap_seek_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x4bef1c67, "empty_name" },
	{ 0xcc3f1c29, "iget_failed" },
	{ 0x1f7a635f, "fs_bio_set" },
	{ 0x953e6a60, "address_space_init_once" },
	{ 0x94a26ca2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0xb74c1e77, "kset_create_and_add" },
	{ 0x9acd1c7c, "blkdev_issue_discard" },
	{ 0xd30b72fa, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xbd86fb9, "__tracepoint_wbc_writepage" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5a71b56c, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x3766fe8, "bh_uptodate_or_lock" },
	{ 0x18971386, "filemap_fdatawrite" },
	{ 0x96dd3735, "iomap_readahead" },
	{ 0x7607bd76, "generic_fillattr" },
	{ 0x8cb9b6c0, "setattr_prepare" },
	{ 0xd538c4a8, "vfs_fsync_range" },
	{ 0xb1c495b2, "filemap_migrate_folio" },
	{ 0x8aa4fd4f, "may_setattr" },
	{ 0x760a0f4f, "yield" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x94b88d64, "shrinker_alloc" },
	{ 0xd6f2be6f, "clear_nlink" },
	{ 0x2520e162, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1e1ec3ab, "d_instantiate" },
	{ 0x7fc3eec3, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x290ca333, "blk_start_plug" },
	{ 0xfd5fb465, "clear_inode" },
	{ 0xcb4bddfa, "inode_to_bdi" },
	{ 0x33fe9264, "bpf_trace_run4" },
	{ 0x498294a1, "iocb_bio_iopoll" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe4011b8d, "fs_param_is_string" },
	{ 0x8f896c6a, "__folio_batch_release" },
	{ 0x57545a5c, "folio_unlock" },
	{ 0x4aea463f, "crc32_le_shift" },
	{ 0xd6d6dc54, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xf0c5738, "seq_release" },
	{ 0x6e8c6cfe, "file_fdatawait_range" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6cdf379, "filemap_map_pages" },
	{ 0x968052b7, "iomap_file_buffered_write" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2276ab8a, "trace_raw_output_prep" },
	{ 0xc06cbbd2, "forget_all_cached_acls" },
	{ 0x937733e3, "qid_valid" },
	{ 0x65257d3c, "init_special_inode" },
	{ 0xd6d7d4f9, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xeac36269, "task_active_pid_ns" },
	{ 0xba99ccc2, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe82e5989, "generic_error_remove_folio" },
	{ 0x9735a6d5, "filemap_fdatawrite_range" },
	{ 0x478d1162, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcd224e1d, "dlm_new_lockspace" },
	{ 0xb45679e8, "is_subdir" },
	{ 0x80b47a6d, "d_make_root" },
	{ 0xa419fff0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c3bb46e, "sb_set_blocksize" },
	{ 0xc28721b0, "__put_task_struct" },
	{ 0xd8f3ea94, "read_cache_folio" },
	{ 0xbbbce9a3, "invalidate_mapping_pages" },
	{ 0xb42b0804, "sync_filesystem" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x4b62826c, "dlm_unlock" },
	{ 0x733bf9b0, "end_buffer_read_sync" },
	{ 0xb55465d7, "folio_redirty_for_writepage" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfc04b9a7, "sget_fc" },
	{ 0x338abba4, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa03e5243, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0x2bc9f4f7, "trace_event_raw_init" },
	{ 0x401625d5, "iomap_get_folio" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xe6efa0a, "unmap_mapping_range" },
	{ 0x125a7ef5, "ihold" },
	{ 0xa8bcd63d, "inode_dio_wait" },
	{ 0x58603bcd, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x1fd10ec5, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x808c87ff, "finish_open" },
	{ 0x7ed35a71, "iput" },
	{ 0xa45a4027, "kset_unregister" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x4ecb54c3, "seq_lseek" },
	{ 0x91df908e, "fs_param_is_enum" },
	{ 0x12d53807, "fs_param_is_s32" },
	{ 0x2aa5549d, "logfc" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0x41a79ff9, "iter_file_splice_write" },
	{ 0xaa5c00d, "filemap_release_folio" },
	{ 0xa7c87c6c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x833fe77, "register_filesystem" },
	{ 0x5ee2aa12, "list_lru_count_node" },
	{ 0xe9299929, "kmem_cache_create" },
	{ 0x59cd2f4d, "iomap_dirty_folio" },
	{ 0x107d24e2, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x599fc5a6, "sync_inode_metadata" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x879fb7bd, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xab0dde7c, "submit_bh" },
	{ 0x867480b8, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4efb79c1, "d_prune_aliases" },
	{ 0xcf9f3328, "dlm_release_lockspace" },
	{ 0xc87a7fd4, "wake_up_process" },
	{ 0xe02771e, "shrinker_free" },
	{ 0x721411cb, "trace_event_buffer_commit" },
	{ 0x3e3b2c1e, "simple_inode_init_ts" },
	{ 0x9d546133, "iomap_invalidate_folio" },
	{ 0x1d339096, "bio_clone_blkg_association" },
	{ 0x8c486e3f, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe714eb21, "iomap_dio_rw" },
	{ 0x7c25bcb0, "locks_lock_inode_wait" },
	{ 0x4fc68b88, "inode_newsize_ok" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa767d2fe, "kill_block_super" },
	{ 0x7ca00f8b, "deactivate_super" },
	{ 0x6d30017f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x19c9c699, "block_invalidate_folio" },
	{ 0x9a3c0c5e, "iomap_seek_hole" },
	{ 0x8f76c0b8, "posix_acl_from_xattr" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x67b38ad1, "dlm_posix_unlock" },
	{ 0xeb95a001, "try_to_free_buffers" },
	{ 0xda3dab68, "make_kuid" },
	{ 0x8354587c, "create_empty_buffers" },
	{ 0x73730128, "truncate_inode_pages_final" },
	{ 0xe9d72e51, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x2a85b72c, "fs_kobj" },
	{ 0x3300c0fa, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x315963a2, "shrinker_register" },
	{ 0x625d72a1, "__filemap_get_folio" },
	{ 0x18f965b9, "locks_init_lock" },
	{ 0x7ad050b9, "qid_lt" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0xe608c373, "simple_nosetlease" },
	{ 0xf743e569, "__free_pages" },
	{ 0x76d2e45d, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb3926b2a, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xede7fb2d, "seq_vprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x14cadbec, "submit_bio" },
	{ 0x16142abb, "find_ge_pid" },
	{ 0x32ad1bf9, "freeze_super" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1b752314, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x94caf0a2, "mark_buffer_write_io_error" },
	{ 0x12cbcdf7, "task_lookup_next_fdget_rcu" },
	{ 0x62186bd6, "inode_init_once" },
	{ 0x275a940d, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x53f71902, "copy_splice_read" },
	{ 0x25b337b6, "mark_buffer_async_write" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xe2de1f06, "seq_escape_mem" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xde7b08ce, "kobject_uevent_env" },
	{ 0xf7f11d2f, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd2d782c0, "__brelse" },
	{ 0xb1b3d4cb, "posix_acl_create" },
	{ 0x6031591b, "kthread_stop_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x53b87410, "perf_trace_run_bpf_submit" },
	{ 0xe4a6ebce, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xfc02542c, "shrink_dcache_sb" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x450f265b, "generic_file_read_iter" },
	{ 0xe3974846, "unlock_page" },
	{ 0x66af1fd1, "lockref_put_or_lock" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9faf72f8, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5cba9038, "set_cached_acl" },
	{ 0xae005024, "pid_task" },
	{ 0xbd3df4eb, "truncate_pagecache" },
	{ 0xc86ad726, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2c7ee931, "bpf_trace_run5" },
	{ 0x733da6ca, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x10554aa7, "write_cache_pages" },
	{ 0xe8695f37, "file_update_time" },
	{ 0x9f431397, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x52bc9517, "set_nlink" },
	{ 0x19d3cb77, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x1c8541b0, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x63488d34, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xdc78cf80, "security_inode_init_security" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x9c0bff65, "seq_putc" },
	{ 0xf9f8aab2, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x4c4f68ce, "__bh_read" },
	{ 0xc5955441, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfcb2e2c8, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x38b4d0ca, "folio_wait_writeback" },
	{ 0x398df3a6, "blkdev_issue_zeroout" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "dlm,libcrc32c");


MODULE_INFO(srcversion, "999E4857BE21B006616D0B4");
