#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xa61db469, "");
SYMBOL_CRC(jbd2_journal_start, 0xf3243cf9, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xfc759779, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x4ca14a3f, "");
SYMBOL_CRC(jbd2__journal_restart, 0xde5d16c9, "");
SYMBOL_CRC(jbd2_journal_restart, 0xc71a1f64, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x3ec5b7a1, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x9f897af8, "");
SYMBOL_CRC(jbd2_journal_extend, 0x70e5c95c, "");
SYMBOL_CRC(jbd2_journal_stop, 0xef4d30d2, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xc012cf48, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x01e5acc9, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xcb19008d, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x48abe830, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x405e534a, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x3502161a, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x2a3ce1e7, "");
SYMBOL_CRC(jbd2_journal_forget, 0xf4599742, "");
SYMBOL_CRC(jbd2_journal_flush, 0x3ef38f65, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x9843e1cb, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x12fb08a8, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x064224bb, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x1e6f7c2e, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xbc01ebf5, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xb0504cb6, "");
SYMBOL_CRC(jbd2_journal_load, 0x9dd74c61, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x09d92a9d, "");
SYMBOL_CRC(jbd2_journal_abort, 0x3cf47798, "");
SYMBOL_CRC(jbd2_journal_errno, 0xd1683a41, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x70566a6f, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x1490670d, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xa21f8cef, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x43c63922, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xe9178e54, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xf3a533c1, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xfe01c42d, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xbdfea333, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x9a63aa21, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x903da41c, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x31f01568, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x69953674, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xca1467ab, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xee5941e1, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x713334ae, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xab4a18c9, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x43b57bc9, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xd47ea3d4, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x631b2a12, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x0bba9cb5, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xaf57bd72, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x9933598a, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xd11955f9, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xdcf62187, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x6d5ae65c, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x2e7e7997, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x393d2c09, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x08be0047, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xce8a449e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe02771e, "shrinker_free" },
	{ 0x721411cb, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x8103f516, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb95a001, "try_to_free_buffers" },
	{ 0x6be0e8f7, "sync_blockdev" },
	{ 0x8bfbe98f, "free_buffer_head" },
	{ 0x315963a2, "shrinker_register" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3926b2a, "blk_finish_plug" },
	{ 0xd57662b9, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd2d782c0, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x53b87410, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29367061, "__bh_read_batch" },
	{ 0x2c7ee931, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x9f431397, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1c8541b0, "kmem_cache_free" },
	{ 0x4c4f68ce, "__bh_read" },
	{ 0xc5955441, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x398df3a6, "blkdev_issue_zeroout" },
	{ 0x13c34cc5, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfe6a6c4f, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x29986cbd, "freezing_slow_path" },
	{ 0x633835a1, "bpf_trace_run1" },
	{ 0xff81c0bb, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4b5e3f, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d876c47, "kthread_create_on_node" },
	{ 0xb7d5c86e, "bpf_trace_run3" },
	{ 0xda0c4e39, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa5a506f2, "unlock_buffer" },
	{ 0x11e60f56, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0x4e40954b, "remove_proc_entry" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f05f275, "seq_printf" },
	{ 0x5520a84f, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1a8a8d37, "truncate_inode_pages_range" },
	{ 0x829aa269, "blkdev_issue_flush" },
	{ 0x8d503473, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x12038b5b, "end_buffer_write_sync" },
	{ 0xfec13b9c, "seq_open" },
	{ 0x6c9d1b79, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x63eaa3ba, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x94a26ca2, "kmem_cache_destroy" },
	{ 0x9acd1c7c, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x3766fe8, "bh_uptodate_or_lock" },
	{ 0x94b88d64, "shrinker_alloc" },
	{ 0x290ca333, "blk_start_plug" },
	{ 0x33fe9264, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57545a5c, "folio_unlock" },
	{ 0xf0c5738, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2276ab8a, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc82099f3, "bpf_trace_run6" },
	{ 0xba99ccc2, "mark_buffer_dirty" },
	{ 0xaabf44ed, "__find_get_block" },
	{ 0x478d1162, "__trace_trigger_soft_disabled" },
	{ 0x9735a6d5, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa419fff0, "trace_event_printf" },
	{ 0x7d3fca75, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x435c5cb2, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x2bc9f4f7, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ed35a71, "iput" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x4ecb54c3, "seq_lseek" },
	{ 0x608905b3, "blockdev_superblock" },
	{ 0x98babf95, "proc_create_data" },
	{ 0xa7c87c6c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe9299929, "kmem_cache_create" },
	{ 0x257dd31b, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xab0dde7c, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa47710c, "alloc_buffer_head" },
	{ 0xc87a7fd4, "wake_up_process" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FC55F98BFE23FFD832ED2CF");
