#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x55458acf, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xbeb4bce4, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x55c32292, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x8b26e282, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xf4a3f429, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x78d8e985, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xc81796ae, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x98f54903, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xb3d29bb4, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xb1932e2c, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x7f4d0010, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x3e1aa66f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x72b268b9, "gro_cells_init" },
	{ 0x9fafcc49, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdcc4b514, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xeea5c8dc, "init_net" },
	{ 0x39965251, "alloc_netdev_mqs" },
	{ 0xc2ff4eb7, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x33222369, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3f4f64e8, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xb20b03af, "__pskb_pull_tail" },
	{ 0xeb797fe6, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x975abacc, "netdev_state_change" },
	{ 0xf79065c4, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xda3dab68, "make_kuid" },
	{ 0xd80b471b, "ip6_redirect" },
	{ 0xc49fb318, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30b0089, "ip6_route_output_flags" },
	{ 0x6d84a5f7, "xfrm_lookup" },
	{ 0x9b8c18e2, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xca3d440d, "skb_scrub_packet" },
	{ 0x8dbd7b48, "skb_realloc_headroom" },
	{ 0x47b7db3d, "skb_set_owner_w" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0xe118b020, "ipv6_push_frag_opts" },
	{ 0xc6440eb1, "skb_push" },
	{ 0x9467cc39, "ip6_local_out" },
	{ 0x2030468d, "dst_cache_get" },
	{ 0x9198e96, "dst_cache_set_ip6" },
	{ 0xc1b20dc8, "ipv6_dev_get_saddr" },
	{ 0x39c38ef, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5f407378, "ipv4_mtu" },
	{ 0xd8a6ae76, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x61b1ea1f, "iptunnel_handle_offloads" },
	{ 0x42276d37, "icmpv6_ndo_send" },
	{ 0xe53d8249, "sk_skb_reason_drop" },
	{ 0xe811738d, "icmp_ndo_send" },
	{ 0x4117fe2e, "skb_clone" },
	{ 0xc2da5cb2, "skb_pull" },
	{ 0x7cccd3b8, "icmp6_send" },
	{ 0x4b58a49f, "ip_route_output_flow" },
	{ 0xfe21753b, "ip_route_input_noref" },
	{ 0x87794a31, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7e5477d8, "gro_cells_receive" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xe85e8764, "__iptunnel_pull_header" },
	{ 0xcae2e130, "metadata_dst_alloc" },
	{ 0xd9b23b39, "__xfrm_policy_check" },
	{ 0x1fb1d3cb, "dev_get_tstats64" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xde36abd1, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3943e439, "ipv6_chk_addr_and_flags" },
	{ 0x2563f094, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x9213a161, "register_pernet_device" },
	{ 0x65a8c7a3, "xfrm6_tunnel_register" },
	{ 0x416b400c, "rtnl_link_register" },
	{ 0x50ed0123, "xfrm6_tunnel_deregister" },
	{ 0xceb9dbf4, "unregister_pernet_device" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7cae349, "unregister_netdevice_queue" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0xa79f3093, "rt6_lookup" },
	{ 0x86db1ff0, "dst_release" },
	{ 0x5502a3e2, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5415341073ACF423E4FE2F3");
