#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x82901736, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x62b6f708, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x43df9055, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xf79051b7, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x95dc4cea, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x654b508f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8306f0a1, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x4145195f, "skb_mpls_pop" },
	{ 0x595e7415, "skb_vlan_pop" },
	{ 0xfe6be702, "dst_init" },
	{ 0xd9ce2ec7, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xa0f41a7d, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xdcc4b514, "rtnl_link_unregister" },
	{ 0x53b87410, "perf_trace_run_bpf_submit" },
	{ 0xeea5c8dc, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x76bcd23, "ipv6_stub" },
	{ 0x7de500f2, "skb_mpls_update_lse" },
	{ 0xc2da5cb2, "skb_pull" },
	{ 0xb81acffe, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe53d8249, "sk_skb_reason_drop" },
	{ 0x20d4f10b, "netlink_unicast" },
	{ 0x2c7ee931, "bpf_trace_run5" },
	{ 0x2563f094, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc6440eb1, "skb_push" },
	{ 0x1c8541b0, "kmem_cache_free" },
	{ 0x20ec217d, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xc5955441, "trace_event_reg" },
	{ 0x96a4c664, "skb_ensure_writable" },
	{ 0x33222369, "free_netdev" },
	{ 0xc4114120, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xceb9dbf4, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa3df1203, "ethtool_op_get_link" },
	{ 0x3da164d7, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xfff25749, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xae4b5e3f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb20b03af, "__pskb_pull_tail" },
	{ 0xa2cecaa1, "nf_ct_delete" },
	{ 0xa5986de7, "nf_conncount_init" },
	{ 0xdf150c4c, "skb_vlan_push" },
	{ 0x98048bfc, "netif_rx" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0xdd3ce10d, "netdev_master_upper_dev_link" },
	{ 0x29f330c0, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xda168e84, "inet_proto_csum_replace16" },
	{ 0xa03bc450, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xca3d440d, "skb_scrub_packet" },
	{ 0xc8a1b37d, "nf_ct_deliver_cached_events" },
	{ 0xc65aea6e, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdb46da9e, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb5d22ea2, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x11e60f56, "trace_event_buffer_reserve" },
	{ 0x7e6b19f5, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcaa99130, "inet_proto_csum_replace4" },
	{ 0xed3c460b, "nf_conncount_destroy" },
	{ 0x68bde0af, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x3800aa87, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd74020a4, "dev_get_by_name" },
	{ 0x4117fe2e, "skb_clone" },
	{ 0xcae2e130, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x86db1ff0, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2d38a6fb, "peernet2id_alloc" },
	{ 0x61eefc9b, "nf_ct_get_tuplepr" },
	{ 0xf06d0d98, "netdev_rx_handler_register" },
	{ 0xee7dbcb3, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcd3fe1b2, "genl_unregister_family" },
	{ 0xdd9a7a, "dev_disable_lro" },
	{ 0x72219992, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xda9b28da, "genl_register_family" },
	{ 0x76b8451e, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdaf333a1, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x9464723e, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x1f6f980e, "skb_mpls_push" },
	{ 0x9213a161, "register_pernet_device" },
	{ 0x1781428b, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x94a26ca2, "kmem_cache_destroy" },
	{ 0x413d44dd, "__skb_vlan_pop" },
	{ 0x17ca24ea, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb797fe6, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xa468cfca, "nf_ct_ext_add" },
	{ 0xc102df07, "nsh_pop" },
	{ 0x4950c341, "nf_conntrack_find_get" },
	{ 0x112398ce, "nf_ct_set_timeout" },
	{ 0x14616480, "dev_get_stats" },
	{ 0xb0568cb7, "__nla_put" },
	{ 0x587425f3, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa2a5ef89, "dev_fill_metadata_dst" },
	{ 0x33fe9264, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3f4f64e8, "skb_copy_bits" },
	{ 0x5813db9f, "nf_ct_handle_fragments" },
	{ 0xe5624892, "eth_mac_addr" },
	{ 0x713f37aa, "skb_put" },
	{ 0xc47f4381, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe964e268, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xba4a9b77, "nf_ct_nat" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8097147, "skb_eth_pop" },
	{ 0x2276ab8a, "trace_raw_output_prep" },
	{ 0x851166da, "skb_gso_validate_mac_len" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x75fb202c, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xbcdc70ce, "nf_ct_helper" },
	{ 0x478d1162, "__trace_trigger_soft_disabled" },
	{ 0x66800a42, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa419fff0, "trace_event_printf" },
	{ 0x514f1d69, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x416b400c, "rtnl_link_register" },
	{ 0x7e7ea1a1, "nf_connlabels_put" },
	{ 0x242837cf, "genlmsg_put" },
	{ 0x1279c22b, "___pskb_trim" },
	{ 0x2bc9f4f7, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7e7950ae, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b90aac3, "dev_set_promiscuity" },
	{ 0xf19bf24d, "nf_ct_destroy_timeout" },
	{ 0x9033c69e, "nf_ct_add_helper" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0xf47451e6, "nf_conntrack_helper_put" },
	{ 0x18d153aa, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc03ef18f, "nf_ct_skb_network_trim" },
	{ 0xf7cae349, "unregister_netdevice_queue" },
	{ 0xe9299929, "kmem_cache_create" },
	{ 0xc9189c9d, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xa68e83b5, "ether_setup" },
	{ 0x18168c1, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14430dfa, "pskb_expand_head" },
	{ 0xc7b44ca8, "skb_csum_hwoffload_help" },
	{ 0x721411cb, "trace_event_buffer_commit" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0x535fb079, "nf_connlabels_replace" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x39965251, "alloc_netdev_mqs" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc8decefa, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xf0c5cda, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfc80afd0, "skb_eth_push" },
	{ 0xf58af418, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "E33A50B587626FB5841DCCF");
