#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe153ebc9, "amdtp_domain_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb7cd6aae, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8c8bd9e7, "fw_iso_resources_allocate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b21c910, "fw_core_add_address_handler" },
	{ 0x9db5b31f, "amdtp_stream_pcm_prepare" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc19bd3fe, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0xc36783e9, "snd_pcm_hw_rule_add" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0x8b76a2a8, "fw_iso_resources_destroy" },
	{ 0x3ff89ac, "amdtp_domain_stop" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe2396b2, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x338977a9, "_dev_err" },
	{ 0xc07cfaf7, "snd_hwdep_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd6fc399c, "amdtp_stream_destroy" },
	{ 0x392eda73, "driver_unregister" },
	{ 0x530e066a, "snd_pcm_set_ops" },
	{ 0x9c467a92, "amdtp_domain_add_stream" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa843d468, "amdtp_stream_get_max_payload" },
	{ 0x10d132b7, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x34e57bd, "snd_rawmidi_new" },
	{ 0xbe81ca37, "snd_rawmidi_set_ops" },
	{ 0xb980339d, "amdtp_am824_set_pcm_position" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe80e5087, "fw_csr_iterator_init" },
	{ 0x2ab630cd, "fw_bus_type" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x6f05f275, "seq_printf" },
	{ 0xa1d66916, "fw_iso_resources_init" },
	{ 0xe6fb74d7, "snd_info_create_card_entry" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa917e36b, "amdtp_domain_stream_pcm_ack" },
	{ 0x90079416, "amdtp_domain_destroy" },
	{ 0xb0d3278a, "driver_register" },
	{ 0xf7b26213, "fw_iso_resources_update" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x3ec054, "amdtp_domain_start" },
	{ 0xe3fde125, "fw_csr_iterator_next" },
	{ 0xbfd12f1c, "fw_send_response" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaedf84ce, "fw_high_memory_region" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x127f73e6, "fw_iso_resources_free" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x52221618, "amdtp_am824_set_parameters" },
	{ 0xb284c63c, "snd_fw_transaction" },
	{ 0x8dbabb8e, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x26076075, "amdtp_am824_midi_trigger" },
	{ 0x1b61e1bd, "amdtp_am824_init" },
	{ 0xd181cda3, "snd_card_register" },
	{ 0xabc6a305, "snd_card_free" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe9937b04, "amdtp_am824_add_pcm_hw_constraints" },
	{ 0x96848186, "scnprintf" },
	{ 0xe41d57ea, "snd_pcm_hw_constraint_minmax" },
	{ 0xdcbbe4e7, "amdtp_domain_stream_pcm_pointer" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x4c4dd1d6, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "snd-firewire-lib,firewire-core,snd-pcm,snd,snd-hwdep,snd-rawmidi");

MODULE_ALIAS("ieee1394:ven0000A07Emo00000004sp0000A07Ever00000001*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00000010sp*ver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00000011sp*ver*");
MODULE_ALIAS("ieee1394:ven00000166mo00000020sp*ver*");
MODULE_ALIAS("ieee1394:ven00000166mo00000021sp*ver*");
MODULE_ALIAS("ieee1394:ven00000166mo00000022sp*ver*");
MODULE_ALIAS("ieee1394:ven00000166mo00000023sp*ver*");
MODULE_ALIAS("ieee1394:ven00000166mo00000024sp*ver*");
MODULE_ALIAS("ieee1394:ven00000166mo00000027sp*ver*");
MODULE_ALIAS("ieee1394:ven00000166mo00000030sp*ver*");
MODULE_ALIAS("ieee1394:ven00000595mo00000001sp*ver*");
MODULE_ALIAS("ieee1394:ven00000595mo00000002sp*ver*");
MODULE_ALIAS("ieee1394:ven00001EE8mo00000002sp*ver*");
MODULE_ALIAS("ieee1394:ven000050C2mo00000070sp*ver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00000008sp*ver*");
MODULE_ALIAS("ieee1394:ven00000FD7mo00000001sp*ver*");
MODULE_ALIAS("ieee1394:ven0000130Emo000000DEsp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo00000007sp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo00000008sp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo0000000Bsp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo00000006sp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo0000000Asp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo00000001sp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo00000003sp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo00000002sp*ver*");
MODULE_ALIAS("ieee1394:ven00001C6Amo00000004sp*ver*");
MODULE_ALIAS("ieee1394:ven*mo*sp*ver00000001*");

MODULE_INFO(srcversion, "B765F3640EA5622968DBE57");
