#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0x8484f2aa, "");
SYMBOL_CRC(snd_trident_stop_voice, 0xc064cb48, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0x0b57eeb5, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x73d83c0d, "");
SYMBOL_CRC(snd_trident_free_voice, 0x7c4e8bf6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0xd6145af7, "snd_mpu401_uart_new" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0xbd938946, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0x479a23bf, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbc94f5b9, "pci_write_config_dword" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xc59655e4, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x61929a75, "devm_request_threaded_irq" },
	{ 0x1fdc13, "snd_ctl_add" },
	{ 0x8d35b923, "snd_ac97_resume" },
	{ 0x8dbabb8e, "snd_pcm_new" },
	{ 0xd181cda3, "snd_card_register" },
	{ 0x6399818b, "snd_devm_alloc_dir_pages" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0xe41d57ea, "snd_pcm_hw_constraint_minmax" },
	{ 0xe1e96b33, "param_array_ops" },
	{ 0x9c8c45f, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x86bfcbd6, "snd_card_rw_proc_new" },
	{ 0x100ae46a, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8bcf6a58, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x84bef3dd, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xab479440, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xfdf6a58, "snd_ac97_suspend" },
	{ 0x614c7976, "__snd_printk" },
	{ 0x312d55e, "snd_ctl_boolean_mono_info" },
	{ 0x338977a9, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbad0416c, "snd_ctl_notify" },
	{ 0x530e066a, "snd_pcm_set_ops" },
	{ 0x4be171c3, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x10d132b7, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x17c57436, "pci_set_master" },
	{ 0x9c1a1862, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0x6a353815, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xde578a8e, "pci_write_config_byte" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f05f275, "seq_printf" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "snd-util-mem,snd-mpu401-uart,snd-pcm,snd,snd-ac97-codec");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41970AD61B7EA9C53D2F718");
