#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0xe3936ef5, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0xc71ae5ee, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x2619416c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59308eec, "devm_gpiod_get_optional" },
	{ 0x8e6a78e6, "cs35l41_init_boost" },
	{ 0xa2be7a32, "cs35l41_enter_hibernate" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf37525d, "__pm_runtime_set_status" },
	{ 0x1bd0ba0, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1dda6d7, "pm_runtime_enable" },
	{ 0x39c04a06, "regulator_bulk_disable" },
	{ 0xd0959f7d, "device_property_read_u32_array" },
	{ 0x576422c8, "snd_soc_get_enum_double" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0x2a2eaad5, "snd_soc_info_volsw" },
	{ 0x20a41e86, "regmap_multi_reg_write_bypassed" },
	{ 0x338977a9, "_dev_err" },
	{ 0x439c8d3b, "wm_adsp_event" },
	{ 0xefde7f53, "snd_soc_dapm_put_volsw" },
	{ 0xa023102b, "cs35l41_test_key_unlock" },
	{ 0x31f787c1, "cs35l41_test_key_lock" },
	{ 0x6cd4c737, "snd_pcm_hw_constraint_list" },
	{ 0xcde82b9f, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x28027759, "_dev_warn" },
	{ 0xf8983192, "wm_adsp2_component_probe" },
	{ 0x95834236, "wm_adsp2_preloader_put" },
	{ 0x5480ba2e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29196ee4, "wm_adsp2_preloader_get" },
	{ 0x6b2ed359, "snd_soc_info_enum_double" },
	{ 0xcdf89397, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x886f6c90, "devm_regulator_bulk_get" },
	{ 0x97ef991d, "snd_soc_info_volsw_sx" },
	{ 0xf7921985, "cs35l41_otp_unpack" },
	{ 0x8bab32b2, "wm_adsp2_component_remove" },
	{ 0x6315271, "snd_soc_get_volsw" },
	{ 0x51b42527, "cs35l41_exit_hibernate" },
	{ 0x72eb6af8, "regmap_read" },
	{ 0x9a1fd2fc, "snd_soc_put_volsw" },
	{ 0xfb720a51, "wm_adsp_fw_get" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0xfe5fabcd, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x6b26534e, "cs35l41_write_fs_errata" },
	{ 0x481a4e5d, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfff75e10, "cs35l41_configure_cs_dsp" },
	{ 0x1e8165a, "_dev_crit" },
	{ 0xedf16d41, "regmap_update_bits_base" },
	{ 0xd61b8e34, "dev_err_probe" },
	{ 0xcb344abc, "snd_soc_dapm_get_volsw" },
	{ 0xf8f78568, "__pm_runtime_suspend" },
	{ 0x21a56797, "snd_soc_dapm_get_enum_double" },
	{ 0xa20d8f1a, "__pm_runtime_use_autosuspend" },
	{ 0x93a61340, "wm_halo_init" },
	{ 0xb5b4eaa8, "wm_adsp_early_event" },
	{ 0x328342b0, "cs35l41_set_channels" },
	{ 0xca7991da, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0x2ae03333, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x29f0b656, "snd_soc_dapm_put_enum_double" },
	{ 0x47e82683, "wm_adsp_fw_put" },
	{ 0xb03bf413, "device_property_present" },
	{ 0x345de9cc, "cs35l41_global_enable" },
	{ 0xf767580d, "regcache_cache_only" },
	{ 0xf3eb8668, "is_acpi_device_node" },
	{ 0xc75d477a, "regcache_sync" },
	{ 0xe08f78cc, "regmap_write" },
	{ 0x61929a75, "devm_request_threaded_irq" },
	{ 0x24582ef8, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xad9023c5, "pm_runtime_set_autosuspend_delay" },
	{ 0x3fd901a6, "cs35l41_register_errata_patch" },
	{ 0x1778279c, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0xdea68fd, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf0480cc5, "snd_soc_put_enum_double" },
	{ 0xd3f1b63e, "regcache_mark_dirty" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "811F3320C280B4B068979DF");
