#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_control_add, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0xfb720a51, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x47e82683, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0xcde82b9f, "_gpl");
SYMBOL_CRC(wm_adsp_control_add, 0x2643228a, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x8db29a7c, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0xc16be5d1, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x32bd94e8, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xc7af01a4, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xb57721dc, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x29196ee4, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x95834236, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x5d81887f, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x53740a5c, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0xb5b4eaa8, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0xffb9b9b9, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0xa88b058a, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x439c8d3b, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xf8983192, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x8bab32b2, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x3ab73cf5, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x93a61340, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x0dea68fd, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x56d07c7d, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xb262b7e1, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xf672e29b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xcc02846e, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x3a806340, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xbc090cac, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xc1b5814b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x4e2872e7, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96848186, "scnprintf" },
	{ 0xf0165e30, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x3430ece4, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6494b13a, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9b9f7c4c, "cs_dsp_halo_bus_error" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8e61e59, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52f0c497, "cs_dsp_find_alg_region" },
	{ 0xfa746904, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8cf0ca2, "cs_dsp_get_ctl" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0x338977a9, "_dev_err" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb125255b, "cs_dsp_halo_init" },
	{ 0x351691b9, "cs_dsp_power_down" },
	{ 0x9ba3e664, "cs_dsp_adsp2_init" },
	{ 0xb6443c43, "snd_soc_add_component_controls" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf3f942f, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x44060ffe, "cs_dsp_set_dspclk" },
	{ 0x28027759, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xee855750, "cs_dsp_power_up" },
	{ 0x91515a86, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x9921c315, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x46db9e6e, "cs_dsp_write_data_word" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1d910c8d, "cs_dsp_halo_wdt_expire" },
	{ 0xb3e3a889, "snd_soc_component_disable_pin" },
	{ 0xbef3f07, "snd_soc_bytes_tlv_callback" },
	{ 0x62337921, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb67c4254, "cs_dsp_read_raw_data_block" },
	{ 0x754d539c, "strlen" },
	{ 0x1ae53e10, "cs_dsp_read_data_word" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbad27d3b, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd8f3c79b, "snd_soc_component_force_enable_pin" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xafcdec7b, "firmware_request_nowarn" },
	{ 0x9ad4df22, "cs_dsp_cleanup_debugfs" },
	{ 0xbe37c0e7, "cs_dsp_coeff_read_ctrl" },
	{ 0xde40cf1f, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe823d840, "cs_dsp_stop" },
	{ 0x930780f2, "cs_dsp_adsp1_power_up" },
	{ 0x2b991304, "cs_dsp_adsp1_power_down" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "6307A40EBAAB254FDFB7FAF");
