#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x1c954e85, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x6bbc8e06, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0xfc525310, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x32bfff68, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0xd7bb234a, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x0ddcd5fa, "");
SYMBOL_CRC(mtl_dsp_dump, 0x59806aee, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x7913bd34, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x17a191b7, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0xe3805ee9, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0x21da4b09, "");
SYMBOL_CRC(mtl_ipc_dump, 0x1cbc9cf5, "");
SYMBOL_CRC(mtl_dsp_core_get, 0xb290f591, "");
SYMBOL_CRC(mtl_dsp_core_put, 0x2d4bdede, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x522f8f73, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xea900bc6, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1828a0d6, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x23760f3b, "hda_sdw_check_lcount_common" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa0134902, "hda_pci_intel_probe" },
	{ 0x9cb0cba, "snd_sof_dsp_dbg_dump" },
	{ 0xf38486fe, "sof_mailbox_write" },
	{ 0x338977a9, "_dev_err" },
	{ 0x950368df, "debugfs_create_bool" },
	{ 0x7715ec47, "snd_sof_dsp_update_bits_forced" },
	{ 0x84bcb4a3, "sof_pci_remove" },
	{ 0xd9243276, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa926b607, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x96f87465, "snd_sof_ipc_get_reply" },
	{ 0x7acf4ea8, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x775a83ff, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x528cd30e, "snd_sof_ipc_reply" },
	{ 0x5d44a8bc, "hda_ipc4_tx_is_busy" },
	{ 0x13df6e66, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0x9835f1e4, "hda_ops_free" },
	{ 0x70759b45, "sof_pci_shutdown" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xda5fb66c, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x62dde5f3, "hda_dsp_get_state" },
	{ 0xa660d31, "hda_dsp_ipc4_load_library" },
	{ 0xd75eeec, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x66e1c33b, "sof_pci_pm" },
	{ 0xd87cfc3d, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x6b546c25, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x92829ba1, "hda_sdw_check_wakeen_irq_common" },
	{ 0x1fad33c3, "snd_soc_acpi_intel_arl_machines" },
	{ 0x83cbfd19, "hda_dsp_shutdown" },
	{ 0xed0cdf05, "hda_sdw_int_enable" },
	{ 0xf36b1b22, "hda_sdw_startup" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F46591CFE13A41038E04026");
