#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0x45c443c2, "ata_std_qc_defer" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0x479a23bf, "pcim_enable_device" },
	{ 0x71aace97, "pcim_iomap_regions" },
	{ 0xc35390f4, "pcim_iomap_table" },
	{ 0x5a68a2d8, "ata_host_alloc_pinfo" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0xca239b2, "pcie_set_readrq" },
	{ 0x17c57436, "pci_set_master" },
	{ 0xf12bc5e6, "ata_host_activate" },
	{ 0xf661e6a4, "ata_print_version" },
	{ 0xa6bb322d, "pci_enable_msi" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0xc79eb6d2, "pci_intx" },
	{ 0x887e88c1, "ata_eh_freeze_port" },
	{ 0xeae1dbbf, "sata_pmp_error_handler" },
	{ 0x676da948, "sata_std_hardreset" },
	{ 0xd10b8795, "sata_set_spd" },
	{ 0x2ca51297, "ata_link_online" },
	{ 0x6c98647, "sata_deb_timing_long" },
	{ 0x2dbb5ae4, "sata_link_debounce" },
	{ 0xb8d7a3fd, "ata_link_offline" },
	{ 0x4371dfbd, "ata_msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x66c33af5, "ata_port_classify" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0xe7e45077, "sata_pmp_port_ops" },
	{ 0x145b33e5, "ata_scsi_queuecmd" },
	{ 0x5dc5693, "ata_scsi_ioctl" },
	{ 0x5aaa7c, "ata_scsi_slave_alloc" },
	{ 0xab7c57da, "ata_scsi_device_configure" },
	{ 0x5ef107cf, "ata_scsi_slave_destroy" },
	{ 0x771e4b10, "ata_scsi_change_queue_depth" },
	{ 0xad66aa96, "ata_scsi_dma_need_drain" },
	{ 0xf6586457, "ata_std_bios_param" },
	{ 0xf1e2eb9b, "ata_scsi_unlock_native_capacity" },
	{ 0x45c593e2, "ata_ncq_sdev_groups" },
	{ 0xc2666182, "ata_pci_remove_one" },
	{ 0xbb204870, "ata_pci_device_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0x2650b978, "ata_wait_register" },
	{ 0x338977a9, "_dev_err" },
	{ 0xdd5d74ae, "ata_pci_device_do_resume" },
	{ 0x3ed5136a, "ata_host_resume" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ae116a5, "ata_qc_complete_multiple" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x8d9468a7, "ata_port_freeze" },
	{ 0x5e3c8d8a, "ata_ehi_clear_desc" },
	{ 0x322444e9, "ata_ehi_push_desc" },
	{ 0xbf7c1604, "ata_link_abort" },
	{ 0x11a9df87, "sata_async_notification" },
	{ 0xebba4174, "ata_port_abort" },
	{ 0x92997ed8, "_printk" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0x30e6c777, "dmam_alloc_attrs" },
	{ 0x71a90760, "ata_port_pbar_desc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001095d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003132sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000242sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000244sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003131sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003531sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AD5399C3E2766CD334A60FF");
