#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6af42f43, "btintel_set_msft_opcode" },
	{ 0x48889369, "btintel_bootloader_setup_tlv" },
	{ 0xdef09fc5, "btintel_print_fseq_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8306f0a1, "__alloc_skb" },
	{ 0x713f37aa, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xff558b75, "hci_recv_frame" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaccfc104, "skb_dequeue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x71d13b75, "skb_pull_data" },
	{ 0x5e95ac75, "btintel_recv_event" },
	{ 0xc6440eb1, "skb_push" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9c6084b3, "pci_free_irq_vectors" },
	{ 0x38a81f10, "hci_unregister_dev" },
	{ 0x6378493f, "hci_free_dev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4bb29f1e, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xbef5e2ec, "pci_clear_master" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4853d102, "skb_queue_tail" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x214e4265, "bt_warn" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x479a23bf, "pcim_enable_device" },
	{ 0x17c57436, "pci_set_master" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0x71aace97, "pcim_iomap_regions" },
	{ 0xc35390f4, "pcim_iomap_table" },
	{ 0xe71a0b0b, "pci_alloc_irq_vectors" },
	{ 0x7e1741fa, "pci_irq_vector" },
	{ 0x61929a75, "devm_request_threaded_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf1ba3e90, "dma_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x5bcabf9a, "dma_alloc_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x55cc952e, "hci_alloc_dev_priv" },
	{ 0xa9243684, "btintel_shutdown_combined" },
	{ 0x64e0e658, "btintel_hw_error" },
	{ 0x65f11b13, "btintel_set_diag" },
	{ 0x5ecd7cfa, "btintel_set_bdaddr" },
	{ 0x126ceb82, "hci_register_dev" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0x5e281368, "__hci_cmd_sync" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xe53d8249, "sk_skb_reason_drop" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfd672585, "btintel_set_quality_report" },
	{ 0x372fbcae, "btintel_parse_version_tlv" },
	{ 0xbb1b2448, "btintel_version_info_tlv" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "btintel,bluetooth");

MODULE_ALIAS("pci:v00008086d0000A876sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F822BFB7C01C2B95D65FFD7");
