#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_inbound_single_completions, "_gpl", "");
KSYMTAB_DATA(__tracepoint_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_inbound_multiple_completions, "_gpl", "");
KSYMTAB_DATA(__tracepoint_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(__traceiter_isoc_outbound_completions, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_isoc_outbound_completions, "_gpl", "");
KSYMTAB_FUNC(fw_core_add_descriptor, "", "");
KSYMTAB_FUNC(fw_core_remove_descriptor, "", "");
KSYMTAB_FUNC(fw_schedule_bus_reset, "", "");
KSYMTAB_FUNC(fw_card_initialize, "", "");
KSYMTAB_FUNC(fw_card_add, "", "");
KSYMTAB_FUNC(fw_card_release, "_gpl", "");
KSYMTAB_FUNC(fw_core_remove_card, "", "");
KSYMTAB_FUNC(fw_card_read_cycle_time, "_gpl", "");
KSYMTAB_FUNC(fw_csr_iterator_init, "", "");
KSYMTAB_FUNC(fw_csr_iterator_next, "", "");
KSYMTAB_FUNC(fw_csr_string, "", "");
KSYMTAB_DATA(fw_bus_type, "", "");
KSYMTAB_FUNC(fw_device_enable_phys_dma, "", "");
KSYMTAB_DATA(fw_workqueue, "", "");
KSYMTAB_FUNC(fw_iso_buffer_init, "", "");
KSYMTAB_FUNC(fw_iso_buffer_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_create, "", "");
KSYMTAB_FUNC(fw_iso_context_destroy, "", "");
KSYMTAB_FUNC(fw_iso_context_start, "", "");
KSYMTAB_FUNC(fw_iso_context_queue, "", "");
KSYMTAB_FUNC(fw_iso_context_queue_flush, "", "");
KSYMTAB_FUNC(fw_iso_context_flush_completions, "", "");
KSYMTAB_FUNC(fw_iso_context_stop, "", "");
KSYMTAB_FUNC(fw_iso_resource_manage, "", "");
KSYMTAB_FUNC(fw_core_handle_bus_reset, "", "");
KSYMTAB_FUNC(fw_cancel_transaction, "", "");
KSYMTAB_FUNC(__fw_send_request, "_gpl", "");
KSYMTAB_FUNC(fw_run_transaction, "", "");
KSYMTAB_DATA(fw_high_memory_region, "", "");
KSYMTAB_FUNC(fw_core_add_address_handler, "", "");
KSYMTAB_FUNC(fw_core_remove_address_handler, "", "");
KSYMTAB_FUNC(fw_fill_response, "", "");
KSYMTAB_FUNC(fw_send_response, "", "");
KSYMTAB_FUNC(fw_get_request_speed, "", "");
KSYMTAB_FUNC(fw_request_get_timestamp, "_gpl", "");
KSYMTAB_FUNC(fw_core_handle_request, "", "");
KSYMTAB_FUNC(fw_core_handle_response, "", "");
KSYMTAB_FUNC(fw_rcode_string, "", "");

SYMBOL_CRC(__tracepoint_isoc_inbound_single_completions, 0x4b68b75e, "_gpl");
SYMBOL_CRC(__traceiter_isoc_inbound_single_completions, 0x5809f9de, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_inbound_single_completions, 0x42c9f2d7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_inbound_single_completions, 0x5509028e, "_gpl");
SYMBOL_CRC(__tracepoint_isoc_inbound_multiple_completions, 0x50cdc1ef, "_gpl");
SYMBOL_CRC(__traceiter_isoc_inbound_multiple_completions, 0xbdcb8ba0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_inbound_multiple_completions, 0xbc3a5e53, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_inbound_multiple_completions, 0x911b18c0, "_gpl");
SYMBOL_CRC(__tracepoint_isoc_outbound_completions, 0x3f824a14, "_gpl");
SYMBOL_CRC(__traceiter_isoc_outbound_completions, 0x6fa0e37f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_isoc_outbound_completions, 0xd275ebcc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_isoc_outbound_completions, 0x37573b5f, "_gpl");
SYMBOL_CRC(fw_core_add_descriptor, 0x3a771e39, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x0bc6094c, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0xdd511e26, "");
SYMBOL_CRC(fw_card_initialize, 0xd7cb63fc, "");
SYMBOL_CRC(fw_card_add, 0x8eb587cb, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0xfe212b16, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0xf2e937c1, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x6dc50487, "");
SYMBOL_CRC(fw_bus_type, 0x2ab630cd, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0x9a5047c1, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0x77bafe70, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0xb199e462, "");
SYMBOL_CRC(fw_iso_context_create, 0x1f0c2764, "");
SYMBOL_CRC(fw_iso_context_destroy, 0x8186033d, "");
SYMBOL_CRC(fw_iso_context_start, 0x627df95b, "");
SYMBOL_CRC(fw_iso_context_queue, 0xe595433c, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0x0d055ea2, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0x4d6d381a, "");
SYMBOL_CRC(fw_iso_context_stop, 0x3587e717, "");
SYMBOL_CRC(fw_iso_resource_manage, 0x61076118, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0x028f6cb9, "");
SYMBOL_CRC(fw_cancel_transaction, 0x210a256a, "");
SYMBOL_CRC(__fw_send_request, 0xf674d2e4, "_gpl");
SYMBOL_CRC(fw_run_transaction, 0x30af26f0, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0x2b21c910, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0x4c4dd1d6, "");
SYMBOL_CRC(fw_fill_response, 0xd804cadd, "");
SYMBOL_CRC(fw_send_response, 0xbfd12f1c, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0x164a7aa3, "");
SYMBOL_CRC(fw_core_handle_response, 0x07b19729, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x51c77ca7, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x370954cc, "device_register" },
	{ 0x633835a1, "bpf_trace_run1" },
	{ 0x7936395e, "bpf_trace_run9" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x226cf8f, "nonseekable_open" },
	{ 0x848a6763, "pv_ops" },
	{ 0xb7d5c86e, "bpf_trace_run3" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x11e60f56, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6e93f9fe, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf06d68d, "kobject_uevent" },
	{ 0xb9180669, "alloc_pages_noprof" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x895ef803, "bpf_trace_run7" },
	{ 0x6c14812b, "vm_map_pages_zero" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x2480114a, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33fe9264, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x2f4dd4f9, "dev_set_name" },
	{ 0xfce28b6d, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2276ab8a, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc82099f3, "bpf_trace_run6" },
	{ 0x88f31fe9, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x478d1162, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x572762fa, "dma_unmap_page_attrs" },
	{ 0xa419fff0, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x31b98428, "device_initialize" },
	{ 0x2bc9f4f7, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x6ef82ff0, "device_for_each_child" },
	{ 0xa7c87c6c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb7cd6aae, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x721411cb, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd2429bd, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc19bd3fe, "put_device" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0xf743e569, "__free_pages" },
	{ 0x73d12ff8, "compat_ptr_ioctl" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x53b87410, "perf_trace_run_bpf_submit" },
	{ 0x56075a9e, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfaa3de96, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2c7ee931, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc5955441, "trace_event_reg" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "2DE36DA0E8BEB6C0ECA2AB3");
