#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_magn_regmap_config, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_probe, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_remove, "", "IIO_BMC150_MAGN");
KSYMTAB_DATA(bmc150_magn_pm_ops, "", "IIO_BMC150_MAGN");

SYMBOL_CRC(bmc150_magn_regmap_config, 0x63efe783, "");
SYMBOL_CRC(bmc150_magn_probe, 0x90890eb2, "");
SYMBOL_CRC(bmc150_magn_remove, 0xe846c9cd, "");
SYMBOL_CRC(bmc150_magn_pm_ops, 0xba87691d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5940de33, "iio_push_to_buffers" },
	{ 0x9a41f311, "iio_device_unregister" },
	{ 0xca7991da, "__pm_runtime_disable" },
	{ 0xdf37525d, "__pm_runtime_set_status" },
	{ 0x4aabce5b, "iio_triggered_buffer_cleanup" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xebff126c, "iio_trigger_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x39c04a06, "regulator_bulk_disable" },
	{ 0x82438671, "devm_iio_device_alloc" },
	{ 0x886f6c90, "devm_regulator_bulk_get" },
	{ 0xc7ec5bb2, "iio_read_mount_matrix" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcdf89397, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe08f78cc, "regmap_write" },
	{ 0xe9476872, "iio_device_id" },
	{ 0xceb09355, "__devm_iio_trigger_alloc" },
	{ 0x5299e852, "iio_trigger_register" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xfba63d03, "iio_triggered_buffer_setup_ext" },
	{ 0xd61b8e34, "dev_err_probe" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xf1dda6d7, "pm_runtime_enable" },
	{ 0xad9023c5, "pm_runtime_set_autosuspend_delay" },
	{ 0xa20d8f1a, "__pm_runtime_use_autosuspend" },
	{ 0x2fc63256, "__iio_device_register" },
	{ 0xf3eb8668, "is_acpi_device_node" },
	{ 0xc9e1f626, "acpi_match_device" },
	{ 0xb9693f43, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf8f78568, "__pm_runtime_suspend" },
	{ 0x338977a9, "_dev_err" },
	{ 0x16c65bfa, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x72eb6af8, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xedf16d41, "regmap_update_bits_base" },
	{ 0x96848186, "scnprintf" },
	{ 0x5b9bbc1e, "iio_buffer_enabled" },
	{ 0xaf7ff4be, "iio_trigger_notify_done" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "60BA42D962978C4291D0227");
