#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_init_stacking_limits, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");
KSYMTAB_FUNC(md_bitmap_update_sb, "", "");
KSYMTAB_FUNC(md_bitmap_unplug, "", "");
KSYMTAB_FUNC(md_bitmap_unplug_async, "", "");
KSYMTAB_FUNC(md_bitmap_startwrite, "", "");
KSYMTAB_FUNC(md_bitmap_endwrite, "", "");
KSYMTAB_FUNC(md_bitmap_start_sync, "", "");
KSYMTAB_FUNC(md_bitmap_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_close_sync, "", "");
KSYMTAB_FUNC(md_bitmap_cond_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_sync_with_cluster, "", "");
KSYMTAB_FUNC(md_bitmap_free, "", "");
KSYMTAB_FUNC(md_bitmap_load, "_gpl", "");
KSYMTAB_FUNC(get_bitmap_from_slot, "", "");
KSYMTAB_FUNC(md_bitmap_copy_from_slot, "_gpl", "");
KSYMTAB_FUNC(md_bitmap_resize, "_gpl", "");

SYMBOL_CRC(md_cluster_ops, 0x18c86098, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x92461205, "");
SYMBOL_CRC(mddev_suspend, 0xfb656b59, "_gpl");
SYMBOL_CRC(mddev_resume, 0xd3693dd8, "_gpl");
SYMBOL_CRC(md_flush_request, 0xc6239d0b, "");
SYMBOL_CRC(mddev_init, 0xa94cbdc1, "_gpl");
SYMBOL_CRC(mddev_destroy, 0xa5ead274, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x823b86c9, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x4ab7d7f2, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0xb39384bf, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x5d4db01f, "_gpl");
SYMBOL_CRC(sync_page_io, 0x5e896763, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x132aed6c, "");
SYMBOL_CRC(md_integrity_register, 0xe1b02e2a, "");
SYMBOL_CRC(md_update_sb, 0x4b463418, "");
SYMBOL_CRC(md_rdev_init, 0xa6855a55, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0xd046cf86, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0x118723f7, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0x03e78f18, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0xf8929574, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0x397b9cba, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0x008e26aa, "_gpl");
SYMBOL_CRC(md_init_stacking_limits, 0x36370808, "_gpl");
SYMBOL_CRC(md_run, 0x4e5256c6, "_gpl");
SYMBOL_CRC(md_start, 0xf62aa1ae, "_gpl");
SYMBOL_CRC(md_stop_writes, 0xace07292, "_gpl");
SYMBOL_CRC(md_stop, 0xc42db1a9, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x724d14b5, "");
SYMBOL_CRC(md_wakeup_thread, 0x8b3ce06d, "");
SYMBOL_CRC(md_register_thread, 0xf9e2627d, "");
SYMBOL_CRC(md_unregister_thread, 0x2a16534a, "");
SYMBOL_CRC(md_error, 0x763a6eb9, "");
SYMBOL_CRC(register_md_personality, 0xf56255f5, "");
SYMBOL_CRC(unregister_md_personality, 0xffb5c6fb, "");
SYMBOL_CRC(register_md_cluster_operations, 0x6c64b83a, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xfac375d3, "");
SYMBOL_CRC(md_write_start, 0xa40023f1, "");
SYMBOL_CRC(md_write_inc, 0x211a0f51, "");
SYMBOL_CRC(md_write_end, 0xfd6af4b5, "");
SYMBOL_CRC(md_submit_discard_bio, 0x09e3887d, "_gpl");
SYMBOL_CRC(md_account_bio, 0xe0633337, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0xf1e00d28, "_gpl");
SYMBOL_CRC(md_allow_write, 0x74f453ec, "_gpl");
SYMBOL_CRC(md_do_sync, 0x9e92604c, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x29bceb54, "");
SYMBOL_CRC(md_reap_sync_thread, 0xa4d43f2d, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x67700346, "");
SYMBOL_CRC(md_finish_reshape, 0x3f4fe85b, "");
SYMBOL_CRC(rdev_set_badblocks, 0x3f34415a, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x659ac38c, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x46a20123, "");
SYMBOL_CRC(md_bitmap_update_sb, 0x498ab3dd, "");
SYMBOL_CRC(md_bitmap_unplug, 0xfff6e6b9, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0xf3e12fce, "");
SYMBOL_CRC(md_bitmap_startwrite, 0x84278783, "");
SYMBOL_CRC(md_bitmap_endwrite, 0x7c1eb162, "");
SYMBOL_CRC(md_bitmap_start_sync, 0x06f23537, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x9f0fbed0, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x58f81401, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x67fd57c5, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x0eae5aff, "");
SYMBOL_CRC(md_bitmap_free, 0x02b4e8b8, "");
SYMBOL_CRC(md_bitmap_load, 0xb5b114f6, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0x92fdc649, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x0adeb5b8, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0xff1fc107, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3ed19599, "bio_init" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x51e3a006, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x132e9645, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d876c47, "kthread_create_on_node" },
	{ 0xf4127750, "sysfs_remove_group" },
	{ 0xda0c4e39, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9df512a4, "kobject_del" },
	{ 0x818cd5ee, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0x7860429a, "bioset_init" },
	{ 0xe3ef1cc2, "file_path" },
	{ 0xde5a2287, "kernfs_put" },
	{ 0x23a16fcf, "sysfs_break_active_protection" },
	{ 0xb44fdfd2, "seq_write" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e40954b, "remove_proc_entry" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x43ca5b57, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f05f275, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xdf06d68d, "kobject_uevent" },
	{ 0xbcc2a495, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2de94077, "bd_link_disk_holder" },
	{ 0xb9180669, "alloc_pages_noprof" },
	{ 0x4749d054, "queue_limits_commit_update" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x9882d42a, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8c83ed9d, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfec13b9c, "seq_open" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xfa49efc5, "badblocks_clear" },
	{ 0x6c9d1b79, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb80497fd, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c990eae, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf94fc5b9, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xa5d5ece2, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd30b72fa, "kobject_put" },
	{ 0x335f0ba2, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xe54a0ee1, "set_disk_ro" },
	{ 0xed277896, "__blk_alloc_disk" },
	{ 0x587425f3, "try_module_get" },
	{ 0x498e20c, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7fc3eec3, "__bio_add_page" },
	{ 0x290ca333, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1ff6fe40, "proc_create" },
	{ 0xe0165428, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf0c5738, "seq_release" },
	{ 0xf5cf36bd, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xb9ae2475, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xee8c82d1, "queue_limits_stack_bdev" },
	{ 0x2e1c7b57, "fget" },
	{ 0x5f45a966, "sysfs_unbreak_active_protection" },
	{ 0xbbbce9a3, "invalidate_mapping_pages" },
	{ 0x63a5d431, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc48f4a42, "badblocks_exit" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x4ecb54c3, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x73d03381, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xeae1cf0e, "kernfs_notify" },
	{ 0xab0dde7c, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x29f9705b, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc87a7fd4, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x1d339096, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x7a047f28, "bioset_integrity_create" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd9261deb, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1b3b1115, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x7991d5a0, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x6be0e8f7, "sync_blockdev" },
	{ 0x8bfbe98f, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb3926b2a, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x14cadbec, "submit_bio" },
	{ 0xd9ce2ec7, "module_put" },
	{ 0x977de698, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1b752314, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc2c5802, "work_busy" },
	{ 0x7bd66878, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xbd80ba73, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xf7f11d2f, "bio_put" },
	{ 0xa6784d44, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xba97cb06, "__SCK__tp_func_block_bio_remap" },
	{ 0xe4a6ebce, "fput" },
	{ 0xc3a7edea, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9faf72f8, "sysfs_remove_link" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba5a3317, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x942f7499, "blk_sync_queue" },
	{ 0xd7a1c904, "seq_file_path" },
	{ 0x10f10929, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9c0bff65, "seq_putc" },
	{ 0xfcb2e2c8, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xfdddad7a, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfe71249b, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x491a44da, "sysfs_create_group" },
	{ 0x25603e90, "__put_devmap_managed_folio_refs" },
	{ 0xb8dff636, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x87174f69, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x81478bf5, "bd_unlink_disk_holder" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F46B1B4BF38918748651E13");
