#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11692dad, "fc_remote_port_delete" },
	{ 0x7c45877c, "scsi_is_fc_rport" },
	{ 0x3dab584c, "fc_block_rport" },
	{ 0x634fdd8e, "mptscsih_bus_reset" },
	{ 0xc34bf72d, "scsi_done" },
	{ 0x99559f52, "mptscsih_qcmd" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdbf888d5, "mptscsih_event_process" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x6c5dbd4d, "mpt_config" },
	{ 0x5bcabf9a, "dma_alloc_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe92ea1a0, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865939f2, "mpt_attach" },
	{ 0x38ea1506, "scsi_host_alloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xef6848af, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x61692be2, "scsi_is_host_device" },
	{ 0xb7bfe7f5, "mptscsih_dev_reset" },
	{ 0x881c47d8, "mptscsih_abort" },
	{ 0x5dfce2c7, "fc_remote_port_add" },
	{ 0xdb172f85, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0x803bebb7, "mptscsih_suspend" },
	{ 0x9dca1ab5, "mptscsih_resume" },
	{ 0xd07fceec, "mptscsih_shutdown" },
	{ 0xa5423837, "mptscsih_info" },
	{ 0xaca68513, "mptscsih_host_reset" },
	{ 0x1c0786ea, "mptscsih_slave_configure" },
	{ 0x65e715da, "mptscsih_slave_destroy" },
	{ 0xe5bdc205, "mptscsih_change_queue_depth" },
	{ 0x8c7bf675, "mptscsih_bios_param" },
	{ 0xe65cf6c4, "mptscsih_show_info" },
	{ 0x6587a3d8, "fc_eh_timed_out" },
	{ 0x753aa48f, "mptscsih_host_attr_groups" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc793bd, "fc_attach_transport" },
	{ 0x593d1f, "mptscsih_io_done" },
	{ 0xf85a0ddc, "mpt_register" },
	{ 0xe5810fd9, "mptscsih_taskmgmt_complete" },
	{ 0x73eaf760, "mptscsih_scandv_complete" },
	{ 0x83ccb7f6, "mpt_event_register" },
	{ 0x5d8c623e, "mpt_reset_register" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0xbc4932d2, "fc_release_transport" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcca180bb, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0x4bb29f1e, "dma_free_attrs" },
	{ 0x5d5ee9b9, "scsi_remove_host" },
	{ 0x22b8991b, "mptscsih_remove" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,mptscsih,scsi_mod,mptbase");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B2FAA1CB135BB672372A1E1");
