#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0xf35b6e92, "");
SYMBOL_CRC(b53_enable_port, 0xae563144, "");
SYMBOL_CRC(b53_disable_port, 0xc6fe381f, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x25965ea2, "");
SYMBOL_CRC(b53_configure_vlan, 0xdc9ed0a7, "");
SYMBOL_CRC(b53_get_strings, 0x9b20a255, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xda46691c, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0xe7afcc51, "");
SYMBOL_CRC(b53_get_sset_count, 0x968b129b, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0xe8ebff8d, "");
SYMBOL_CRC(b53_port_event, 0xaf0fbd8f, "");
SYMBOL_CRC(b53_vlan_filtering, 0x24dc88b8, "");
SYMBOL_CRC(b53_vlan_add, 0x0b8c03c8, "");
SYMBOL_CRC(b53_vlan_del, 0x87781342, "");
SYMBOL_CRC(b53_fdb_add, 0x0ba6bf08, "");
SYMBOL_CRC(b53_fdb_del, 0xe1070f89, "");
SYMBOL_CRC(b53_fdb_dump, 0x18759790, "");
SYMBOL_CRC(b53_mdb_add, 0xa4e67d20, "");
SYMBOL_CRC(b53_mdb_del, 0x2472c1c9, "");
SYMBOL_CRC(b53_br_join, 0xea40c477, "");
SYMBOL_CRC(b53_br_leave, 0xbf4a640b, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xdfa748fe, "");
SYMBOL_CRC(b53_br_fast_age, 0xf2613abc, "");
SYMBOL_CRC(b53_br_flags_pre, 0xd559753a, "");
SYMBOL_CRC(b53_br_flags, 0xf966564a, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xb64735e9, "");
SYMBOL_CRC(b53_mirror_add, 0xf55d1ba5, "");
SYMBOL_CRC(b53_mirror_del, 0xbcffa965, "");
SYMBOL_CRC(b53_eee_init, 0x5628251a, "");
SYMBOL_CRC(b53_get_mac_eee, 0xa803af40, "");
SYMBOL_CRC(b53_set_mac_eee, 0x8e58eebc, "");
SYMBOL_CRC(b53_switch_alloc, 0x25e4951d, "");
SYMBOL_CRC(b53_switch_detect, 0x9b249bce, "");
SYMBOL_CRC(b53_switch_register, 0x062b0b6f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3cd3ecee, "dsa_devlink_resources_unregister" },
	{ 0x4f2a9184, "dsa_devlink_resource_register" },
	{ 0xab3ecece, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x28027759, "_dev_warn" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6d8a3d35, "mdiobus_get_phy" },
	{ 0xf2d62c48, "phy_ethtool_get_stats" },
	{ 0x933dec42, "phy_ethtool_get_sset_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3e6da36a, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x956757ac, "dsa_port_phylink_mac_change" },
	{ 0xf6c6424d, "phy_init_eee" },
	{ 0x338977a9, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0xdd4535dd, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ab4d6d0, "gpio_to_desc" },
	{ 0xfd6f3951, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "770E2540C61C5E8374D7943");
