#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e611a44, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0x713f37aa, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0xf2a1e8bc, "netif_receive_skb" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0x2cf53e21, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x338977a9, "_dev_err" },
	{ 0x28027759, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x39de947, "skb_tstamp_tx" },
	{ 0x4f0dac53, "__skb_pad" },
	{ 0xe3fd221b, "napi_schedule_prep" },
	{ 0x86b4b7be, "__napi_schedule" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb98ad43a, "napi_enable" },
	{ 0x61821165, "phy_start" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3d08e237, "alloc_etherdev_mqs" },
	{ 0xe238409b, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8b8c4c78, "__devm_request_region" },
	{ 0x1ff35fc4, "platform_get_irq" },
	{ 0xc19a4d6d, "devm_ioremap" },
	{ 0x30e6c777, "dmam_alloc_attrs" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0xcf545f21, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaa72ff8, "__mdiobus_register" },
	{ 0x96eb427a, "phy_connect_direct" },
	{ 0xf6ad267, "phy_set_max_speed" },
	{ 0xfd2a64a6, "netif_napi_add_weight" },
	{ 0xc2ff4eb7, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4a0d2203, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeb877ff3, "phy_find_first" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd61b8e34, "dev_err_probe" },
	{ 0xe254b10f, "phy_ethtool_nway_reset" },
	{ 0xa3df1203, "ethtool_op_get_link" },
	{ 0x362083c1, "ethtool_op_get_ts_info" },
	{ 0x5364faca, "phy_ethtool_get_link_ksettings" },
	{ 0xe5948c72, "phy_ethtool_set_link_ksettings" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3bc762c6, "__platform_driver_register" },
	{ 0xbf78deee, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2e2e6258, "phy_disconnect" },
	{ 0xbdbacd4a, "mdiobus_unregister" },
	{ 0x80c37e43, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x9223d6b3, "unregister_netdev" },
	{ 0x33222369, "free_netdev" },
	{ 0x6d8a3d35, "mdiobus_get_phy" },
	{ 0x57cded9d, "phy_mii_ioctl" },
	{ 0xc3073366, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0x8d9cd061, "phy_print_status" },
	{ 0x496c3a6e, "napi_disable" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "394572389829294D0E3577E");
