#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev_rcu, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0xc9001bdb, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x4218a49f, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0x8ba831aa, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x2a32a379, "");
SYMBOL_CRC(mana_gd_register_device, 0x47e1f0ff, "");
SYMBOL_CRC(mana_gd_deregister_device, 0x9bf517ff, "");
SYMBOL_CRC(mana_uncfg_vport, 0x336a4774, "");
SYMBOL_CRC(mana_cfg_vport, 0xd6665ac1, "");
SYMBOL_CRC(mana_create_wq_obj, 0xf688f22b, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x52662f6f, "");
SYMBOL_CRC(mana_get_primary_netdev_rcu, 0xa6127b9f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf42af45, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x7f87b164, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14430dfa, "pskb_expand_head" },
	{ 0x2e1d917e, "dev_driver_string" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0xf600dddf, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd2429bd, "dma_map_page_attrs" },
	{ 0x2cf53e21, "napi_complete_done" },
	{ 0xeeee55f6, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf200b2dd, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc19bd3fe, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x844b3536, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0xf38ceef7, "napi_gro_receive" },
	{ 0xf386bbf5, "netif_device_attach" },
	{ 0x4853d102, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa0f41a7d, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x338977a9, "_dev_err" },
	{ 0x37164d2, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc0f9fd, "netif_set_real_num_tx_queues" },
	{ 0x1c2c0391, "__auxiliary_device_add" },
	{ 0xe44c6424, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x4ee28b06, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x5bcabf9a, "dma_alloc_attrs" },
	{ 0x2959de6, "pcie_flr" },
	{ 0xb98ad43a, "napi_enable" },
	{ 0xc2ff4eb7, "register_netdev" },
	{ 0xffb7c514, "ida_free" },
	{ 0x33222369, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x82d57edb, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x25603e90, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf73c17b1, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf43055ab, "pci_iounmap" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0x3e4a7230, "device_del" },
	{ 0x16cacde9, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x28027759, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x17c57436, "pci_set_master" },
	{ 0xb5236832, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4bb29f1e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6d071138, "pci_release_regions" },
	{ 0x5532ae12, "bpf_prog_add" },
	{ 0x2a727033, "xdp_rxq_info_unreg" },
	{ 0x17863ed5, "page_pool_alloc_pages" },
	{ 0x642521e8, "napi_build_skb" },
	{ 0xf26f85a7, "netdev_master_upper_dev_get_rcu" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0xfde8f35a, "__xdp_rxq_info_reg" },
	{ 0xa194dfc5, "xdp_set_features_flag" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0xa635fe20, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x829f421c, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0xe7259969, "xdp_master_redirect" },
	{ 0x44353922, "__napi_schedule_irqoff" },
	{ 0xe3fd221b, "napi_schedule_prep" },
	{ 0x408e8e9, "napi_consume_skb" },
	{ 0x496c3a6e, "napi_disable" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9c6084b3, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xa824300e, "netdev_info" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xda814c1c, "__tracepoint_xdp_exception" },
	{ 0x3d08e237, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3bdf4222, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a475015, "pci_enable_device" },
	{ 0x713f37aa, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x88c2b820, "auxiliary_device_init" },
	{ 0x5c6abaac, "pci_iomap" },
	{ 0xe71a0b0b, "pci_alloc_irq_vectors" },
	{ 0xfd2a64a6, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x739b7cfb, "bpf_warn_invalid_xdp_action" },
	{ 0xaccfc104, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x572762fa, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa1d401cb, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9c8c45f, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x52ba5079, "page_pool_destroy" },
	{ 0xf12f50c9, "xdp_do_redirect" },
	{ 0xde55e9da, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcdbfe8cf, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7e1741fa, "pci_irq_vector" },
	{ 0xbf78deee, "__netif_napi_del" },
	{ 0xf7cae349, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A9A7B81373202A0BCF65134");
