#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa824300e, "netdev_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf05f1692, "mdiobus_read" },
	{ 0x11151b1d, "mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0x39de947, "skb_tstamp_tx" },
	{ 0x2cf53e21, "napi_complete_done" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0x713f37aa, "skb_put" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0xf2a1e8bc, "netif_receive_skb" },
	{ 0x9312f3c1, "irq_get_irq_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xeb877ff3, "phy_find_first" },
	{ 0x96eb427a, "phy_connect_direct" },
	{ 0x63b255c7, "phy_attached_info" },
	{ 0xf6ad267, "phy_set_max_speed" },
	{ 0xd77cf94d, "phy_support_asym_pause" },
	{ 0xb98ad43a, "napi_enable" },
	{ 0x7f87b164, "netdev_err" },
	{ 0xcdbfe8cf, "netdev_warn" },
	{ 0xe3fd221b, "napi_schedule_prep" },
	{ 0x86b4b7be, "__napi_schedule" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1ff35fc4, "platform_get_irq" },
	{ 0x85bd1608, "__request_region" },
	{ 0x3d08e237, "alloc_etherdev_mqs" },
	{ 0xde80cd09, "ioremap" },
	{ 0x208a4dfb, "regulator_bulk_get" },
	{ 0x59308eec, "devm_gpiod_get_optional" },
	{ 0x896cb813, "clk_get" },
	{ 0xcdf89397, "regulator_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x1917eb46, "device_get_phy_mode" },
	{ 0x4b01439d, "device_get_mac_address" },
	{ 0xd0959f7d, "device_property_read_u32_array" },
	{ 0xb03bf413, "device_property_present" },
	{ 0xfd2a64a6, "netif_napi_add_weight" },
	{ 0xcf545f21, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaa72ff8, "__mdiobus_register" },
	{ 0xc2ff4eb7, "register_netdev" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x92997ed8, "_printk" },
	{ 0xde55e9da, "eth_validate_addr" },
	{ 0x5f60e4b4, "phy_do_ioctl_running" },
	{ 0xe254b10f, "phy_ethtool_nway_reset" },
	{ 0xa3df1203, "ethtool_op_get_link" },
	{ 0x362083c1, "ethtool_op_get_ts_info" },
	{ 0x5364faca, "phy_ethtool_get_link_ksettings" },
	{ 0xe5948c72, "phy_ethtool_set_link_ksettings" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bc762c6, "__platform_driver_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc3073366, "platform_driver_unregister" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x9223d6b3, "unregister_netdev" },
	{ 0xbdbacd4a, "mdiobus_unregister" },
	{ 0x80c37e43, "mdiobus_free" },
	{ 0xb9bebef6, "platform_get_resource_byname" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xedc03953, "iounmap" },
	{ 0x39c04a06, "regulator_bulk_disable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x1fbaedd7, "regulator_bulk_free" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x33222369, "free_netdev" },
	{ 0xca7991da, "__pm_runtime_disable" },
	{ 0xe238409b, "platform_get_resource" },
	{ 0xdf37525d, "__pm_runtime_set_status" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x844b3536, "netif_device_detach" },
	{ 0x9e611a44, "phy_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf1dda6d7, "pm_runtime_enable" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf386bbf5, "netif_device_attach" },
	{ 0x61821165, "phy_start" },
	{ 0x496c3a6e, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2e2e6258, "phy_disconnect" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0x5bde370, "__pm_runtime_idle" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("acpi*:ARMH9118:*");

MODULE_INFO(srcversion, "36145A91E81134F6DB143C7");
