#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8676003a, "genphy_soft_reset" },
	{ 0xe6e9d012, "bcm_phy_write_exp" },
	{ 0x21b33ada, "bcm_phy_write_misc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x280d7fd5, "bcm_phy_read_exp" },
	{ 0xf7500ed1, "bcm_phy_read_misc" },
	{ 0x5760db86, "bcm_phy_read_shadow" },
	{ 0x1584c0fe, "bcm_phy_write_shadow" },
	{ 0x1c6786d4, "bcm_phy_enable_apd" },
	{ 0x99a1c279, "bcm_phy_28nm_a0b0_afe_config_init" },
	{  0x25a34, "bcm_phy_r_rc_cal_reset" },
	{ 0xf7383be1, "bcm_phy_enable_jumbo" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x82685bcf, "__mdiobus_read" },
	{ 0x32e68659, "__mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7a5a138f, "bcm_phy_get_strings" },
	{ 0xe2ef8acf, "genphy_read_status" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ff0ce45, "phy_drivers_register" },
	{ 0x11151b1d, "mdiobus_write" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b0439a3, "bcm_phy_downshift_set" },
	{ 0x72261a8c, "bcm_phy_set_eee" },
	{ 0x26473d0c, "genphy_restart_aneg" },
	{ 0x57056472, "bcm_phy_downshift_get" },
	{ 0x154c24ff, "__genphy_config_aneg" },
	{ 0x424e5bea, "bcm_phy_get_stats" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0x96aa69f3, "bcm_phy_get_sset_count" },
	{ 0x83836b5a, "devm_clk_get_optional_enabled" },
	{ 0xf05f1692, "mdiobus_read" },
	{ 0x3dcfb05c, "phy_drivers_unregister" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0011010110010000010100110001????");
MODULE_ALIAS("mdio:0011010110010000010100110101????");
MODULE_ALIAS("mdio:0011010110010000010100110100????");
MODULE_ALIAS("mdio:1010111000000010010100101000????");
MODULE_ALIAS("mdio:1010111000000010010100010010????");
MODULE_ALIAS("mdio:1010111000000010010100011001????");
MODULE_ALIAS("mdio:1010111000000010010100001001????");
MODULE_ALIAS("mdio:1010111000000010010100111011????");
MODULE_ALIAS("mdio:1010111000000010010100011010????");
MODULE_ALIAS("mdio:1010111000000010010100100110????");
MODULE_ALIAS("mdio:0110000000001101100001001001????");
MODULE_ALIAS("mdio:0110000000001101100001100101????");
MODULE_ALIAS("mdio:0110000000001101100001001011????");
MODULE_ALIAS("mdio:0110000000001101100001101011????");
MODULE_ALIAS("mdio:0110000000001101100001110011????");
MODULE_ALIAS("mdio:1010111000000010010100101110????");
MODULE_ALIAS("mdio:0110000000001101100001001000????");
MODULE_ALIAS("mdio:0110000000001101100001110101????");
MODULE_ALIAS("mdio:0110000000001101100001010001????");
MODULE_ALIAS("mdio:0011010110010000010100110011????");

MODULE_INFO(srcversion, "7FE7F78C0CD1BC084EDF2BD");
