#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82685bcf, "__mdiobus_read" },
	{ 0x280d7fd5, "bcm_phy_read_exp" },
	{ 0xe6e9d012, "bcm_phy_write_exp" },
	{ 0xd4ed9af3, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x39998f1a, "genphy_read_abilities" },
	{ 0x96aa69f3, "bcm_phy_get_sset_count" },
	{ 0x19eacad4, "devm_gpiod_get" },
	{ 0xf7f8bc38, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x61929a75, "devm_request_threaded_irq" },
	{ 0x913f9b10, "device_set_wakeup_capable" },
	{ 0xd9a600bf, "device_wakeup_enable" },
	{ 0x1bcc64aa, "phy_resolve_aneg_linkmode" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc67bce3, "pm_wakeup_dev_event" },
	{ 0x73ece6a2, "genphy_resume" },
	{ 0x8676003a, "genphy_soft_reset" },
	{ 0x691baafa, "bcm_phy_config_intr" },
	{ 0xc1c428d9, "bcm_phy_handle_interrupt" },
	{ 0x7a5a138f, "bcm_phy_get_strings" },
	{ 0xb403427d, "bcm_phy_led_brightness_set" },
	{ 0xf96d479c, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ff0ce45, "phy_drivers_register" },
	{ 0xf05f1692, "mdiobus_read" },
	{ 0xe2ef8acf, "genphy_read_status" },
	{ 0x38c780e6, "phy_trigger_machine" },
	{ 0xf0aee5b6, "phy_error" },
	{ 0x4f627274, "bcm54xx_auxctl_read" },
	{ 0xbccb6070, "bcm54xx_auxctl_write" },
	{ 0x5760db86, "bcm_phy_read_shadow" },
	{ 0x1584c0fe, "bcm_phy_write_shadow" },
	{ 0x4bd1cbbe, "bcm_config_lre_aneg" },
	{ 0x154c24ff, "__genphy_config_aneg" },
	{ 0xf4a07845, "genphy_c37_config_aneg" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0xc97b54ce, "bcm_phy_get_wol" },
	{ 0xf4b9b751, "bcm_phy_set_wol" },
	{ 0x424e5bea, "bcm_phy_get_stats" },
	{ 0x3dcfb05c, "phy_drivers_unregister" },
	{ 0x801f37d3, "phy_modify" },
	{ 0x11151b1d, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x32e68659, "__mdiobus_write" },
	{ 0xe9c6bba7, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "0D8A86636DABFB5DEE19F38");
