#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc989a179, "mii_check_media" },
	{ 0xcea80f4d, "mii_ethtool_gset" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbcf6745f, "mii_nway_restart" },
	{ 0x92997ed8, "_printk" },
	{ 0x3c9ea28, "usbnet_get_endpoints" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x869929ae, "platform_get_ethdev_address" },
	{ 0x44f38839, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x49527c5f, "usbnet_resume" },
	{ 0xa824300e, "netdev_info" },
	{ 0x489a3ed3, "usbnet_suspend" },
	{ 0xd392e029, "usbnet_probe" },
	{ 0x36bec9de, "usbnet_disconnect" },
	{ 0xf4f590b8, "usbnet_open" },
	{ 0x4fc56549, "usbnet_stop" },
	{ 0x7a74f13, "usbnet_start_xmit" },
	{ 0xe5624892, "eth_mac_addr" },
	{ 0xde55e9da, "eth_validate_addr" },
	{ 0x7efdbf3f, "usbnet_tx_timeout" },
	{ 0x1fb1d3cb, "dev_get_tstats64" },
	{ 0xef077e77, "usbnet_get_drvinfo" },
	{ 0xb734263b, "usbnet_get_msglevel" },
	{ 0xaee08f02, "usbnet_set_msglevel" },
	{ 0xd791aaf6, "usbnet_nway_reset" },
	{ 0x8f4aee50, "usbnet_get_link" },
	{ 0x2518b541, "usbnet_get_link_ksettings_mii" },
	{ 0x6ce6ace2, "usbnet_set_link_ksettings_mii" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf2750904, "usbnet_write_cmd_nopm" },
	{ 0x2abeb908, "usbnet_write_cmd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcdbfe8cf, "netdev_warn" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8a2e57e0, "usbnet_read_cmd_nopm" },
	{ 0xe3dea08d, "usbnet_read_cmd" },
	{ 0x8fa68bce, "usbnet_defer_kevent" },
	{ 0xc73dfc70, "__dynamic_netdev_dbg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0xaee807e5, "device_set_wakeup_enable" },
	{ 0x16a35fa, "usbnet_change_mtu" },
	{ 0x42f21f9, "generic_mii_ioctl" },
	{ 0xb63206f8, "usb_register_driver" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf2b80e82, "usb_deregister" },
	{ 0xc6440eb1, "skb_push" },
	{ 0x14430dfa, "pskb_expand_head" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xc2da5cb2, "skb_pull" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0x713f37aa, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x400b9051, "usbnet_skb_return" },
	{ 0xa03bc450, "skb_trim" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "mii,usbnet,usbcore");

MODULE_ALIAS("usb:v0424p7500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7505d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "68C8C6BEE099BCF8629E751");
