#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl_pci_probe, "", "");
KSYMTAB_FUNC(rtl_pci_disconnect, "", "");
KSYMTAB_FUNC(rtl_pci_suspend, "", "");
KSYMTAB_FUNC(rtl_pci_resume, "", "");

SYMBOL_CRC(rtl_pci_probe, 0x70a19a8b, "");
SYMBOL_CRC(rtl_pci_disconnect, 0x83acf4a3, "");
SYMBOL_CRC(rtl_pci_suspend, 0xab6140ee, "");
SYMBOL_CRC(rtl_pci_resume, 0x1c00d8ab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x419fe3d4, "rtl_lps_leave" },
	{ 0x2ac7e738, "ieee80211_register_hw" },
	{ 0xa986a1c0, "dev_kfree_skb_irq_reason" },
	{ 0x399c65, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x534910e1, "rtl_p2p_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e1d917e, "dev_driver_string" },
	{ 0xdac2e980, "_rtl_dbg_print" },
	{ 0x481113c2, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd2429bd, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf500d1e1, "rtl_deinit_rfkill" },
	{ 0x5615e47d, "rtl_ops" },
	{ 0x177f3c48, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x97e05663, "rtl_tid_to_ac" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc0f2e4d2, "rtl_init_sw_leds" },
	{ 0x4853d102, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa6bb322d, "pci_enable_msi" },
	{ 0xc2da5cb2, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcf7fad3c, "rtl_init_rx_config" },
	{ 0xe53d8249, "sk_skb_reason_drop" },
	{ 0x2d32cdfc, "rtl_lps_change_work_callback" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2023776c, "pcie_capability_clear_and_set_word_locked" },
	{ 0x5bcabf9a, "dma_alloc_attrs" },
	{ 0x73c9b276, "pci_read_config_word" },
	{ 0x33a71b63, "rtl_action_proc" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d84522d, "rtl_init_core" },
	{ 0x51620723, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf43055ab, "pci_iounmap" },
	{ 0x4e94cd48, "rtl_global_var" },
	{ 0x17c57436, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x270cae8d, "ieee80211_stop_queue" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0x99687e88, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x93d39b0d, "rtl_collect_scan_list" },
	{ 0xea3e3c7b, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4bb29f1e, "dma_free_attrs" },
	{ 0x6d071138, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xde578a8e, "pci_write_config_byte" },
	{ 0xb8eb54c4, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2cb793aa, "ieee80211_beacon_get_tim" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x24346545, "rtl_deinit_core" },
	{ 0x829f421c, "pci_disable_device" },
	{ 0xc38a6ae2, "dma_set_mask" },
	{ 0xe17e0b28, "rtl_efuse_ops_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xeffa34c0, "pci_read_config_byte" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0x462da6a8, "rtl_debug_remove_one" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcd1e6f57, "rtl_deinit_deferred_work" },
	{ 0xc4a1404e, "rtl_swlps_beacon" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc01b93b5, "ieee80211_rx_irqsafe" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf92691cd, "pcie_capability_read_word" },
	{ 0xb05ddea9, "rtl_beacon_statistic" },
	{ 0xdd14badc, "rtl_tx_mgmt_proc" },
	{ 0x4a475015, "pci_enable_device" },
	{ 0x713f37aa, "skb_put" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0x5c6abaac, "pci_iomap" },
	{ 0xdadb354a, "rtl_c2hcmd_enqueue" },
	{ 0xa6257a2f, "complete" },
	{ 0xf52fea9, "rtl_debug_add_one" },
	{ 0xaccfc104, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc136a871, "ieee80211_free_hw" },
	{ 0x572762fa, "dma_unmap_page_attrs" },
	{ 0xe939e954, "rtl_init_rfkill" },
	{ 0x9beaaac2, "rtl_tx_ackqueue" },
	{ 0x21c6d934, "pci_disable_msi" },
	{ 0xcc3e705c, "rtl_is_special_data" },
	{ 0x9c8c45f, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa75b6e3, "rtl_recognize_peer" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi,mac80211");


MODULE_INFO(srcversion, "3B1450C388AF6711823F671");
