#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x525088e9, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x454c7375, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x8d6d1162, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x737baa10, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x05b6e0db, "");
SYMBOL_CRC(sdw_show_ping_status, 0xf7a71b5d, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x2b8fa3cf, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x18bc8f5b, "");
SYMBOL_CRC(sdw_write_no_pm, 0x7f823c56, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xc28512b0, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xfbcb091d, "");
SYMBOL_CRC(sdw_read_no_pm, 0x9bea9374, "");
SYMBOL_CRC(sdw_update_no_pm, 0x8ebc7ecb, "");
SYMBOL_CRC(sdw_update, 0x3687bcb0, "");
SYMBOL_CRC(sdw_nread, 0xf8fd148e, "");
SYMBOL_CRC(sdw_nwrite, 0x36a3d9c6, "");
SYMBOL_CRC(sdw_read, 0x8ac05105, "");
SYMBOL_CRC(sdw_write, 0x39271ee9, "");
SYMBOL_CRC(sdw_compare_devid, 0xf8b3ff63, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xa40e8c66, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x5d2db9b6, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xa2742290, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x1b8d92ed, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xd6cf66d1, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x5c43f185, "");
SYMBOL_CRC(sdw_slave_add, 0x987cefd4, "");
SYMBOL_CRC(sdw_master_read_prop, 0x833079cf, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xa86d685e, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xc5fa3c14, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x5b11c637, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x2b6e0569, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x8e5e60c1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x27dd49aa, "devm_kasprintf" },
	{ 0xda0c4e39, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa474a322, "fwnode_property_present" },
	{ 0x8ecd1fbf, "debugfs_create_file" },
	{ 0xc49a93e9, "irq_domain_instantiate" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa0f2116e, "device_get_named_child_node" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x6f05f275, "seq_printf" },
	{ 0xe4aa2ff9, "irq_create_mapping_affinity" },
	{ 0x484e16f1, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xdef9a0e, "acpi_dev_for_each_child" },
	{ 0xf8f78568, "__pm_runtime_suspend" },
	{ 0x9e28836d, "irq_set_chip" },
	{ 0xa20d8f1a, "__pm_runtime_use_autosuspend" },
	{ 0x10efe863, "single_open" },
	{ 0xca7991da, "__pm_runtime_disable" },
	{ 0xb8187db9, "debugfs_create_dir" },
	{ 0xb0d3278a, "driver_register" },
	{ 0x5bde370, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x2480114a, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x30427a67, "debugfs_create_str" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb03bf413, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf3eb8668, "is_acpi_device_node" },
	{ 0xb4b4aa35, "simple_attr_open" },
	{ 0x18f4166f, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2f4dd4f9, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x88f31fe9, "device_unregister" },
	{ 0xad9023c5, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaef4020f, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xb9d788c1, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ecb54c3, "seq_lseek" },
	{ 0xe0b57afa, "dev_pm_domain_attach" },
	{ 0x39cda885, "devm_device_add_group" },
	{ 0x6ef82ff0, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2136635e, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf37525d, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc19bd3fe, "put_device" },
	{ 0xf1dda6d7, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd0959f7d, "device_property_read_u32_array" },
	{ 0x7bbc8e66, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x6beec73, "dev_pm_domain_detach" },
	{ 0x6b6c47c5, "pm_generic_runtime_suspend" },
	{ 0xe439c7fb, "debugfs_attr_read" },
	{ 0x56075a9e, "bus_unregister" },
	{ 0x338977a9, "_dev_err" },
	{ 0x944aee06, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x63488d34, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x392eda73, "driver_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x370954cc, "device_register" },
	{ 0x99fd9e35, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x28027759, "_dev_warn" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3145F82C43934FB645317B0");
