#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0xebff2b22, "");
SYMBOL_CRC(free_rtllib, 0x2d222a27, "");
SYMBOL_CRC(rtllib_rx, 0x28cc399d, "");
SYMBOL_CRC(rtllib_legal_channel, 0xbb1c0f1b, "");
SYMBOL_CRC(rtllib_xmit, 0xc97414d8, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0xa32a6c7a, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x85f3d0f8, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x387ce718, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x8ca48248, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0xe7215cfc, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x86829822, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x62c4988c, "");
SYMBOL_CRC(rtllib_stop_scan, 0xf440f854, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0xe1cc9f2f, "");
SYMBOL_CRC(rtllib_act_scanning, 0xe657e8fc, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x2ae39330, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x28d03219, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x8cc972a7, "");
SYMBOL_CRC(rtllib_reset_queue, 0xfbface96, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x8d759cc4, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0xd53af2d0, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0x4a4cb1c2, "");
SYMBOL_CRC(notify_wx_assoc_event, 0xc7b02494, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0x9f1dc54b, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0x828dd667, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0x1c776293, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x3b742a83, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0x5f0324b4, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0xc397173a, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0xde070416, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0xe334dd2b, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0xc437953b, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0xea271648, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0xbeba7f56, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x6dc6d844, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0xf7b70564, "");
SYMBOL_CRC(rtllib_wx_get_name, 0xb32b47c2, "");
SYMBOL_CRC(rtllib_wx_set_power, 0xebdec8c7, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xd91b3437, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0xc6d61b1e, "");
SYMBOL_CRC(remove_peer_ts, 0xce00bfb2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdbfe8cf, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x7f87b164, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4b9b74a3, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf59ebd78, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x4853d102, "skb_queue_tail" },
	{ 0xa292f4b0, "lib80211_get_crypto_ops" },
	{ 0xc2da5cb2, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe53d8249, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc6440eb1, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xf4e6096d, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x33222369, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65f7e985, "netif_tx_stop_all_queues" },
	{ 0x422cbecd, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x98048bfc, "netif_rx" },
	{ 0x98bfdd96, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc73dfc70, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66022bdb, "netdev_alert" },
	{ 0x8a00b4f9, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9baa73ff, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x569d4a52, "lib80211_crypt_delayed_deinit" },
	{ 0xa635fe20, "netif_carrier_on" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xc547a4c1, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xa824300e, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d08e237, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x587425f3, "try_module_get" },
	{ 0x713f37aa, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x8d613ea6, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "99210DB2825DB7CC8756E49");
