#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0x0823b480, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x9a4b25c6, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x55dd6e5e, "_gpl");
SYMBOL_CRC(tee_device_register, 0x173ae3c9, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x40fa2d57, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x42b92740, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x65585640, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0x82150e79, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x2c839834, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0xd7c2faaf, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x7c3d5761, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x5f0a800b, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0xc79428f1, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x2e031977, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x109ba332, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0xa9eab31c, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0xbf8dafee, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0x9ab8c802, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xb2611dd1, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x2b8e9f4c, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x648d4eb6, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x21865df4, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0xcca6e041, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x786cc8c5, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0xaae9bae1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8103f516, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x9cfd2c2d, "cdev_device_add" },
	{ 0x44503676, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc19bd3fe, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0x83d4bc7d, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x73d12ff8, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x56075a9e, "bus_unregister" },
	{ 0x338977a9, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x395b5e4b, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfe6a6c4f, "crypto_shash_update" },
	{ 0xda85b29c, "class_unregister" },
	{ 0x25603e90, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xda72b542, "make_kgid" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x145ae288, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x5e855e56, "gen_pool_first_fit_align" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x63eaa3ba, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdca098e4, "iov_iter_npages" },
	{ 0x448fb5b2, "class_register" },
	{ 0x4a3c6b5c, "cdev_init" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x2480114a, "bus_register" },
	{ 0x5217aec6, "class_find_device" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2f4dd4f9, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x578f1f2f, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x31b98428, "device_initialize" },
	{ 0x698fe8fc, "unpin_user_pages" },
	{ 0x9db8c2f0, "remap_pfn_range" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FB024C41AF33DA242C946B8");
