#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u_audio_set_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_suspend, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_mute, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_mute, "_gpl", "");
KSYMTAB_FUNC(g_audio_setup, "_gpl", "");
KSYMTAB_FUNC(g_audio_cleanup, "_gpl", "");

SYMBOL_CRC(u_audio_set_capture_srate, 0xdd1df0b8, "_gpl");
SYMBOL_CRC(u_audio_get_capture_srate, 0xe47b25f1, "_gpl");
SYMBOL_CRC(u_audio_set_playback_srate, 0xd4cfde13, "_gpl");
SYMBOL_CRC(u_audio_get_playback_srate, 0x8189b4d3, "_gpl");
SYMBOL_CRC(u_audio_start_capture, 0x780321bf, "_gpl");
SYMBOL_CRC(u_audio_stop_capture, 0x5bc26d8c, "_gpl");
SYMBOL_CRC(u_audio_start_playback, 0x088a977d, "_gpl");
SYMBOL_CRC(u_audio_stop_playback, 0xb7793727, "_gpl");
SYMBOL_CRC(u_audio_suspend, 0x1a44a168, "_gpl");
SYMBOL_CRC(u_audio_get_volume, 0xbc5521ff, "_gpl");
SYMBOL_CRC(u_audio_set_volume, 0xe13fb07e, "_gpl");
SYMBOL_CRC(u_audio_get_mute, 0xb80de45e, "_gpl");
SYMBOL_CRC(u_audio_set_mute, 0xaf26f1d9, "_gpl");
SYMBOL_CRC(g_audio_setup, 0x15f97cf2, "_gpl");
SYMBOL_CRC(g_audio_cleanup, 0xc622be76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x338977a9, "_dev_err" },
	{ 0x1e06d923, "snd_pcm_stream_lock" },
	{ 0xf4a2dbd3, "snd_pcm_stream_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbd938946, "snd_pcm_period_elapsed" },
	{ 0xbad0416c, "snd_ctl_notify" },
	{ 0xefea9753, "config_ep_by_speed" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0xa6e07d22, "snd_pcm_hw_constraint_integer" },
	{ 0x85049889, "snd_card_free_when_closed" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xfe2396b2, "snd_card_new" },
	{ 0x8dbabb8e, "snd_pcm_new" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x530e066a, "snd_pcm_set_ops" },
	{ 0xab479440, "snd_ctl_new1" },
	{ 0x1fdc13, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x10d132b7, "snd_pcm_set_managed_buffer_all" },
	{ 0xd181cda3, "snd_card_register" },
	{ 0xabc6a305, "snd_card_free" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,libcomposite");


MODULE_INFO(srcversion, "ADE4E24B13E0AE5097390A6");
