#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4fc68b88, "inode_newsize_ok" },
	{ 0x414db82d, "d_drop" },
	{ 0x6d30017f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x19c9c699, "block_invalidate_folio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd741eb13, "crypto_skcipher_decrypt" },
	{ 0x73730128, "truncate_inode_pages_final" },
	{ 0x2a85b72c, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xeaf0dc42, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0xf743e569, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x62186bd6, "inode_init_once" },
	{ 0x275a940d, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x82657a47, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7b6434ba, "vfs_get_link" },
	{ 0xe4a6ebce, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x450f265b, "generic_file_read_iter" },
	{ 0xe3974846, "unlock_page" },
	{ 0xbeb7eca, "noop_llseek" },
	{ 0x52bc9517, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x19d3cb77, "kmem_cache_alloc_lru_noprof" },
	{ 0xd0b3ac66, "lock_rename" },
	{ 0x1c8541b0, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x31d4979a, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x672df4e6, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa7db3110, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5522ad3a, "sget" },
	{ 0x491a44da, "sysfs_create_group" },
	{ 0x25603e90, "__put_devmap_managed_folio_refs" },
	{ 0xb8dff636, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x52c8b9fa, "block_dirty_folio" },
	{ 0x79cff90a, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xf7e73674, "kern_path" },
	{ 0x45c859fd, "vfs_set_acl" },
	{ 0x995ccc86, "misc_register" },
	{ 0x6441c840, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4b5e3f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6312da65, "key_validate" },
	{ 0x513a4dc1, "unlock_rename" },
	{ 0x4dd20733, "vfs_rmdir" },
	{ 0xc3f9a4a6, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x14f4bf49, "truncate_setsize" },
	{ 0x3d876c47, "kthread_create_on_node" },
	{ 0xf4127750, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa1b1d6ee, "vfs_symlink" },
	{ 0x2d5b407a, "super_setup_bdi" },
	{ 0x3cf3d2c0, "igrab" },
	{ 0x50ea75d3, "generic_read_dir" },
	{ 0xd8328c48, "d_instantiate_new" },
	{ 0xfa9f2308, "d_add" },
	{ 0x818cd5ee, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x23a8f262, "vfs_mknod" },
	{ 0x75de72c8, "init_user_ns" },
	{ 0x6029ea31, "dentry_open" },
	{ 0x2a1bff8b, "request_key_tag" },
	{ 0x44e9a829, "match_token" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0x60f4420e, "vfs_fileattr_set" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f05f275, "seq_printf" },
	{ 0x7b898c4, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x8c5714cd, "deactivate_locked_super" },
	{ 0xb6342011, "touch_atime" },
	{ 0x405a4efe, "lookup_one_len_unlocked" },
	{ 0x1605d8d0, "vfs_llseek" },
	{ 0xb9180669, "alloc_pages_noprof" },
	{ 0x90c3513a, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa57fbfc2, "filemap_splice_read" },
	{ 0xb2b45e43, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xa6899ce8, "key_type_user" },
	{ 0x3d21b950, "kill_anon_super" },
	{ 0xb9bdf9f8, "vfs_getattr_nosec" },
	{ 0x4e5841df, "iget5_locked" },
	{ 0x196f5518, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6c9d1b79, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0x763e8e3f, "inode_permission" },
	{ 0x1c5c865e, "mntget" },
	{ 0x63eaa3ba, "crypto_alloc_shash" },
	{ 0xcd852410, "__mark_inode_dirty" },
	{ 0x44ba49eb, "generic_file_llseek" },
	{ 0x20e8cd3f, "make_bad_inode" },
	{ 0x7d6cad3b, "vfs_get_acl" },
	{ 0x69a9085, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x224e79bd, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0xcc3f1c29, "iget_failed" },
	{ 0xcfceb65c, "kernel_write" },
	{ 0x94a26ca2, "kmem_cache_destroy" },
	{ 0xd30b72fa, "kobject_put" },
	{ 0xa309779f, "vfs_create" },
	{ 0x14c263c5, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x98933a9c, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7607bd76, "generic_fillattr" },
	{ 0x8cb9b6c0, "setattr_prepare" },
	{ 0xd6f2be6f, "clear_nlink" },
	{ 0x4f3d79b2, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1e1ec3ab, "d_instantiate" },
	{ 0x52746f3b, "misc_deregister" },
	{ 0xfd5fb465, "clear_inode" },
	{ 0x32127853, "notify_change" },
	{ 0x7d050fca, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb11a20ac, "grab_cache_page_write_begin" },
	{ 0x7099c531, "vfs_getattr" },
	{ 0xebeafe98, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7a4583e1, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x65257d3c, "init_special_inode" },
	{ 0xd6d7d4f9, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x87f315d8, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80b47a6d, "d_make_root" },
	{ 0x338abba4, "d_splice_alias" },
	{ 0x5471e477, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x98a047f6, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7ed35a71, "iput" },
	{ 0x26a5eb01, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7c87249e, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8c144f03, "crypto_skcipher_setkey" },
	{ 0xc6bc45f5, "fsstack_copy_attr_all" },
	{ 0x833fe77, "register_filesystem" },
	{ 0xe9299929, "kmem_cache_create" },
	{ 0xd06d21bc, "vfs_unlink" },
	{ 0x879fb7bd, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc87a7fd4, "wake_up_process" },
	{ 0x407656a6, "vfs_mkdir" },
	{ 0x8103f516, "crypto_destroy_tfm" },
	{ 0x1fd581fb, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7B1A5B836DEB0892125ADCE");
