#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x575b43e4, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x5b91f35b, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x758b623f, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x58658f20, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xbfdaaea0, "");
SYMBOL_CRC(fuse_abort_conn, 0x84edccd0, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x993e488c, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x389981cb, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x9a67fd5f, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x0d27b191, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x6573cabd, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x05cf0943, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xcd7a1c44, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xb73af70d, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x0e61263b, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xaaf3d780, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x502c456b, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x621dc729, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x539ded2c, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xbcb749e3, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x032e8055, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xbd472b8a, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x971bf05d, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x5e46ecad, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x5c46aa9e, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xc843b9a6, "");
SYMBOL_CRC(fuse_do_ioctl, 0x9e0a83ec, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xf301f080, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x83d4bc7d, "iov_iter_extract_pages" },
	{ 0x1bbf93, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3a3eb97e, "copy_page_from_iter_atomic" },
	{ 0x4064a97b, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xfcdc0a8e, "fs_context_for_submount" },
	{ 0x62186bd6, "inode_init_once" },
	{ 0x275a940d, "file_write_and_wait_range" },
	{ 0x73d12ff8, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xab6449cb, "nosteal_pipe_buf_ops" },
	{ 0x7ec85eb6, "ilookup5" },
	{ 0x48bbb28a, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe8318f72, "inode_nohighmem" },
	{ 0x7ee2af98, "release_pages" },
	{ 0xd0dd7175, "generic_file_direct_write" },
	{ 0xe4a6ebce, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x450f265b, "generic_file_read_iter" },
	{ 0xaac90784, "inode_maybe_inc_iversion" },
	{ 0xe3974846, "unlock_page" },
	{ 0x5fae5aa9, "inc_node_page_state" },
	{ 0x3befcef0, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0xbd3df4eb, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x44f7166e, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x559f1015, "backing_file_splice_read" },
	{ 0xc38f06d3, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0x10554aa7, "write_cache_pages" },
	{ 0xe8695f37, "file_update_time" },
	{ 0x52bc9517, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x19d3cb77, "kmem_cache_alloc_lru_noprof" },
	{ 0x1c8541b0, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xf9f8aab2, "from_kgid" },
	{ 0xb1dedfd8, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf80ce732, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4048151b, "write_inode_now" },
	{ 0xc7ad26d6, "dax_writeback_mapping_range" },
	{ 0x1ba4e875, "d_obtain_alias" },
	{ 0xae7519c6, "file_modified" },
	{ 0xbc38e025, "copy_page_to_iter" },
	{ 0x25603e90, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeae6681c, "folio_end_read" },
	{ 0x523c9aab, "finish_no_open" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x66ec34b8, "__folio_start_writeback" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x48b9bb3d, "kill_litter_super" },
	{ 0xedb6a798, "folio_end_writeback" },
	{ 0x8ad3c0ad, "folio_alloc_noprof" },
	{ 0x79cff90a, "from_kuid" },
	{ 0x581718c6, "current_in_userns" },
	{ 0xf2e89143, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xabc66ede, "sysfs_remove_mount_point" },
	{ 0x995ccc86, "misc_register" },
	{ 0x8d97d338, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4b5e3f, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc3584f9d, "in_group_or_capable" },
	{ 0xda72b542, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xc339ba3a, "d_delete" },
	{ 0xbcbef99e, "from_kgid_munged" },
	{ 0x358ef674, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc3f9a4a6, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xb30a669e, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x226cf8f, "nonseekable_open" },
	{ 0x65d593bf, "dax_finish_sync_fault" },
	{ 0x6898ee96, "set_page_dirty" },
	{ 0xaf49fa2a, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd0f55a31, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x94712f16, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3cf3d2c0, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x50ea75d3, "generic_read_dir" },
	{ 0xfa9f2308, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0x75de72c8, "init_user_ns" },
	{ 0x5531c25a, "folio_copy" },
	{ 0xf2dcea84, "d_find_alias" },
	{ 0x9867481b, "invalidate_inode_pages2" },
	{ 0x5360bcbc, "inode_set_ctime_current" },
	{ 0xbeecbba3, "inc_nlink" },
	{ 0xb44fdfd2, "seq_write" },
	{ 0x297b6c5c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3187da76, "get_tree_bdev" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xfd68fe92, "set_anon_super_fc" },
	{ 0x6f05f275, "seq_printf" },
	{ 0x7b898c4, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x140759ba, "generic_delete_inode" },
	{ 0x8c5714cd, "deactivate_locked_super" },
	{ 0xb6342011, "touch_atime" },
	{ 0xae3e86c2, "__percpu_down_read" },
	{ 0x8e584396, "__d_lookup_unhash_wake" },
	{ 0xb511966c, "set_page_dirty_lock" },
	{ 0xe2bd2b25, "pid_nr_ns" },
	{ 0xaaf0aa6a, "generic_file_open" },
	{ 0x1a8a8d37, "truncate_inode_pages_range" },
	{ 0x9ff35e90, "__put_user_ns" },
	{ 0xb9180669, "alloc_pages_noprof" },
	{ 0x90c3513a, "__folio_lock" },
	{ 0x1ff09091, "filemap_dirty_folio" },
	{ 0x66996b4c, "pagecache_get_page" },
	{ 0x434407ed, "stream_open" },
	{ 0x6fe397e2, "rcuwait_wake_up" },
	{ 0x8377a891, "node_data" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xdf88bb3c, "add_to_pipe" },
	{ 0x6bba3f56, "__fs_parse" },
	{ 0xbd7f4cdd, "dax_layout_busy_page_range" },
	{ 0xa57fbfc2, "filemap_splice_read" },
	{ 0x9f2ab924, "posix_acl_to_xattr" },
	{ 0x411cd5c2, "dget_parent" },
	{ 0x3d21b950, "kill_anon_super" },
	{ 0xa4f8d65a, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x4e5841df, "iget5_locked" },
	{ 0x1ebeb65f, "security_dentry_init_security" },
	{ 0x196f5518, "filemap_write_and_wait_range" },
	{ 0x82f2f9c, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xdc3739a8, "generic_write_checks" },
	{ 0x255757d7, "iov_iter_revert" },
	{ 0x882fb634, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1c5c865e, "mntget" },
	{ 0x80de7592, "filemap_fault" },
	{ 0xbef0807b, "d_invalidate" },
	{ 0xcd852410, "__mark_inode_dirty" },
	{ 0x44ba49eb, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdca098e4, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xc3499325, "drop_nlink" },
	{ 0xff0c9e2a, "fault_in_iov_iter_readable" },
	{ 0x3e1953a8, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xba74366f, "fs_param_is_uid" },
	{ 0x6e673482, "bdi_set_max_ratio" },
	{ 0x94a26ca2, "kmem_cache_destroy" },
	{ 0xd30b72fa, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x702fd5a5, "super_setup_bdi_name" },
	{ 0xc2432998, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5a71b56c, "truncate_inode_pages" },
	{ 0x1342c5a5, "noop_backing_dev_info" },
	{ 0x2a51d290, "pipe_lock" },
	{ 0x7607bd76, "generic_fillattr" },
	{ 0xd538c4a8, "vfs_fsync_range" },
	{ 0x8cb9b6c0, "setattr_prepare" },
	{ 0xb1c495b2, "filemap_migrate_folio" },
	{ 0xd6f2be6f, "clear_nlink" },
	{ 0xb22e50a4, "file_check_and_advance_wb_err" },
	{ 0x57a81173, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1e1ec3ab, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x52746f3b, "misc_deregister" },
	{ 0xfa62e10a, "make_vfsgid" },
	{ 0xfd5fb465, "clear_inode" },
	{ 0xcb4bddfa, "inode_to_bdi" },
	{ 0x23803b39, "find_pid_ns" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb11a20ac, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe260d230, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcb148dc4, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe4011b8d, "fs_param_is_string" },
	{ 0x57545a5c, "folio_unlock" },
	{ 0xd6d6dc54, "new_inode" },
	{ 0x6cdf379, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xe4acd6e4, "dump_page" },
	{ 0xc06cbbd2, "forget_all_cached_acls" },
	{ 0x65257d3c, "init_special_inode" },
	{ 0xd6d7d4f9, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xeac36269, "task_active_pid_ns" },
	{ 0xd13e9d83, "iov_iter_single_seg_count" },
	{ 0xdb99392d, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9735a6d5, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x883c9cee, "d_alloc_name" },
	{ 0xccb061ab, "replace_page_cache_folio" },
	{ 0xc2a2039e, "inode_query_iversion" },
	{ 0xb3b3bb0d, "iov_iter_advance" },
	{ 0xcb3b321a, "kill_fasync" },
	{ 0x80b47a6d, "d_make_root" },
	{ 0xd5f2a7b3, "backing_file_splice_write" },
	{ 0x2c3bb46e, "sb_set_blocksize" },
	{ 0x2e1c7b57, "fget" },
	{ 0x7458630f, "simple_fill_super" },
	{ 0x23967b1, "xas_find" },
	{ 0xb42b0804, "sync_filesystem" },
	{ 0x2dfc8de9, "noop_dirty_folio" },
	{ 0xfc04b9a7, "sget_fc" },
	{ 0x6f0f7960, "param_set_uint" },
	{ 0x338abba4, "d_splice_alias" },
	{ 0xa4653b4c, "iov_iter_get_pages2" },
	{ 0xb541ebd8, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8364115, "page_get_link" },
	{ 0x58603bcd, "generic_permission" },
	{ 0x1fd10ec5, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x68e00935, "invalidate_inode_pages2_range" },
	{ 0x4deafa88, "posix_lock_file" },
	{ 0x808c87ff, "finish_open" },
	{ 0x59bfdab5, "dax_iomap_rw" },
	{ 0x7ed35a71, "iput" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x2aa5549d, "logfc" },
	{ 0x41a79ff9, "iter_file_splice_write" },
	{ 0xf1ccea7a, "mod_node_page_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x559cf7c2, "init_pid_ns" },
	{ 0x679cfb47, "dax_iomap_fault" },
	{ 0xd8b1dc11, "iov_iter_init" },
	{ 0x3bedd1b7, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x99b731ff, "sysfs_create_mount_point" },
	{ 0x7c87249e, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x833fe77, "register_filesystem" },
	{ 0xe9299929, "kmem_cache_create" },
	{ 0xfaa65de7, "folio_add_lru" },
	{ 0x107d24e2, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x599fc5a6, "sync_inode_metadata" },
	{ 0x81e5e8b9, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x867480b8, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f3cea40, "shrink_dcache_parent" },
	{ 0x7f64c3b7, "__put_cred" },
	{ 0xd21cc99b, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x36ec92f9, "get_tree_nodev" },
	{ 0xb6a47c73, "splice_file_range" },
	{ 0x3e3b2c1e, "simple_inode_init_ts" },
	{ 0x8c486e3f, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c25bcb0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x37be67db, "fs_param_is_u32" },
	{ 0x4fc68b88, "inode_newsize_ok" },
	{ 0x414db82d, "d_drop" },
	{ 0xa767d2fe, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x6d30017f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x991220c6, "bdi_put" },
	{ 0x8f76c0b8, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xb8013c98, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xda3dab68, "make_kuid" },
	{ 0x73730128, "truncate_inode_pages_final" },
	{ 0x2a85b72c, "fs_kobj" },
	{ 0x3300c0fa, "__filemap_set_wb_err" },
	{ 0x560edce, "simple_dir_operations" },
	{ 0xeaf0dc42, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb40888fa, "backing_file_mmap" },
	{ 0x33b84f74, "copy_page" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0xf743e569, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa6762456, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x3aa64fbc, "setattr_should_drop_suidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D73FBA2E70C69CF38021DA3");
