#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x419663d2, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x16bbd43a, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x9ff05a19, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x76ebfba9, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x083c2d8e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd0f44dca, "inet_ctl_sock_create" },
	{ 0x1519b12, "inet_ioctl" },
	{ 0x26e8088b, "reuseport_add_sock" },
	{ 0x6c972d2f, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x54f68f43, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x53b87410, "perf_trace_run_bpf_submit" },
	{ 0xe4a6ebce, "fput" },
	{ 0x8ad727ed, "inet_accept" },
	{ 0xeea5c8dc, "init_net" },
	{ 0x79223e83, "crypto_shash_setkey" },
	{ 0xc2da5cb2, "skb_pull" },
	{ 0xe406af20, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9b8c18e2, "ip6_mtu" },
	{ 0xe53d8249, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x65e61b73, "__SCK__tp_func_sk_data_ready" },
	{ 0x9b8ab472, "inet_add_protocol" },
	{ 0xe47649fc, "inet_shutdown" },
	{ 0x80b5393b, "sk_free" },
	{ 0x60d1f1b6, "sock_wake_async" },
	{ 0x2563f094, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4e87140a, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xc6440eb1, "skb_push" },
	{ 0x4c21f7ba, "__ip_queue_xmit" },
	{ 0x1c8541b0, "kmem_cache_free" },
	{ 0xb7f3949e, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xc5955441, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xf79065c4, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3097067c, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x649bfda3, "inet6_ioctl" },
	{ 0x2b7453f3, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x9a01938e, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x5e9a6cc4, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xba553e22, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x577cc104, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x938ee717, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4b5e3f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa9d6cc53, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb20b03af, "__pskb_pull_tail" },
	{ 0x1338432, "setup_udp_tunnel_sock" },
	{ 0x2b04affb, "udp_sock_create6" },
	{ 0xa03bc450, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a171bbf, "sk_common_release" },
	{ 0x848a6763, "pv_ops" },
	{ 0xb7d5c86e, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3d95ec4c, "inet6_getname" },
	{ 0x1c48a2fb, "sock_i_ino" },
	{ 0xfd9d7e00, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x14157848, "ip6_xmit" },
	{ 0x4dac76f3, "security_sctp_assoc_request" },
	{ 0x8b733110, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5f407378, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x47b7db3d, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x11e60f56, "trace_event_buffer_reserve" },
	{ 0x7e6b19f5, "__skb_checksum" },
	{ 0x6b25cf7e, "reuseport_alloc" },
	{ 0x4f36f521, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x6d1f4485, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x133695b5, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x52e6ac39, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb44fdfd2, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa978140c, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f05f275, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4ca78697, "proc_create_net_single" },
	{ 0x842df83f, "skb_copy" },
	{ 0x4117fe2e, "skb_clone" },
	{ 0x13f1d70a, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x86db1ff0, "dst_release" },
	{ 0xf8f39577, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x59392097, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf8348ef0, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xdc153fb3, "sock_gettstamp" },
	{ 0xbe73a36b, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x10f1d0a5, "_proc_mkdir" },
	{ 0x3fb7746f, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0b7a6bb, "send_sig" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x890db3d0, "inet6_add_protocol" },
	{ 0xa4f8d65a, "from_kuid_munged" },
	{ 0x11058a56, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x7a1db83e, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xaff2b6d3, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x41efee18, "reuseport_detach_sock" },
	{ 0x6d652a14, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x255757d7, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x63eaa3ba, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2c38c013, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1319b960, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x94a26ca2, "kmem_cache_destroy" },
	{ 0x9e31db2a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5a5edd8d, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x432ebbe2, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe6997f4b, "sock_i_uid" },
	{ 0x3c2f7a17, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xece3bb94, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3f4f64e8, "skb_copy_bits" },
	{ 0x68e687b9, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x32c7b58a, "sock_wfree" },
	{ 0x713f37aa, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x76637430, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x39c38ef, "ip6_dst_hoplimit" },
	{ 0x39a2f8da, "consume_skb" },
	{ 0x1ad3dd5b, "inet6_add_offload" },
	{ 0x7a4583e1, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb6af6ac, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2276ab8a, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xf039a877, "l3mdev_fib_table_by_index" },
	{ 0x534dd3a3, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaccfc104, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x22838aef, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x478d1162, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd10c2f41, "skb_segment" },
	{ 0xa419fff0, "trace_event_printf" },
	{ 0x9fd95bff, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1ed71fa2, "udp_tunnel6_xmit_skb" },
	{ 0x9a1c24e8, "sock_common_getsockopt" },
	{ 0x445f6cbe, "inet_bind" },
	{ 0x5c1b171, "sock_create" },
	{ 0x48aca492, "net_hotdata" },
	{ 0x2bf96134, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xcd9947eb, "fd_install" },
	{ 0x2bc9f4f7, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x7620cce7, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0xd9b23b39, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb5f4c7d7, "security_sctp_assoc_established" },
	{ 0x10272431, "__tracepoint_sk_data_ready" },
	{ 0xa7c87c6c, "bpf_trace_run2" },
	{ 0x7a346568, "sock_common_setsockopt" },
	{ 0x3889cf4b, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4b58a49f, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xe9299929, "kmem_cache_create" },
	{ 0x4bd976e7, "__sk_mem_schedule" },
	{ 0x3eb4a753, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xae05fd79, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9dc231be, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7c9b3025, "sk_error_report" },
	{ 0x2301651, "register_pernet_subsys" },
	{ 0x577c9d40, "put_cmsg" },
	{ 0x721411cb, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x69d0afaa, "register_net_sysctl_sz" },
	{ 0xd2b5c564, "inet_sock_destruct" },
	{ 0x8103f516, "crypto_destroy_tfm" },
	{ 0x6165aa73, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5825455d, "inet_sk_get_local_port_range" },
	{ 0xe1e2f0ef, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x3e55710d, "inet_getname" },
	{ 0xb89dd681, "proto_unregister" },
	{ 0xdc62a91, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x78f35984, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8306f0a1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xf7613ca3, "inet_release" },
	{ 0xd0c4f119, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x68e7e518, "proto_register" },
	{ 0x1dd08b51, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xf1bbedf8, "inet6_compat_ioctl" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "C006D400A30B86E90768909");
