#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0xe14d5564, "");
SYMBOL_CRC(snd_ac97_read, 0x399da94c, "");
SYMBOL_CRC(snd_ac97_write_cache, 0xdbd19217, "");
SYMBOL_CRC(snd_ac97_update, 0xad66a2e6, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xe89002e1, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x3dd61c1e, "");
SYMBOL_CRC(snd_ac97_bus, 0x84bef3dd, "");
SYMBOL_CRC(snd_ac97_mixer, 0x100ae46a, "");
SYMBOL_CRC(snd_ac97_update_power, 0x7aa83e03, "");
SYMBOL_CRC(snd_ac97_suspend, 0x0fdf6a58, "");
SYMBOL_CRC(snd_ac97_resume, 0x8d35b923, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x3cca2049, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x858cfca0, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x804380d7, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x8bd09db3, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x5a00f76d, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xae5ac5fd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x8dd35b18, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9ee0c552, "snd_ctl_make_virtual_master" },
	{ 0xc36783e9, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x312d55e, "snd_ctl_boolean_mono_info" },
	{ 0x338977a9, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x73c9b276, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5bb1dbcd, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x718f6d2f, "snd_ctl_rename" },
	{ 0x370954cc, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x18f07cf4, "snd_device_new" },
	{ 0x28027759, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x6f05f275, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe6fb74d7, "snd_info_create_card_entry" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6ca16767, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2f4dd4f9, "dev_set_name" },
	{ 0x1fdc13, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x88f31fe9, "device_unregister" },
	{ 0x96b5b0a4, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x7803473f, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xab479440, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc19bd3fe, "put_device" },
	{ 0xac803a51, "snd_ctl_remove_id" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");
