#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xc327f3f2, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xd617f2c7, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x2a8d584b, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x6f2bd38d, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x7a8aba7d, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x4f16c99c, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x731e546e, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x45df6901, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x00550b77, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0xfff15b25, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3f1b63e, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59308eec, "devm_gpiod_get_optional" },
	{ 0xa88b058a, "wm_adsp_stop" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f95b782, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf37525d, "__pm_runtime_set_status" },
	{ 0x1bd0ba0, "devm_snd_soc_register_component" },
	{ 0xa9db31f0, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f823c56, "sdw_write_no_pm" },
	{ 0x4728b21e, "devm_free_irq" },
	{ 0xf1dda6d7, "pm_runtime_enable" },
	{ 0x356766b0, "fwnode_gpiod_get_index" },
	{ 0x39c04a06, "regulator_bulk_disable" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0xe3a66672, "acpi_dev_remove_driver_gpios" },
	{ 0x2a2eaad5, "snd_soc_info_volsw" },
	{ 0x65928e98, "cs35l56_init_cs_dsp" },
	{ 0x53740a5c, "wm_adsp_power_down" },
	{ 0x338977a9, "_dev_err" },
	{ 0x950368df, "debugfs_create_bool" },
	{ 0x439c8d3b, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xc63d4ccc, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4ca49d05, "cs35l56_runtime_suspend_common" },
	{ 0x9bea9374, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffcf73ee, "cs35l56_mbox_send" },
	{ 0xfeb5504f, "cs35l56_hw_init" },
	{ 0x28027759, "_dev_warn" },
	{ 0xf8983192, "wm_adsp2_component_probe" },
	{ 0x8f7cde78, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x931e2542, "cs35l56_system_reset" },
	{ 0x6b2ed359, "snd_soc_info_enum_double" },
	{ 0xcdf89397, "regulator_bulk_enable" },
	{ 0x886f6c90, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8bab32b2, "wm_adsp2_component_remove" },
	{ 0x599a21d0, "cs35l56_wait_for_firmware_boot" },
	{ 0x27dd49aa, "devm_kasprintf" },
	{ 0x6315271, "snd_soc_get_volsw" },
	{ 0xf1550cee, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xa474a322, "fwnode_property_present" },
	{ 0x4463c9f, "cs35l56_is_fw_reload_needed" },
	{ 0x72eb6af8, "regmap_read" },
	{ 0x9a1fd2fc, "snd_soc_put_volsw" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7e084dd6, "cs_amp_write_cal_coeffs" },
	{ 0xa0f2116e, "device_get_named_child_node" },
	{ 0xdf14f514, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8e5e60c1, "sdw_stream_remove_slave" },
	{ 0x517760e, "cs35l56_runtime_resume_common" },
	{ 0xe968bcd4, "dapm_regulator_event" },
	{ 0x21179f9e, "cs35l56_get_speaker_id" },
	{ 0xffb9b9b9, "wm_adsp_run" },
	{ 0xedf16d41, "regmap_update_bits_base" },
	{ 0x98df2aa3, "acpi_dev_get_property" },
	{ 0xd61b8e34, "dev_err_probe" },
	{ 0xf8f78568, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0x41c39994, "__devm_add_action" },
	{ 0x21a56797, "snd_soc_dapm_get_enum_double" },
	{ 0xa20d8f1a, "__pm_runtime_use_autosuspend" },
	{ 0x93a61340, "wm_halo_init" },
	{ 0xca7991da, "__pm_runtime_disable" },
	{ 0x7b0e1616, "cs35l56_firmware_shutdown" },
	{ 0x2b6e0569, "sdw_stream_add_slave" },
	{ 0x40c5ae3e, "pm_runtime_force_suspend" },
	{ 0x5d81887f, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x29f0b656, "snd_soc_dapm_put_enum_double" },
	{ 0x1b5bc3db, "gpiod_get_value_cansleep" },
	{ 0xf767580d, "regcache_cache_only" },
	{ 0xf3eb8668, "is_acpi_device_node" },
	{ 0x846083eb, "gpiod_put" },
	{ 0xc75d477a, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe08f78cc, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad9023c5, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1778279c, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5a828052, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "D62B474544DEF6496D8466A");
