#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_link_set_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_fe_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_be_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_free_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_prepared, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x377cc5d8, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0xb27b28ec, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x6661a38c, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x16b2fe38, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x70cbadff, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xc1e80ca8, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xeb89d0f4, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xef8a5ffa, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0xeb8ffc10, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x84befae4, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x671112e0, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x373ce41e, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x09f0667d, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x1ea51675, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xa8bce85b, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x79757704, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0x0d369380, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x654c3fda, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x3b67b76d, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x3eacb6d5, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0xb6443c43, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0xd76a47ae, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x20fe7a5d, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xad425ca6, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xd8303460, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x06c0d35b, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0xa886634a, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x69dcce32, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xbd4a24d5, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x22760faa, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0xf53483d8, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0xfbd5e480, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x562a41bd, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x04e5476e, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0xf7bad724, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x1b0d9d5b, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x9f554c1d, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x4a621f7a, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0xfe62f0eb, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0xd2fa0b5d, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0xc31a6bd5, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x58f8c373, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0xd17c3ed0, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xb9ceb298, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0xf02f3b6f, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0xc8092ee7, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xcd6742cf, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xf4a32e17, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xcda8b4ee, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x39c1511d, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x5979555c, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0xef34cddd, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0xe4526db8, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xbb541561, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xb915a580, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xfe3cb985, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0xf5fad695, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x54b2cc09, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x1c96de80, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xadc56a08, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0xf33e8de5, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0xe968bcd4, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xb4cc2dec, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x03b424d7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x69326ae3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xb3e57d2c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0xb203c91d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x2f0d600b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xb8e61e59, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x325bab11, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x9e154062, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x5480ba2e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x423cae2c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0xc17e4d67, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x3cabcdb5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0xcb344abc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xefde7f53, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x21a56797, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x29f0b656, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x1c02473c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x168c75e3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x2e6099ae, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x27b002f4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x481a4e5d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x3dd262d5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x9c673801, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x61c4c0da, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x08b40111, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x4eb28a55, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0xce5dad4c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x3ddd81ee, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xf1db3ad7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x900e28ca, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xb90635d3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x89269329, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x6b79780b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x5615f57c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xb21c0582, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xf6ef7818, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x24429d33, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0xa1852025, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x12c041f0, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xdd9f4492, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x078d80dd, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0xd999340c, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0xc7b35df1, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x2b090dd5, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xc45fe6c6, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x6bd668e8, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x2a992fd1, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x8f50caf7, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0xd34da111, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xed8cb2f4, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0xc5232185, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0xdfa4b2a7, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x5f77f9d9, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x9fc5bf62, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x581705cb, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xffe6257e, "_gpl");
SYMBOL_CRC(snd_soc_dai_link_set_capabilities, 0xbea35736, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0xbe8c5e1c, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x44a690da, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x97eccfa7, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x80ad9df7, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0xfd778dd0, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x553ebc96, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x9e970907, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0x735f1c7d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x98bd9504, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xdd61c28a, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x3fbb9d23, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x10b1b922, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x744b163c, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xd2452236, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x45284040, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0xb3e3a889, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0xf7ddecb5, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xbbf8115b, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x8d1f02df, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x8fb6a924, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0xd8f3c79b, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x79cd5702, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0xa75fee32, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol_locked, 0xe2ae26d6, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x8bea24fa, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x3a0dc32e, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xd7e75a48, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0xb2c57d39, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x80b46215, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0xc15aad1f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xa090c5b4, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0xf299a3ac, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0xdb6bffb6, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0xa41654aa, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0xdf5291ac, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x38862c04, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x9eeae17f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0xadec11fe, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x92638bcf, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x48f73ccb, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xa62f59fd, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x513e602d, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xc30751c8, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x7a57db31, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x560bd31c, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x8ec6d5df, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xc1844c3c, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x9d63570b, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x54c70195, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0xe356efa4, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0x144c431f, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x86c0d30a, "_gpl");
SYMBOL_CRC(widget_in_list, 0xcafcb09e, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0xd8d523b9, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x52c35bfb, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x59e9b9a1, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_fe_can_update, 0xf4c1e523, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_be_can_update, 0xd67c25ee, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x53e0447b, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_free_stop, 0x070c0570, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_params, 0x1a918568, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_prepared, 0xefe37e25, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0xe6e3ec28, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x01bd0ba0, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x88d00e0e, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x14c8e5a9, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x6b2ed359, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x576422c8, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0xf0480cc5, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x2a2eaad5, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x97ef991d, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x06315271, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x9a1fd2fc, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x2ae03333, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x24582ef8, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0xe3071f33, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x5da7ad4f, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0xfa8b8342, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0xb3c25559, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x861eff43, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0xe0b4b307, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x738930c4, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x580b4895, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x0bef3f07, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x87d3819f, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x909507d4, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x0cbb8759, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x9a6288db, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x09f759c6, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x98dfd70c, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x0b0235f5, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x8a1c1500, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol_locked, 0xc430d734, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0x8c468d7a, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0xabf836dd, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x56942c40, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x65bfc637, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x56851d79, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xe06545f5, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0xbb5340ba, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0xc8ebc2db, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x49f380f3, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x607250fc, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x107c74af, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xdaefa2ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e03125, "snd_pcm_stream_unlock_irq" },
	{ 0xc67bce3, "pm_wakeup_dev_event" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xa9db31f0, "devm_kstrdup" },
	{ 0xbab68167, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7549e340, "debugfs_lookup_and_remove" },
	{ 0xc19bd3fe, "put_device" },
	{ 0xc844c6c7, "gpiod_unexport" },
	{ 0x8dd35b18, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xe30cd3fb, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4ac3d63a, "snd_dmaengine_pcm_close" },
	{ 0x3c032898, "dma_get_slave_caps" },
	{ 0x3ae0b110, "_dev_info" },
	{ 0xd9ce2ec7, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe2396b2, "snd_card_new" },
	{ 0xd8427dc2, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x125e3271, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xd22aea00, "snd_dmaengine_pcm_request_channel" },
	{ 0x53b87410, "perf_trace_run_bpf_submit" },
	{ 0x98e6350d, "devm_kfree" },
	{ 0x338977a9, "_dev_err" },
	{ 0x44f937c7, "pinctrl_pm_select_sleep_state" },
	{ 0x5e4e3cf5, "simple_open" },
	{ 0x93292eee, "snd_pcm_lib_ioctl" },
	{ 0x94a4669a, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x6f655ede, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa3817ccc, "snd_pcm_stream_unlock_irqrestore" },
	{ 0xdce41b13, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb4e4a155, "dev_get_regmap" },
	{ 0x63488d34, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4b763801, "__devres_alloc_node" },
	{ 0xc5955441, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xbad0416c, "snd_ctl_notify" },
	{ 0x2b1568b2, "regulator_allow_bypass" },
	{ 0x530e066a, "snd_pcm_set_ops" },
	{ 0x733eee75, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4be171c3, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa5e9546e, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x370954cc, "device_register" },
	{ 0x633835a1, "bpf_trace_run1" },
	{ 0x2872cdf8, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x28027759, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf5c4a6c4, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x227cea4d, "snd_dmaengine_pcm_open" },
	{ 0x4f12886f, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9f25aa89, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa995ea4d, "snd_dmaengine_pcm_pointer" },
	{ 0x3bc762c6, "__platform_driver_register" },
	{ 0xb649c3e0, "dma_request_chan" },
	{ 0x27dd49aa, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcc89dedb, "pinctrl_lookup_state" },
	{ 0xb7d5c86e, "bpf_trace_run3" },
	{ 0xda0c4e39, "seq_read" },
	{ 0xe98a1e94, "snd_compress_new" },
	{ 0x8ecd1fbf, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xba329ae6, "snd_hwparams_to_dma_slave_config" },
	{ 0x5af2a65c, "platform_device_register_full" },
	{ 0x72eb6af8, "regmap_read" },
	{ 0x11e60f56, "trace_event_buffer_reserve" },
	{ 0x328e844, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f05f275, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9827f5f, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xf8f39577, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xacb0c78f, "pinctrl_select_state" },
	{ 0xd520c847, "snd_power_wait" },
	{ 0x121ada13, "snd_pcm_hw_constraint_msbits" },
	{ 0x484e16f1, "single_release" },
	{ 0xedf16d41, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd61b8e34, "dev_err_probe" },
	{ 0xc255b7a7, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x39fa5bb4, "device_add_groups" },
	{ 0xf8f78568, "__pm_runtime_suspend" },
	{ 0x999ea146, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf275afe1, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x10efe863, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xb8187db9, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x5bde370, "__pm_runtime_idle" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x4c8b2f25, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x1b5bc3db, "gpiod_get_value_cansleep" },
	{ 0xaf5a79b1, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x587425f3, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x6523805e, "_copy_to_iter" },
	{ 0x846083eb, "gpiod_put" },
	{ 0xe08f78cc, "regmap_write" },
	{ 0x7d050fca, "param_ops_uint" },
	{ 0x2ed31fa2, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2f4dd4f9, "dev_set_name" },
	{ 0x216cfa70, "regmap_get_val_bytes" },
	{ 0xc3073366, "platform_driver_unregister" },
	{ 0x1fdc13, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd40917f1, "snd_dmaengine_pcm_sync_stop" },
	{ 0x8dbabb8e, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x53217cd7, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2276ab8a, "trace_raw_output_prep" },
	{ 0x1799c1f3, "regmap_raw_read" },
	{ 0xd181cda3, "snd_card_register" },
	{ 0x88f31fe9, "device_unregister" },
	{ 0xabc6a305, "snd_card_free" },
	{ 0x478d1162, "__trace_trigger_soft_disabled" },
	{ 0xa419fff0, "trace_event_printf" },
	{ 0x8ae7ed0f, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x22b11ff6, "gpiod_get_index" },
	{ 0x460a460a, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xe41d57ea, "snd_pcm_hw_constraint_minmax" },
	{ 0x2bc9f4f7, "trace_event_raw_init" },
	{ 0xf7f8bc38, "gpiod_to_irq" },
	{ 0x46367734, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbe139c3, "snd_ctl_find_id_locked" },
	{ 0xad10dbba, "dma_release_channel" },
	{ 0x13d1c9c5, "pcpu_hot" },
	{ 0x4ecb54c3, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xd3f1b63e, "regcache_mark_dirty" },
	{ 0xa7c87c6c, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x446e54ae, "regulator_disable_deferred" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0x2ab98b38, "snd_ctl_remove" },
	{ 0xe154c749, "snd_ctl_free_one" },
	{ 0x7803473f, "snd_ctl_find_id" },
	{ 0x4a0d2203, "devm_clk_get" },
	{ 0xdb2f1dea, "devres_add" },
	{ 0xb5d39b27, "snd_pcm_new_internal" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x178c606c, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x898c5246, "snd_dmaengine_pcm_get_chan" },
	{ 0x7fe79623, "pinctrl_pm_select_default_state" },
	{ 0x721411cb, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xab479440, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "7E2107D9DE510EBB6F6038A");
