#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8d72176, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x4981a949, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe2396b2, "snd_card_new" },
	{ 0x691ed7c7, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x58475e8a, "snd_card_set_id" },
	{ 0x338977a9, "_dev_err" },
	{ 0x75821d07, "usb_set_interface" },
	{ 0x530e066a, "snd_pcm_set_ops" },
	{ 0xf2b80e82, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x77281087, "usb_string" },
	{ 0x10d132b7, "snd_pcm_set_managed_buffer_all" },
	{ 0x28027759, "_dev_warn" },
	{ 0x9c1a1862, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1574ef12, "input_event" },
	{ 0xebb1d548, "input_set_abs_params" },
	{ 0x34e57bd, "snd_rawmidi_new" },
	{ 0x1feaf89, "snd_card_disconnect" },
	{ 0xbe81ca37, "snd_rawmidi_set_ops" },
	{ 0x977e9ea, "param_ops_bool" },
	{ 0xc1cd306c, "__kmalloc_cache_noprof" },
	{ 0xe8d27aac, "usb_kill_urb" },
	{ 0xf2cb8fd5, "usb_init_urb" },
	{ 0xbd938946, "snd_pcm_period_elapsed" },
	{ 0xce509a1d, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdf3bb7d0, "kmalloc_caches" },
	{ 0x6e42eebb, "input_allocate_device" },
	{ 0xde0bf06c, "usb_alloc_urb" },
	{ 0x50521c0c, "snd_rawmidi_receive" },
	{ 0xd52d492c, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x4bd8775, "snd_rawmidi_transmit" },
	{ 0x1fdc13, "snd_ctl_add" },
	{ 0x8dbabb8e, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd181cda3, "snd_card_register" },
	{ 0xabc6a305, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb63206f8, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xe1e96b33, "param_array_ops" },
	{ 0x5591964a, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x77073b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84ea1c92, "input_free_device" },
	{ 0xab479440, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8d1573d5, "usb_bulk_msg" },
	{ 0x6f682261, "input_register_device" },
	{ 0xd685835b, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");
